2003-08-16  Olivier Crete <tester@tester.ca>
	* doc/C/*: Christopher Ness <nesscg@mcmaster.ca> did great work 
	bringing the documentation up to date
	* ui/message.glade: HIG puts too much white space, removed some

2003-07-23  Christian Neumair  <chris@gnome-de.org>

	* ui/*.glade: Further HIGification work.

2003-06-19  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-06-19  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-06-05  Olivier Crete <tester@tester.ca>
	* src/userserver.[ch], gnomeicu-client.c: Patch to fix onlinelist and
	add a contactlist command for gnomeicu-client 
	by Simone Contini <s.contini@oltrelinux.com>

2003-05-24  Olivier Crete <tester@tester.ca>
	* src/prefs_ui.c: Patch from Kristian Rietveld <kris@gtk.org> that
	fixes theme pref problem
	
2003-05-08  Olivier Crete <tester@tester.ca>
	* src/msg.c: Fixed emoticon insertion bug

2003-05-06  Danilo Šegan  <dsegan@gmx.net>
	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-03  Sebastien Bacher <seb128@debian.org>
	* src/xmlcontact.c: Fixed crash if contacts.xml file is empty.

2003-05-02  Patrick Sung <iam@patricksung.com>
	* src/gnomeicu.c: Fixed autologin when start up from Gnome menu
	* src/history.c: Fixed crashes when there are fake history entry from
	the file. bug 111940

2003-05-02  Sebastien Bacher <seb128@debian.org>
	* src/gnomeicu.c: Set GNOME_PARAM_APP_DATADIR, this should fix the help
        * src/common.h, src/icons.[ch], src/showlist.c, src/v7send.c,
	src/v7recv.c, icons/Default/gnomeicu-birthday.png: 
	Add support for birthdays
	* src/gnomeicu.c, src/gtkfunc.c: Fixed bug with empty password.

2003-05-02  Chan Siu On <sochan@linuxmail.org>
	* src/v7recv.c: Patch for utf8ing received user info

2003-05-01  Sebastien Bacher  <seb128@debian.org>
	* src/notify.c, src/sendcontact.c: Fixed lists displaying.

2003-04-30  Olivier Crete <tester@tester.ca>
	* src/userserver.c: Fixed icuask code
	* src/history.c, src/msg.c, src/gtkfunc.[ch], ui/message.glade:
	Make it not crash when opening history from message window

2003-04-28  Olivier Crete <tester@tester.ca>
	* src/v7*.c, configure.in, gnomeicu.spec.in: No longer depend on gnet

2003-04-27  Patrick Sung <iam@patricksung.com>
	* src/history.[ch]: Incrementally display history now, from the
	latest entries. This should fix the problem on bug 108415
	* src/msg.[ch]: Improved gnomeicu_text_buffer_insert_with_emoticons()
	so now it takes arbitary position in the buffer to insert text.
	* src/showlist.c: Fixed sorting, not in list and wait for auth list
	are now sort last.

2003-04-16  Olivier Crete <tester@tester.ca>
	* src/showlist.c: Should not crash when keyb activated

2003-04-16  Patrick Sung <iam@patricksung.com>
	* GnomeICU.desktop: Changed menu name to GnomeICU ICQ Instant Messenger
	* src/auth.c: Added add user button callback so now we can add user
	when we receive an authorization request. Known issue, added user
	will have UIN only because that's what we got from the auth request
	packet.
	* ui/welcome.glade: centered Welcome druid.

2003-04-15  Patrick Sung <iam@patricksung.com>
	* src/showlist.c: more fixes, not in list, wait for auth, all working
	great now. Also changing icon theme is working again.
	* src/user_popup.c: made sure we put proper popup menu item for
	contacts. Now we have a re-request auth with any waiting for auth
	contacts.
	* src/v7snac13.c: temp fix for problem when moving waitauth contact
	to regular group

2003-04-15  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: add another code for Big5

2003-04-14  Patrick Sung <iam@patricksung.com>
	* src/*.[ch]: Many changes to many files. Major changes:
	- overhaul the showlist.c file so no more big while loop in *each*
	function, easier maintainence.
	- converted some of the old function to accept (Contact_Member *)
	instead of (GSList *), which is not needed.
	- in terms of the behavior changes, nothing big there. The only diff
	is the Not in list and the just added Wait for authorization list
	are moved to All Contacts list. Closed bug 100721

2003-04-13  Sebastien Bacher <seb128@debian.org>
	* src/msg.[ch], ui/messsage.glade: Escape closes message window

2003-04-13  Olivier Crete <tester@tester.ca>
	* HIG stuff by Christian Neumair <chris@gnome-de.org>
	* ui/message.glade: ui improvements by 
	Karsten Bräckelmann <kb@bluehash.de>

2003-04-12  Patrick Sung <iam@patricksung.com>
	* emoticons/AIM/emoticon-data, emoticons/Yahoo/emoticon-data:
	Added support for icqimage0004
	* emoticons/MSN/Makefile.am, *.gif, *.png, emoticon-data: Renamed
	all gif file to png. All emoticons for this set has transparency
	background, thanks to Tomahawk <tomahawk@yo.cz>
	* src/emoticons.[ch]: emoticon code fix up, restructure, eliminated
	all memory leaks. Behavior is now always read the Always theme, then
	read the user selected theme.

2003-04-05  Patrick Sung <iam@patricksung.com>
	* src/auth.c, ui/auth.glade: Added button for adding user on the
	authorization request receiving screen, no action perform yet, will
	add later
	* src/flash.c, src/gnomeicu.[ch], src/gtkfunc.c, src/icons.c,
	src/util.c, src/v7login.c, src/v7newuser.c, src/v7recv.c,
	src/v7send.c, ui/main.glade: Renamed ready_set() to
	gnomeicu_set_status_button(), init() to gnomeicu_done_login(),
	about() to gnomeicu_about(). Hopefully these function name will make
	more sense.

2003-04-04  Patrick Sung <iam@patricksung.com>
	* src/gnomeicu.[ch], src/gtkfunc.[ch], src/showlist.[ch]: Moved all
	contact list tree view stuff back to showlist.[ch]
	* src/showlist.c: Removed the annoying empty space for group entries
	in the contact list treeview

2003-03-31  Olivier Crete <tester@tester.ca>
	* src/msg.c: Scroll correctly...

2003-03-30  Olivier Crete <tester@tester.ca>
	* src/msg.[ch]: Reshow message window scrolled to bottom
	* src/msg.[ch], ui/message.glade, src/common.h, src/userserver.c,
	src/response.c: Killed read_next button.. all text messages are shown
	* ui/message.glade, ui/prefs.c: Replacing "chat mode" text with a 
	description

2003-03-29  Patrick Sung <iam@patricksung.com>
	* src/gnomecfg.c: Fixes for resync contact list if no gnome config file
	* src/gnomeicu.[ch]: Fixed session saving size and position
	* src/msg.c: Fixed a potential crash when trying to call
	show_contact_message() with no stored_messages for contact
	* src/tray.c: A little bit of optimization fixes
	* src/v7base.h, v7send.c: Made all capability strings into defines
	* src/v7recv.c, src/v7send.c, src/v7snac13.c: Minor fixes

2003-03-29  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: Fix space eating after unicode chars

2003-03-24  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: Dont hardcode default codepage

2003-03-23  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: ignore all unknown font control words
	* src/rtf-reader.c: Added more charsets->codepage

2003-03-19  Vlad Berditchevskiy <vlad@hashbang.de>
	* src/rtf-reader.c: Read the charsets/codepage from the font table too
	
2003-03-17  Olivier Crete <tester@tester.ca>
	* emoticons/Default/emoticon-data: Updated emoticons file by 
	Daniel Paessler <paessler@gmx.de>

2003-03-16  Olivier Crete <tester@tester.ca>
	* src/v7send.c, src/v7recv.c, src/filexfer.h, src/response.[ch]:
	Transfer ICU->ICU works and more progress on Win->ICU
	
2003-03-16  Patrick Sung <iam@patricksung.com>
	* src/user_popup.c: re-enable file transfer as it is almost working
	GnomeICU can send to windows icq now.
	* src/v7send.c: Fixed the file transfer sending packet, right now
	it can send to official windows client, working on receiving now

2003-03-14  Olivier Crete <tester@tester.ca>
	* src/gtkfunc.c, src/detach.c: Focus entry when re-opening msg dialog

2003-03-13  Olivier Crete <tester@tester.ca>
	* src/v7send.c: No space after accentuated characters

2003-03-12  Christian Neumair  <chris@gnome-de.org>

	* gnomeicu-applet/applet.c, src/gnomeicu.c: Don't mark the copyright
	string in about dialogs for translation.
	* src/grpmgr.c: Slightly fixed a string.
	* .cvsignore: Added autom4te*.cache.

2003-03-11  Olivier Crete <tester@tester.ca>
	* gnomeicu.spec.in: not only do we need to install the schemas, we also
	need to install the images for the prefs

2003-03-11  Abel Cheung  <maddog@linux.org.hk>

	* src/history.c (add_to_history): Add translator comment.

2003-03-10  Olivier Crete <tester@tester.ca>
	* gnomeicu.spec.in: We need to install the schemas too

2003-03-09  Olivier Crete <tester@tester.ca>
	* gnomeicu.spec.in: Comments are parsed for commands too..arg..

2003-03-08  Olivier Crete <tester@tester.ca>
	* GnomeICU.desktop.in: fix capitalization error in bugzilla entry
	
***********************************************
* GnomeICU 0.99 released                      *
***********************************************

2003-03-08  Gil "Dolfin" Osher <dolfin@rpg.org.il>

	* configure.in: Added he to ALL_LINGUS

2003-03-08  Olivier Crete <tester@tester.ca>
	* src/v7send.c: Add space after accents in rtf
	* configure.in, Makefile.am: Disable applet by default
	* gnomeicu.spec.in: let applet be build for rpm
	* src/v7send.c: Make life easier for older gnomeicu versions
	* src/v7send.c: Send newlines correctly
	* src/v7recv.c: Forget has_rtf on disconnect

2003-03-07  Patrick Sung <iam@patricksung.com>
	* GnomeICU.desktop.in: added bugzilla info
	* configure.in: Version changed to 0.99
	* src/gnomeicu.c: Added/modified credits for the about box.
	* src/grpmgr.c: Checked to see if it is the last group before delete
	* src/search.c: Disable the "Add" button if no contact is selected
	* src/user_popup.c: Removed access to file transfer, for now.

2003-03-07  Olivier Crete <tester@tester.ca>
	* src/v7send.c: Escape \ { } for rtf

2003-03-05  Vincent Untz <vincent@vuntz.net>
	* src/auto_respond.c: remove a g_print
	* src/auto_respond.c: CTRL+Enter closes away message.
	Fixes bug #101816.
	* src/changeinfo.c: download our info when we open the window, but not
	only for the first time...
	* src/response.c: hide the cursor when showing away messages of
	contacts

2003-03-03  Vincent Untz <vincent@vuntz.net>
	* src/history.c: added a missing translation. Patch from Christian
	Neumair <chris@gnome-de.org>
	* src/changeinfo.c: download our info when we open the window
	* src/gtkfunc.c: don't show an error dialog in is_connected() if there
	is no error message to show

2003-03-01  Olivier Crete <tester@tester.ca>
	* src/v7login.c: Accept new error message for unknown passwd
	* srv/v7base.[ch]: privatise print_data_v7
	* ui/welcome.glade: fix error dialog

2003-02-28  Patrick Sung <iam@patricksung.com>
	* src/changeinfo.c, ui/user_info.glade: Added change password into
	this dialog box.
	* src/changenick.c: changed string, make more sense (alias -> nickname)
	* src/gnomeicu.c: cleaned up some unused code
	* src/newsignup.c, ui/welcome.glade: improved the new signup druid,
	string changes, dialogs more inline with the HIG1.0
	* ui/main.glade: Contacts -> Account, Lists -> Tools, moved Preferences
	to Tools.

2003-02-23  Olivier Crete <tester@tester.ca>
	* src/auto_response.c: Dont override away message if one is already set
	* src/prefs_ui.c, src/prefs.[ch]: Renaming away messages should work
	* src/notify.c, {,in}visible.c, src/ignore.c: Fix saving of those lists
	* src/v7login.c: Make error messages modal

2003-02-21  Olivier Crete <tester@tester.ca>
	* src/v7send.c: Use "Sans" as font so it works with foreign fonts too
	
2003-02-19  Olivier Crete <tester@tester.ca>
	* src/response.c: Update tray tooltip correctly

2003-02-17  Olivier Crete <tester@tester.ca>
	* src/search.c, src/v7send.[ch]: Fixed searching by email, thanks to
	 Mostafa Hosseini <mostafah@oeone.com> for doing the hard part

2003-02-16  Olivier Crete <tester@tester.ca>
	* ui/user_info.glade: Name auth_required checkbox correctly

2003-02-16  Patrick Sung <iam@patricksung.com>
	* src/(auth.c, changeinfo.c, gnomeicu.c, grpmgr.c, history.c, msg.c,
	newsignup.c, personal_info.c, prefs.c, search.c, util.[ch]):
	Added util function to load a glade xml file, function has error
	checking with dialog poping up. Changed all the code that load glade
	files to use this function.
	* src/(Makefile.am, auto_respond.[ch], gnomeicu.c, gtkfunc.c),
	ui/Makefile.am, ui/auto_respond.glade: No more auto away, now called
	auto response. Used only one file to manage the whole thing, better
	integration with gconf. Now the dialog for away message (when change
	to away status) is using glade.
	* src/(autoaway.[ch], awaymsglist.[ch], changeaway.[ch]): These files
	are removed as a result of the above change.
 
2003-02-14  Olivier Crete <tester@tester.ca>
	* src/v7send.c: Send user info as locale.. not utf-8 ;(
	* src/msg.c: Generalise emoticon functions
	* src/history.c: Add emoticon support!
	* srv/v7send.c: Send utf messages without specifying size
	
2003-02-13  Olivier Crete <tester@tester.ca>
	* src/eggtrayicon.c, src/history.c: More support for gtk+ 2.0

2003-02-12  Olivier Crete <tester@tester.ca>
	* src/gnomeicu.c, src/gtkfunc.[ch]: Make the status button in the main
	window keyboard navigable
	* src/eggtrayicon.[ch]: Add #if to make it compile on gtk+ 2.0
	
2003-02-12  Vincent Untz <vincent@vuntz.net>
	* src/gnomecfg.c, src/history.c, src/showlist.c, src/v7newuser.c:
	removed some warnings
	* src/gtkfunc.c: when removing a contact and his history, we really
	remove the history file (its name had changed)
	* src/tray.c: changed the tooltip a bit and marked it as translatable.
	I'm not sure if a string like "%s\n%d %s\n%d %s\n%s" is really good
	for translation...
	* src/v7recv.c, v7snac13.[ch]: we handle the "User added you" packet
	now
	* ui/history.glade: made it a bit nicer

2003-02-10  Vincent Untz <vincent@vuntz.net>
	* icons/Default/gnomeicu-animation.*: made the spinner nicer
	* icons/Gradients/gnomeicu-animation.*: here too
	* src/gnomeicu-spinner.[ch]: added gnomeicu_spinner_init...
	* src/gnomeicu.c: ... and used it here so we display the spinner at
	launch time
	* src/icons.c: made it change the spinner when the theme is changed
	* src/icons.c: added some includes
	* ui/main.glade: better placement for the spinner
	* src/gnomeicu-spinner.c: fixed gnomeicu_spinner_reload to not
	increment animationcount and removed animationrunning
	

2003-02-10  Olivier Crete <tester@tester.ca>
	* src/tray.c, src/response.c: Add more info to tray tooltip
	* src/gnomeicu-spinner.c: Make sure refcount is >=0
	* src/lots...: fixed a lot of compile warning with -Wall
	* po/POTFILES.in: removee gtkconf.c
	* src/gnomeicu.c, tcp.c, userserver.c: remove deprecated gdk_input
	* src/histdb2txt.c: Automatically set locale from env for packagers
	* src/gnomecfg.c, src/history.c, configure.in, src/Makefile.am:
	After discussing with debian maintainer, I folded the updatedb back 
	into the main application, it depends on a gnome-config key

2003-02-10  Patrick Sung <iam@patricksung.com>
	* configure.in: made sure things are properly quoted, so it will not
	break new versions of autoconf/automake
	* src/(Makefile.am, awaymsglist.[ch], changeinfo.c, gnomecfg.[ch],
	gnomeicu.c, gtkfunc.c, showlist.c, userserver.c, v7newuser.c,
	v7recv.c, v7snac13.c), ui/main.glade:
	Lots of files are changed. This is the first round of gnome-config
	clean up. Removed gtkconf.[ch] from HEAD, cleaned up gnomecfg.c.
	gnomecfg.c remains just for backward compatibility. Now GnomeICU no
	longer save any config to gnome-config (i.e. you can safely remove
	~/.gnome2/GnomeICU after running this version of GnomeICU once).
	There will be a second round which will clean up anything that tagged
	with GCONF_PREFS.
	* src/prefs.[ch], ui/prefs.glade: Remove some of the UI that could
	confuse general users. The keys are still exist in gconf, but you need
	to use gconf-editor to change them. UIs removed are: icq server
	name/port, config file and paths.

2003-02-09  Olivier Crete <tester@tester.ca>
	* src/gnomeicu-spinner.c: make animation refcounted
	* src/tray.c: Fix warning
	* src/history.c, ui/history.glade, src/common.h: Make history 
	code much more simple, went back to plain text format
	* src/histdb2txt.c: Added converter from db format to text format
	* configure.in, src/Makefile.am: Support for converter
	
2003-02-08  Olivier Crete <tester@tester.ca>
	* src/gtkfunc.c, src/detach.c: Present message window if already open
	* src/v7send.c: Log rtf messages too
	* src/detach.c, src/gtkfunc.c: Show the content too, not just window
	
2003-02-07  Olivier Crete <tester@tester.ca>
	* src/eggtrayicon.*: Update from libegg
	* src/tray.c: Get it back when its destroyed
	* src/gnomeicu.c: Add command line option for status
	* src/gnomeicu.c: Fix session management... it now actually works
	* src/gnomeicu.c, src/util.[ch]: Simply startup seq a little and fix
	crasher when contacts.xml is not there
	* gnomeicu-applet/control.c: start gnomeicu with right status
	* src/xmlcontact.c: Give the xml file the right permissions
	* src/grpmgr.c, ui/grpmgr.c: Made Group Manager UI less unintuitive
	
2003-02-02  Olivier Crete <tester@tester.ca>
	* src/v7send.c: One more little space before the first letter for rtf

2003-02-01  Olivier Crete <tester@tester.ca>
	* src/v7send.[ch], src/gnomeicu.c: Send RTF messages as UTF-8
	* src/v7send.c: fix little rtf message bug

2003-01-31  Olivier Crete <tester@tester.ca>
	* ui/user_info.glade: slight UI improvements
	* src/search.c, src/v7send.c: cleanup
	* src/v7recv.c, src/common.h: verify if remote client can receive RTF

2003-01-30  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Azeri (az), Bulgarian (bg) to ALL_LINGUAS

2003-01-25  Olivier Crete <tester@tester.ca>
	* src/detach.c: Dont create fake gslist element
	
2003-01-23  Olivier Crete <tester@tester.ca>
	* src/response.c: Dont free un-allocated stuff

2003-01-22  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: Fix infinite loop if codepage is not set
	* src/rtf-reader.c: Add \line keyword
	* src/rtf-reader.c: Add support for unicode reception
	* src/response.c: dont add yourself to the list when pinged

2003-01-19  Daniel Perup <daniel.perup@swipnet.se>
	* src/gnomeicu.[ch], response.c: will now detect if connection 
	is dropped

2003-01-20  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in, src/autoaway.c, src/changeaway.c,
	src/gnomeicu.c, src/prefs.c, src/prefs_string.h, src/prefs_ui.[ch],
	ui/prefs.glade: remove auto na support, na message; move auto away
	and away message to general prefs. Also disabled the file/path entries
	because they are not in use right now.

2003-01-19  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in: new schemas for away/na messages
	* src/autoaway.c: auto away/na will use current default away/na msg
	* src/changeaway.c: the "change away message" window will use the msg
	set in the gconf keys
	* src/gnomecfg.c: minor adjustment, killed a few more gnome config keys
	* src/prefs.[ch]: added list type support for gconf, added away/na
	* src/prefs_string.h: added new key defines
	* src/prefs_ui.[ch]: added away/na message GUI handling routines
	* ui/prefs.glade: added UI for away/na messages

2003-01-19  Olivier Crete <tester@tester.ca>
	* src/packetprint.c: g_print doesnt like colors
	* src/tcp.c: 8 is like 7 for now

2003-01-19  David Hoover <karma@deadmoose.com>
	* po/...lots..., src/gtkfunc.c, src/response.[ch], src/v7recv.c, 
	ui/user_info.glade: Change all traces of "authorise"/"authorisation"
	to "authorize"/"authorization" for consistency.

2003-01-19  Vincent Untz <vincent@vuntz.net>
	* src/gtkfunc.c: make it compile with GTK+ 2.0 (there is no
	gtk_tree_view_expand_to_path).
	* src/gtkfunc.c: remove useless variable

2003-01-14  Vincent Untz <vincent@vuntz.net>
	* doc/C/gnomeicu.sgml, doc/C/gnomeicu.xml, src/gnomecfg.c,
	src/user_popup.c, ui/prefs.glade: replace "N/A" by "Not Available"
	* gnomeicu-applet/control.c, src/userserver.c: use more explicit
	statuses (e.g. Free4Chat -> FreeForChat).
	* ui/prefs.glade: use a table in the ICQ status tab

2003-01-14  Vincent Untz <vincent@vuntz.net>
	* src/util.[ch]: better ifdef for ICUTrace.
	* src/events.c: little fixes. Expand ~ in commands. Fixes #96334.
	* src/gtkfunc.c: browse the list of contacts by pressing the first
	letters of nicknames. Fixes #92112.
	* src/gtkfunc.c: remove useless variable.

2003-01-13  Daniel Perup <daniel.perup@swipnet.se>
	* src/newsignup.c, src/util.c, ui/welcome.glade: new user Gnome 
	druid added
	* src/newsignup.c, src/newsignup.h, src/v7login.c: if psw/uin is 
	wrong will show dialog to rerun the druid or retreive from web

2003-01-12  Olivier Crete <tester@tester.ca>
	* sounds/*: new sounds taken from Licq... thanks to seb bacher for
	finding them
	* src/v7recv.c: Fix reception of contact lists from recent icq clients

2003-01-10  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in: program event keys from pair type to string
	* src/events.c, prefs.c, prefs_ui.c: change from pair to string
	* util.[ch]: added ICUTrace(), no more ugly defines on all tracing
	printfs

2003-01-09  Olivier Crete <tester@tester.ca>
	* src/v7send.c: Fix bad use of pointer to realloced mem
	* src/response.c: call events for users coming online/going offline

2003-01-09  Daniel Perup <daniel.perup@swipnet.se>
	with some modifications by Vincent Untz <vincent@vuntz.net>
	* ui/user_info.glade, src/changeinfo.c, src/gnomecfg.c: fixed
	interests and affiliations in My Informations (bug #101670)

2003-01-09  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in: new keys for program events
	* src/events.c: re-enable program events, but now using gconf
	* src/gnomecfg.c: remove deprecated stuffs
	* src/prefs.[ch]: added get/set gconf pair functions
	* src/prefs_string.h: added gconf keys
	* src/prefs_ui.[ch]: added prefs for program events using editable
	treeview

2003-01-07  James Sumners <james@sumners.ath.cx>
	* src/userserver.c: Make sending messags from icukrell possible

2003-01-06  Olivier Crete <tester@tester.ca>
	* src/search.c, ui/addcontact.c: Fix crasher when re-opening window
	
2003-01-01  Olivier Crete <tester@tester.ca>
	* src/msg.c, src/rtf-reader.[ch], src/response.c: Log messages as soon
	as they arrive
	* src/rtf-reader.c: Possible fix for the unicode rtf bug #100963
	* src/gtkfunc.[ch], src/msg.[ch]: Move read_next() to msg.c
	* src/v7send.c: Get nick from server if we dont have one
	* src/msg.c: Dont send messages over 450 chars to offline contacts

2002-12-28  Olivier Crete <tester@tester.ca>
	* src/gtkfunc.c: Fix URL displaying from bug #101843, fix by
	SHITAMORI Akira <shitamo@pp.iij4u.or.jp>
	* src/v7send.c: Convert URLs from utf8 before sending
	
2002-12-27  Olivier Crete <tester@tester.ca>
	* src/msg.c: Fixed nasty bug caused by undocumented gtk+ api change
	* src/msg.c: add trace_function things...
	
2002-12-26  Olivier Crete <tester@tester.ca>
	* src/history.c: Added patch by Ilya <ilyat@inter.net.il> fixing bug
	101896 where messages headers are wrong in some locales

2002-12-24  Olivier Crete <tester@tester.ca>
	* src/changeaway.c: Make ctrl-enter work in change away message window
	
2002-12-21  Vincent Untz <vincent@vuntz.net>
	* src/msg.c: removed call to gtk_window_get_focus() that caused a
	crash when receiving a message in a previously open message window
	* src/msg.c: ... and reversed this because it breaks the windows blink
	thing. Need to take a closer look for fixing this crash.

2002-12-09  Patrick Sung <iam@patricksung.com>
	* src/prefs.c: added new function so that if we get NULL from keys,
	we will quit the program gracefully instead of crashing the app.
	* ui/prefs.glade: added GUI for external program on events, need to
	finish up the prefs code

2002-12-08  Olivier Crete <tester@tester.ca>
	* src/gtkfunc.c: Remove old handling of "web" and "pager" messages
	
2002-12-03  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/applet.[ch], gnomeicu-applet/control.c: Move to 
	GConf, theme changes are now auto-apply for the applet too
	* src/util.c: Add_User no longer depends on being connected

2002-12-01  Vincent Untz <vincent@vuntz.net>
	* src/icons.c: made it update icons everywhere (except applet)
	* src/response.c: made it update the status icon in the message
	windows when updating all icons
	* showlist.h: removed old include for gtkclist.h

2002-11-30  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in, src/prefs_string.h: new keys for icon/emoticon
	themes
	* src/emoticons.[ch], src/icons.[ch]: use the new gconf key with instant
	apply now
	* src/gnomecfg.c: killed charset conversion, themes gnome-config keys
	* src/gnomeicu.c: call a better init themes function
	* src/msg.c: load the gconf key now, with a little bit speed up
	* src/prefs.[ch]: added preferences_watch_key() so now we can watch
	keys for more instant apply actions
	* src/prefs_ui.[ch]: added treeview for themes
	* ui/prefs.glade: new treeview for theme changes on prefs dialog
	
2002-11-30  Olivier Crete <tester@tester.ca>
	* src/prefs_ui.c: Fixed saving of favorite charset
	* src/rtf-reader.c: Mark string for translation
	* src/rtf-reader.c: Fix "deleted spaces" bug on >127 chars

2002-11-28  Patrick Sung <iam@patricksung.com>
	* src/v7snac13.c: added timeout when user's contact list is not in
	a consistent state. Also will attempt to fix it after log in. Hopefully
	this will fix bug 99336.

2002-11-28  Olivier Crete <tester@tester.ca>
	* ui/addcontact.glade, src/search.c: Remove useless gnome_entry
	* src/search.[ch], src/response.[ch], src/v7recv.c, 
	ui/addcontact.glade: Add progress indicator to search dialog and clean
	up the code a little too
	* ui/user_info.glade, src/changeinfo.c: Add possibility to change
	Web Aware and Require Auth
	* src/prefs{_string,}.c, src/changeinfo.c, src/xmlcontact.c, 
	src/common.h, gnomeicu.schemas.in: Move webaware from gconf 
	to xmlcontact

2002-11-26  Olivier Crete <tester@tester.ca>
	* src/prefs_ui.c, po/POTFILES.in: Added code to make sure charset 
	setting is correct
	* src/rtf-reader.c: Fix leak
	* src/util.[ch]: Add generic charset conversion functions
	* src/{rus,kanji}_conv.[ch]: Finally gone
	* src/... many..: Replace all calls to other conversions to the generic
	framework
	* src/sendcontact.c: Fix reception of contact list...
	* ui/addcontact.c: Fix focus chain (bug #96555)
	* gnomeicu.spec.in: Make sure produced RPMs are NOT stripped so we 
	will get proper bug reports

2002-11-26  Patrick Sung <iam@patricksung.com>
	* configure.in: make sure we have $(GCONFTOOL) defined
	* gnomeicu.schemas.in: new key: general/ui/charset-fallback
	* new files: prefs_ui.[ch]: for creating custom prefs GUI and handling
	* src/prefs.[ch]: misc change to accomodate the new custom prefs GUI
	* src/prefs_string.h: new define for the new gconf key
	* ui/prefs.glade: new combo box for charset fallback

2002-11-25  Olivier Crete <tester@tester.ca>
	* prefs_icon*.png: Much nicer icons by quiana@gmx.net
	
2002-11-24  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c, src/msg.c: Finally support background color 
	(highlighting) properly..
	* src/showlist.c: Fix crash on XML unsafe chars
	* src/rtf-reader.c, src/msg.c: Cleanup and add right-to-left support

2002-11-24  Christopher Ness <nesscg@mcmaster.ca>
	* emoticons/Default/Makefile.am: Added another emote icon.
	* emoticons/Default/emoticon-data: Added some ICQ 2002 sunglasses
	support, and modified 8) -> sunglasses as well.

2002-11-24  Sebastien Bacher  <seb128@debian.org>
	* Makefile.am: Modifications for schemas file installation.
	* src/Makefile.am: Added prefs_string.h to the sources list.

2002-11-23  Olivier Crete <tester@tester.ca>
	* src/userserver.c: More cleanup
	
2002-11-23  Chris Heywood <cheywood@net2000.com.au>
	* src/userserver.c: Fix for gnomeicu-client connection problems.

2002-11-21  Olivier Crete <tester@tester.ca>
	* src/common.h, src/gnomecfg.c, src/tcp.c: Remove force_override
	* src/common.h, src/msg.[ch], ui/message.glade: Make message window
	icon blink until the window is focused on new message
	* src/msg.c: Fix little bug in blinking

2002-11-20  Patrick Sung <iam@patricksung.com>
	* gnomeicu.schemas.in: fixed bug #99049
	* src/filexferdlg.c, src/gtkconf.c, src/prefs.c: fixed bug #99050 on
	"directory"
	* src/prefs.[ch]: preliminary support for combo box in prefs dialog
	* ui/prefs.glade: fixed bug #99051

2002-11-17  Patrick Sung <iam@patricksung.com>
	* GConf Preferences: new files:
	gnomeicu.schemas.in: the GConf schemas file
	prefs_icon_*.png: the image that shows up on the preferences dialog
	src/prefs.[ch]: handles prefs dialog generation, also functions to
	interface with gconf
	src/prefs_string.h: defines that point to the correct gconf key
	ui/prefs.glade: preferences dialog UI template
	* Makefile.am: install schemas when doing a make install; install icons
	* src/autoaway.c, src/events.c, src/gtkfunc.c, src/msg.c,
	src/packetprint.c, src/response.c, src/tcp.c, src/util.c,
	src/v7base.c, src/v7login.c, src/v7newuser.c, src/v7send.c:
	preferences are read off the gconf db directly, commented changes are
	marked with GCONF_PREFS
	* src/common.h: added prefs_string.h and prefs.h
	* src/events.c: disabled the program launch event, for now
	* src/gnomecfg.c: We no longer saved prefs (with exceptions) to the
	gnome-config file in ~/.gnome2/GnomeICU. Also won't read in the toggles
	as we rely on the gconf defaults settings. Changes are marked with
	GCONF_PREFS. Also removed code that are no longer used
	* src/gnomeicu.[ch]: Windows geometry is saved in gconf now, removed the
	globals (also other unused globals)
	* src/grpmgr.c: include gtkliststore.h instead of gtk.h
	* src/gtkconf.c: configure_window() now calls preferences_dialog_show()
	only
	* src/newsignup.[ch]: Changed NewUserSignup() to new_sign_up()

2002-11-17  Olivier Crete <tester@tester.ca>
	* src/autoaway.c: Open display in both cases (XPointer and Xss)
	
2002-11-16  Olivier Crete <tester@tester.ca>
	* src/gnomeicu.c, src/userserver.c, src/v7newuser.c: Fix crash on
	new user signup and properly handle errors there too
	* configure.in: Fix XScreenSaver test

2002-11-16  Patrick Sung <iam@patricksung.com>
	* src/v7login.c, src/v7recv.c, src/v7newuser.c: revert the last
	change about GNet API back. We are not ready to support CVS GNet yet
	(which is 1.3)

2002-11-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/v7login.c: Compensate for api rename in gnet
	* src/v7recv.c: Same
	* src/v7newuser.c: Same
	
2002-11-16  Gediminas Paulauskas <menesis@delfi.lt>

	* src/*.c: use g_object_add_weak_pointer to NULLify pointers instead
	of connecting to "destroy" signal.
	
2002-11-14  Patrick Sung <iam@patricksung.com>
	* src/rtf-reader.c: Make sure it can compile in older (<3.0) gcc

2002-11-14  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: Add more rtf control words to ignore
	* src/rtf-reader.c: Another attempt to fix conversions, 
	* src/rtf-reader.c: Fix the order of the iconv arguments. thanks to
	Roger So

2002-11-12  Olivier Crete <tester@tester.ca>
	* src/gnomecfg.c: Save contacts.xml when "homeinfo" is changed too
	* src/xmlcontact.c: Fix .. embarassing .. mistake

2002-11-11  Patrick Sung <iam@patricksung.com>
	* src/gnomecfg.c: we now save uin, nickname, password, auth to
	contacts.xml
	* src/gnomeicu.c: make sure the directory is owner accessible only
	we check directory before we read in config data
	* src/xmlcontact.c: added <password/> and <require-auth/>, now also
	save/read uin, nick, paassword, auth from contacts.xml

2002-11-11  Vincent Untz <vincent@vuntz.net>
	* src/gtkfunc.h: remove function that has nothing to do here
	* src/msg.c: be sure that we are at the end of the conversation when
	opening the conversation window

2002-11-10  Olivier Crete <tester@tester.ca>
	* src/grpmgr.c: Functions called from glade should NOT be static
	* gnomeicu-applet/control.c: Dont try to close the same GIOchannel twice

2002-11-09  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/control.c: Fix leak
	* src/gnomeicu.c: Only allow one copy running per user

2002-11-09  Sebastien Bacher  <seb128@debian.org>

	* src/gnomeicu.c, src/history.c: Move code for directories creation
	from history.c to gnomeicu.c. Now the test is on gnomeicu init.

2002-11-09  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: require gnet >= 1.1.4 (bug #98090)

***********************************************
* GnomeICU 0.98.126 (aka 0.99 beta) released  *
***********************************************

2002-11-08  Gediminas Paulauskas <menesis@delfi.lt>

	* src/common.h, src/gnomecfg.c, src/response.c, src/util.c, src/v7snac13.c,
	src/xmlcontact.c: remove useless properties from Contact_Member 
	(last_status, need_update, show_again, icon_p, icon_b).
	* src/gtkfunc.[ch] (read_next): cleanup.
	* src/msg.[ch], ui/message.glade: use dialog's "response" signal
	instead of "clicked" signals on each button.
	* src/response.c, src/user_popup.c: remove weird "Show Again" checkbox
	from away message dialog.
	* configure.in: make it --enable-debug, not --with-debug

2002-11-07  Olivier Crete <tester@tester.ca>
	* gnome-gnomeicu.png, etc: Integrate cleaned up icon by
	Patrick Sung
	* gnomeicu-applet/applet.c: Make "not running" message nicer

2002-11-06  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomecfg.c, src/gtkconf.c, ui/pref.glade: remove sort_contacts
	and full_reply options, they were not being used.
	Hide spellcheck option because it is not used too.

2002-11-06  Gediminas Paulauskas <menesis@delfi.lt>

	* src/kanji_conv.c: use glib2 functions for current locale detection
	and conversion.
	* configure.in: remove AM_ICONV, we do not use iconv directly.

2002-11-02  Sebastien Bacher  <seb128@debian.org>
	* src/gnomeicu-client.c, src/userserver.c: Add support for 
	"status_noask" option
	* src/gtkfunc.[ch]: Add test to display or not the "away_window"

2002-11-03  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/applet.[ch]: Add tooltip to applet
	* gnomeicu-applet/control.c: Further fixing for Daniel
	* src/response.c: Make away message window act more sanely

2002-11-02  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/control.c: Possible fix for Daniel Paessler's crash
	
2002-11-01  Olivier Crete <tester@tester.ca>
	* src/v7snac13.c: Set status when adding contact, but not when moving

2002-11-01  Patrick Sung <iam@patricksung.com>
	* configure.in: version 0.98.123
	* src/cl_migrate.c: don't pop up migrate dialog if it is a new sign up
	* src/gnomecfg.c: we no longer support the gnomeconfig [contacts]
	section, which is the first generation contact list for gnomeicu
	* src/v7snac13.c: we no longer support migration of gnomeicu users
	with a lite.icq.com (now called icq2go) created contact list.
	GnomeICU now will create the default group (General) upon new user
	registration (with the help of the migration routines)

2002-11-01  Sebastien Bacher  <seb128@debian.org>
	* src/msg.c: Add support for url recognition in message window

2002-10-30  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/control.c: Fix socket leak

2002-10-31  Gediminas Paulauskas <menesis@delfi.lt>
	* src/*.c: Replace Gtk+ deprecated functions. Only GtkCLists left.

2002-10-29  Patrick Sung <iam@patricksung.com>
	* src/grpmgr.c: make sure functions are properly localized
	* src/v7snac13.c: bug 97101's problem should be workarounded.  Contact
	list now will be treated more gracefully

2002-10-29  David Hoover <karma@deadmoose.com>
	* icons/*/*.png: Clean up icons so they're all 16x16 pixels

2002-10-28  Olivier Crete <tester@tester.ca>
	* src/response.c: Fix bug where contact was added more than once,
	fix not in list adddingg
	
2002-10-29  Gediminas Paulauskas <menesis@delfi.lt>

	* src/winhints.c, src/winhints.h: get rid of these evil files.
	* src/Makefile.am: remove above from build.
	* src/userserver.c: do not try to guess if gnomeicu is visible on
	current workspace, just present or hide.
	* src/detach.c: do not set skip_winlist and skip_taskbar winhints,
	they did not work anyway. Make detached window non-resizable.

2002-10-29  Gediminas Paulauskas <menesis@delfi.lt>

	* src/tray.c: if there is an unread message, show it on double-click.
	When hiding app, remember it's position, and restore it when
	re-showing.

2002-10-27  Olivier Crete <tester@tester.ca>
	* src/showlist.[ch], etc: make tree function take Contact_Member as arg
	* src/showlist.c, etc: add "not in list" group to online list
	* etc..: other fixes
	* icons/*/Makefile.am: simplify makefiles
	* icons/*/gnomeicu-animation.gif: Make gif version animations
	* src/gnomeicu-spinner, ui/main.glade, src/*,: Use GtkImage 
	instead of custom spinner

2002-10-27  Vincent Untz <vincent@vuntz.net>
	* src/changeaway.c, src/gnomeicu.c, src/group_popup.c,
	src/personal_info.c, src/response.c, src/showlist.c: updated includes
	* src/changeinfo.c, src/grpmgr.c, src/msg.c, src/search.c,
	src/showlist.c: removed unused variables
	* src/events.c, src/history.c, src/personal_info.c, src/search.c,
	src/util.c: removed some warnings
	* src/showlist.c: cleanup

2002-10-26  Olivier Crete <tester@tester.ca>
	* src/v7snac13.c: dont set offline when adding, breaks moving 
	* src/showlist.c: Get rid of Offline group in online tab,
	clean up a few hundred duplicate lines
	* src/response.[ch], src/showlist.[ch], src/v7recv.c: Clean up status
	change process a bit.. still needs work
	
2002-10-25  Olivier Crete <tester@tester.ca>
	* src/search.c, src/v7snac13.c, src/events.[ch]: cleanup
	* src/util.[ch]: Privatise private function
	* src/gnomeicu.c, src/gtkfunc.c, src/showlist.[ch]: Cleanup tree code, 
	allow proper renaming when multiple groups have the same name
	* src/group_popup.[ch], src/gtkfunc.c: Add popup for groups
	* src/user_popup.c: Disable server features when offline
	* src/user_popup.c: Add to Group...

2002-10-25  Vincent Untz <vincent@vuntz.net>
	* src/events.c: changed the way external programs are launched, using
	the previously commented code (credits to Sam Izzo <izzo@humbug.net>)
	* src/grpmgr.c: don't allow removing/renaming groups if not connected,
	fixed the update of the name on the list of the dialog when renaming
	* showlist.[ch]: added gnomeicu_tree_remove_group() and
	gnomeicu_tree_rename_group()
	* src/groups.c: made it remove/rename a group from the contact list
	when the group is removed/renamed
	* src/gnomeicu.c: removed the old SHOW_GTK_TREE_VIEW define

2002-10-24  Patrick Sung <iam@patricksung.com>
	* src/groups.[ch]: Added groups_rename_by_gid().
	* src/grpmgr.c, ui/grpmgr.glade: Added group rename feature, along with
	some UI changes.

2002-10-24  Vincent Untz <vincent@vuntz.net>
	* src/gnomeicu.[ch], src/gtkconf.c, src/gtkfunc.c, src/v7login.c
	v7newuser.c, src/v7recv.c, src/v7send.c: changed ready_set() to
	allow the systray to flash
	* src/flash.c, src/tray.[ch]: made the systray flash when new
	messages are incoming
	* tray.c: changed the systray tooltip when there's an incoming
	message

2002-10-24  Olivier Crete <tester@tester.ca>
	* src/newsignup.c: Fix new signup (now uses its own gtk main loop)

2002-10-23  Patrick Sung <iam@patricksung.com>
	* src/groups.c: fixed a seg fault bug when removing group.
	Added a check for gid=0 when searching for group record so skip the
	unnecessary looping.
	* src/grpmgr.c: Added delete group feature (only delete empty group).
	Also adding/deleting groups will update the list on the dialog now
	* src/v7snac13.c: Fixed login problem (from my last changes) with
	empty group. 
	Changed the way we are counting groups for now, as there seems to have
	problems for some people to login.
	Fixed a bug when adding group, which could result in inconsistent
	contact list structure.
	Added protocol support for deleting groups.

2002-10-22  Patrick Sung <iam@patricksung.com>
	* src/v7snac13.c: Changed the way on when to expect the contact list
	is received in full, thus fixing problems that users are unable to
	login because of a zero timestamp

2002-10-22  Olivier Crete <tester@tester.ca>
	* src/auth.c: Fix crash when declining auth, thanks to Vincent Untz
	* src/listwindow.c, src/sendcontact.c: Fix sending contact lists
	* src/userserver.c, src/v7recv.c: commented out broken stuff
	* src/listwindow.c, src/sendcontact.c: Fix listwindow closing time
	* src/listwindow.c: Fix bug
	* src/configure.in, src/acconfig.h: Replace acconfig.h.in with 
	proper autoconf 2.5 ac_defines

2002-10-22  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/auth.c, src/response.c, src/user_popup.c: Don't include markup
	in messages.
	* src/changeinfo.c, src/personal_info.c, ui/user_info.glade: Add
	accels, string changes.

2002-10-21  Olivier Crete <tester@tester.ca>
	* icons/*/gnomeicu-blank.png: made it 16x16 like the rest
	* icons/*/*: Removed duplicates with Default, as default is used when
	an icon is not in the theme
	
2002-10-20  Olivier Crete <tester@tester.ca>
	* src/history.c: Make history text widget not editable
	
2002-10-19  Eskil Bylund <eskil_bylund@fastmail.fm>
	* Makefile.am, configure.in, gnomeicu.spec.in, doc/Makefile.am,
	doc/C/Makefile.am, doc/C/gnomeicu-C.omf, src/gnomeicu.[ch]: 
	Fix documentation (requires scrollkeeper).
	* doc/omf.make, doc/xmldocs.make: Add two new files.
	* src/gtkfunc.[ch]: Use the popup_menu signal, the shortcut should
	be shift-f10 by default.
	* src/changenick.c, src/response.c, src/user_popup.c, ui/grpmgr.glade,
	ui/user_info.glade: Add accels, minor UI changes.
	* ui/main.glade: Use the popup_menu signal, enable the manual.

2002-10-13  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu.c, src/grpmgr.c, src/gtkfunc.c, src/search.c,
	src/showlist.c, src/v7recv.c: plug some leaks.

2002-10-12  Daniel Romberg <daniel@k1q.net>
	* src/eggtrayicon.[ch]: add tray icon from libegg/tray.
	* src/tray.[ch], src/gnomeicu.c:
	Use the Panel Notification Area.
	* src/Makefile.am: add four new files to build.

2002-10-12  Patrick Sung <iam@patricksung.com>
	* src/v7snac13.c: fixed a problem where gnomeicu tries to fix contact
	list after receiving the first packet contact, which causes problems
	for some users

2002-10-10  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/gnomeicu.c: Support --geometry. Closes #92869

2002-10-08  Olivier Crete <tester@tester.ca>
	* gnomeicu-applet/applet.h, control.c: Require two misses to make it
	go to the "not running" status, should fix the blinking

2002-10-03  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/auth.c, ui/auth.glade, src/response.c: HIG'ify some dialogs.
	* src/changeaway.c: Add a border around the textbox. Fixes #92809
	* src/gtkfunc.c: Space is already used to activate the selected listitem,
	use Shift-F10 instead (as recommended by the HIG, and used by most apps).
	* src/icons.[ch]: Add two more icons.
	* src/personal_info.c: Make the lists columns autosize.
	* src/user_popup.c: Add access keys to the labels, string changes.
	The "Show Shortcut" item now uses a checkbox to show its state.
	* src/util.c: Capitalize some words I previously added.
	* ui/main.glade: Small string change.
	* ui/pref.glade: Make the link work.

2002-10-02  Olivier Crete <tester@tester.ca>
	* src/v7recv.c: trying to fix v7_server_status crash
	
2002-09-28  Olivier Crete <tester@tester.ca>
	* src/autoaway.c, src/gnomeicu.c, src/gtkconf.c: Fix auto-away
	* ui/pref.glade: Fix auto-away UI

2002-09-24  Olivier Crete <tester@tester.ca>
	* src/rtf-reader.c: Ignore some bidi operations for now..
	
2002-09-20  Olivier Crete <tester@tester.ca>
	* configure.in, acconfig.h: Remove unused vars

2002-09-12  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/personal_info.c, ui/user_info.glade: Display more user info,
	string changes. UI changes.
	* ui/addcontact.glade: Tiny UI fix.

2002-09-08  Vincent Untz <vincent@vuntz.net>
	* src/v7send.[ch]: Added functions to modify some info fields.

2002-09-07  Frédéric Riss <frederic.riss@laposte.net> (and Tester)
	* src/rtf-reader.c: Added a fallback conversion to the current locale
	and then to ISO-8859-1

2002-09-07  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/user_popup.c: use the menu to change users group, small fixes
	* src/grpmgr.c, src/grpmgr.h, ui/grpmgr.glade,
	ui/main.glade: small fixed, cleanups

2002-09-05  Olivier Crete <tester@tester.ca>
	* src/v7send.c, src/msg.c: Cleanup
	* src/response.c, src/msg.c: Fix crash on unknown locale 
	* ui/message.glade: Message windows show up in tasklist

2002-09-04  Olivier Crete <tester@tester.ca>
	* src/msg.c: Fix time string for non-ascii locales by 
	Ken Deeter <ktdeeter@alumni.princeton.edu>
	* src/showlist.c: Fix DnD by
	Jörgen Scheibengruber <mfcn@wh-hms.uni-ulm.de>
	* src/filexfer.c: Little fix for file reception

2002-09-03  Olivier Crete <tester@tester.ca>
	* src/*.[ch]: File transfer work, we can send, but not receive. Only
	works with ICQv8

2002-09-01  Olivier Crete <tester@tester.ca>
	* src/changeinfo.c: fixed removing other emails

2002-09-01  Eskil Bylund <eskil_bylund@fastmail.fm>
	* ui/message.glade: Not have message window auto-resize
	* src/changeinfo.c, src/personal_info.c, ui/user_info.glade: New
	user info dialogs
	
2002-08-31  Olivier Crete <tester@tester.ca>
	* src/events.c: Patch for events by Sam Izzo <izzo@humbug.net>
	* ui/pref.c: Document events patch, make theme part look nicer

2002-08-26  Olivier Crete <tester@videotron.ca>
	* ui/main.glade: Made Vincent's doubleclick fix on AllContacts tree too

2002-08-25  Vincent Untz <vincent@vuntz.net>
	* src/auth.c, src/changeinfo.c, src/changenick.c, src/cl_migrate.c,
	src/grpmgr.c, src/gtkconf.c, src/gtkfunc.[ch], src/ignore.c,
	src/invisible.c, src/msg.c, src/personal_info.c, src/search.c,
	src/sendcontact.c, src/user_popup.c, src/util.c, src/visible.c,
	ui/addcontact.glade: made it tell the user that an action can not be
	done if he's not connected.
	* src/changeaway.c: made it change the away message only if OK was
	clicked.
	* src/awaymsglist.[ch], src/changeaway.c: don't show the combo box of
	away messages if there are no away messages predefined.
	* src/changeinfo.c, ui/user_info.glade: made the 'add email' button
	sensible only if necessary.
	* src/changeinfo.c, src/personal_info.c, ui/user_info.glade: intercept
	delete event.
	* src/gtkfunc.c, ui/main.glade: fixed a double-click bug in the
	contact list.
	* src/v7snac13.c: fixed a bug when looking at user info just after
	adding the user.

2002-08-20  Olivier Crete <tester@videotron.ca>
	* src/msg.c, ui/message.glade: Changed the hint of message windows to
	normal from dialog
	* gnomeicu-applet/control.c: remove unref added by vincent,
	causes crash

2002-08-20  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/changeinfo.c, src/v7send.c, v7send.h: completed
	v7_modify_work_info.
	* src/common.h, src/v7recv.c: added job occupation.
	* src/util.c: added some missing categories in fields.

2002-08-20  Vincent Untz <vincent@vuntz.net>
	* gnomeicu-applet/applet.c: made the applet flash at the same speed
	than the application (bug #90428).
	* gnomeicu-applet/control.c: added a forgotten unref().
	* src/common.h, src/gnomecfg.c, src/gnomecfg.h, src/v7recv.c: added
	missing info fields. We can't modify nor save them yet.
	* src/v7recv.c: fixed the read of authentification info.
	* src/util.c: fixed the timezones (were always unknown).
	* src/util.h: fixed the fields macros.
	* src/showlist.c: removed unused includes.

2002-08-19  Olivier Crete <tester@videotron.ca>
	* src/gnomeicu.c: Nicks/groups are now sorted correctly

2002-08-16  Olivier Crete <tester@videotron.ca>
	* ui/user_info.c, src/changeinfo.c: Make the change info dialog nicer

2002-08-13  Vincent Untz <vincent@vuntz.net>
	* src/changeinfo.c: really fixed the birthday setting :)
	* src/changeinfo.c, ui/user_info.glade: made it calculate the
	age when changing the birthday (bug #87705); made the remove
	email button sensible to selection of an email.
	* src/gtkfunc.[ch]: removed useless function error_dialog().
	gnome_error_dialog() can/should be used instead.

2002-08-12  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gtkpref.c: always show only one preferences dialog.

2002-08-11  Vincent Untz <vincent@vuntz.net>
	* src/changeinfo.c: simplified a bit of code.
	* src/gtkconf.c, ui/pref.glade: ported the preference dialog
	from GtkCList to GtkTreeView.

2002-08-11  Patrick Sung <iam@patricksung.com>

	* src/response.c: we should conform the standard C (unless that is the
	new C standard) by declaring variables at the beginning of functions.

2002-08-11  Iain <iain@prettypeople.org>

	* src/newsignup.c (NewUserSignup): Don't cast a NULL to a GtkWindow.
	Change the "Cancel" button to a "Quit" button.
	Remove the gtk_main_quit call because we're not in a mainloop at this
	point.
	Call gtk_widget_destroy on the window.
	* src/gnomeicu.c (main): Add the Human Readable name to 
	gnome_program_init.

2002-08-11  Gediminas Paulauskas <menesis@delfi.lt>

	* ui/emoticons/Default/*: added three new emoticons from Jimmac

2002-08-11  Eskil Bylund <eskil_bylund@fastmail.fm>

	* ui/*.glade, src/*.c: remove GnomeICU: from window titles, fixes
	bug 90092.

2002-08-11  Eskil Bylund <eskil_bylund@fastmail.fm>

	* src/response.c, src/search.c, src/search.h, ui/addcontact.glade:
	port search dialog from GtkCList to GtkTreeView.

2002-08-11  Vincent Untz <vincent@vuntz.net>
	* src/*.c: updated include statements, added a lot of sanity checks,
	removed useless code/variables, added some missing free() and removed
	some compilation warnings.
	* src/changeinfo.c, src/common.h, src/gnomecfg.c: removed c_status
	from the user info structure (it had the same role as timezone).
	* src/util.[ch], src/changeinfo.c, src/personal_info.c: new functions
	and macros to handle several info fields (country, timezone, etc.).
	* src/gnomecfg.c: made it load/save some missing info fields.
	* src/gtkfunc.c: changed the Go To button when receiving an URL to the
	"Jump To" stock button.

*************************************************
* GnomeICU 0.98.111 (aka 0.99 alpha 1) released *
*************************************************

2002-08-08  Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/applet.c: fixed offline contact icon

2002-08-08  Duncan Mak  <duncan@ximian.com>
	* gnomeicu-applet/applet.c
	(gnomeicu_applet_boxit): Made it fit nicely on small (36 px) vertial
	panels.

2002-08-07 Olivier Crete <tester@videotron.ca>
	* src/search.c, ui/addcontact.glade: add user to specific group

2002-08-07 Olivier Crete <tester@videotron.ca>
	From patches by Vincent Untz
	* src/changeinfo.c, src/gnomecfg.c, src/personal_info.c, src/v7recv.c,
	ui/pref.glade, ui/user_info.glade: fix user info handling
	* src/util.c, src/gtkconf.c, src/msg.c, src/showlist.c, ui/main.glade:
	Small fixes, cleanups

2002-08-07  Gediminas Paulauskas <menesis@delfi.lt>
	* ui/pref.glade: allow ports to start at 1, not 1024
	Thanks David Hoover for noticing that

2002-08-07  Gediminas Paulauskas <menesis@delfi.lt>
	From patch by Vincent Untz:
	* src/search.c: correctly check if UIN is empty before searching by
	UIN. Free search criteria.
	* src/v7send.c: fix searching by email.

2002-08-05 Olivier Crete <tester@videotron.ca>
	* src/msg.c, ui/message.glade: intercept delete event
	
2002-08-03 Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/control.c: fix applet crash, thanks to
	Fredrik Henrysson <fredrik@2good.nu> for the idea
	* src/listwindow.c, ui/addcontact.glade, ui/auth.glade: nicer dialogs
	by Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/search.c: error when user is already in list (by Eskil again)
	

2002-08-02 Olivier Crete <tester@videotron.ca>
	* ui/message.glade, src/msg.c: cleanup message window
	* src/response.c: update status icon in msg window too

2002-08-01 Olivier Crete <tester@videotron.ca>
	* src/tcp.c, src/filexfer.c, src/userserver.c,
	gnomeicu-applet/control.c: Fixes to compile on FreeBSD
	from g-list0@a0z.org

2002-07-31 Olivier Crete <tester@videotron.ca> 
	Patches from  Eskil Bylund <eskil_bylund@fastmail.fm>
	* src/changenick.c, src/icons.[ch], src/gtkfunc.c: Added icons to
	remove users and change nick dialogs
	* src/user_popup.c, src/gtkfunc.c: replace hboxes by
	gtk_image_menu_item

2002-07-31  Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/Makefile.am, g..-applet/GNOME_GnomeICUApplet.server: 
	Patch from Christophe Fergeau to move the applet to libexec

2002-07-30  Olivier Crete <tester@videotron.ca>
	* src/gtkspell.[ch]: Removed.. we may use the gnome2 version
	in the future
	* src/gtkfunc.c: Make the user_popup behave normally
	* src/gtkfunc.[ch], src/gnomeicu.c: fix status_popup too
	* src/response.c: fix erroneous error message

2002-07-30  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-07-20  Patrick Sung <iam@patricksung.com>

	* src/v7snac13.c: added checks for gid=0 case, which leads to many
	problem to the official clients.  This will attempt to fix the problem
	by assigning the contact back to a valid group.

2002-07-20  Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/control.c: applet should now start the main app
	properly

2002-07-19  Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/{applet,control},[ch]: Made applet non-blocking, 
	it should no longer freeze when when starting while applet is running
	src/gnomeicu.c: Ignore Sigpipes instead of shutting down 

2002-07-14  Patrick Sung <iam@patricksung.com>

	* src/grpmgr.c: will resize the window when there are more groups
	* src/v7snac13.c: change the state machine again (back to the old
	switch method), making it easier to understand
	* ui/grpmgr.glade: property change on some vbox, so resize look nicer

2002-07-12  Jeremy Wise  <jwise@pathwaynet.com>
	* icons/Default/Makefile.am, icons/Default/gnomeicu-group.png: Added
		a group icon (currently blank ;)) to hold the space on the
		tree
	* src/icons.[ch]: Added the icon here
	* src/showlist.c: And support it here
	* src/showlist.c, src/v7snac13.c: More debugging on group code.
		Contacts that come in and aren't in a group are moved
		to General

2002-07-11  Jeremy Wise  <jwise@pathwaynet.com>
	* grpmgr.c, showlist.c, v7snac13.c, v7snac13.h: Fixed group GUI
		stuff

2002-07-10  Patrick Sung <iam@patricksung.com>

	* ui/main.glade: updated menu, added New/Delete Group menu item
	* src/changenick.c, user_popup.c, v7snac13.c: changed some of the
	function call interface on v7snac13.c, make them more consistent
	* src/gnomecfg.c: we are not saving [ServerCL] section on gnome-config
	anymore
	* src/user_popup.c: added "Change to group..." submenu which will lead
	to a dialog box asking which group the contact is moving to.
	* src/v7snac13.[ch]: added group changing support, new group (delete
	group is not in yet)
	* src/xmlcontact.c: should resync with server contact list when file
	not found (should be done here instead of in gnomecfg.c)

	* new files: src/grpmgr.[ch], ui/grpmgr.glade for group change support

2002-07-08  Jeremy Wise  <jwise@pathwaynet.com>
	* gnomeicu-applet/applet.c, gnomeicu-applet/applet_icons.[ch]:
		Fixed behavior of applet to old style.. just flash the
		icon when there's a message...

2002-07-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/msg.c, src/gtkconf.c, src/emoticon.c: Allow for no emoticons
	* src/gtkfunc.c: Fixed crash on spacebar
	* src/groups.c, src/icons.c, src/search.c, src/showlist.c,
		src/v7snac13.c: Added some sanity checking to prevent
		crashes

2002-07-08  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: fixed away icon in status menu
	* src/*: Remove 20 char limit for nicks.. by Vincent Untz

2002-07-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/alotta.c: Applied patch from Vincent Untz which handles
		default cases with warnings in many places
	* ui/pref.glade, src/gtkconf.c: Fixed away message saving
	* src/gtkconf.c, src/showlist.[ch]: Changes to status colors and
		and icons are made immediately to the list
	* src/search.c, src/showlist.c: Adding AIM contacts works

2002-07-06  Jeremy Wise  <jwise@pathwaynet.com>
	* gnomeicu-applet/applet.c: Fixed typo
	* src/events.c: Unconfirmed contacts will not cause
		a message beep
	* src/v7recv.c: When they are confirmed, we beep
	* src/groups.c: Groups are added to the list when we get them
		from the server's list
	* src/showlist.[ch]: Added the gnomeicu_tree_add_group() func
	* src/xmlcontact.c, src/gnomecfg.c: Broke xml contacts files
		apart based on UIN:  contacts_jbwise777.xml and
		contacts_20104906.xml, instead of just contacts.xml
	* src/v7recv.c: Properly handle the new (Netscape7) ICQ statuses
	* src/v7recv.c, src/v7snac13.c: More attempts to make adding
		contacts work properly :-?
	* src/gnomecfg.c: Reversed above changes and we're back to a
		single contacts.xml file :-/
	* src/msg.c: Reversed the red and blue text to match other apps...
		This should eventually be configurable!
	* sounds/GnomeICU.soundlist.in: Remove chat sounds

2002-07-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: Should get rid of contact in list when contact
		is removed
	* src/showlist.c: Groups show (online/total) contact counts now
	* ui/main.glade: Added second tab for list management
	* gnomeicu-applet/applet_icon.c: Made the applet load the right
		icon theme at startup
	* src/showlist.c: Fixed bugs when renaming contacts -- now works
		on both offline contacts and from the contacts list (as
		opposed to just the online list)

2002-07-04  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.[ch]: Gone because...
	* src/Makefile.am, src/*.c, src/common.h: Removed applet code
	* src/*.[ch]: Ripped the old pixmap/bitmap pairs out and rewrote
		it all using the great new GdkPixbuf support


2002-07-04  Patrick Sung <iam@patricksung.com>
	* src/gnomecfg.c: use "contacts_resync" instead of setting time stamp
	and record count explicitly 
	* src/user_popup.c: added back code that remove user from the (vis/inv/
	ignore) status list when removing user
	* src/v7recv.c: added case F13_SERVER_USER_GRANT_AUTH to handle auth
	grant from other users (snac 13 server request is pretty much all
	handled now)
	* src/v7snac13.[ch]: added more comments; added v7_user_grant_auth()
	* src/xmlcontact.c: added online notify support back to config file

2002-07-02  Frédéric Riss <frederic.riss@laposte.net>
	* src/rtf-reader.c: Improves the RTF parser charsets
	handling. Makes it very easy to add support for new codepages 

2002-07-02  Jeremy Wise  <jwise@pathwaynet.com>
	* src/events.c: Took out #ifdef HAVE_ESD so we have sounds again!
	* src/gtkconf.c: And added it back to the prefs dlg
	* src/user_popup.c: Popup menu now appears for the correct contact
	* src/gtkfunc.[ch], src/showlist.[ch], src/util.c, src/v7recv.c,
		src/v7snac13.[ch], src/xmlcontact.c: Adding and removing
		contacts should work now -- needs testing!!

2002-07-02  Olivier Crete <tester@videotron.ca>
	* configure.in, src/Makefile.am, po/POTFILES.in,
	gnomeicu-applet/Makefile.am: Packaging fixes
	* gnomeicu.spec.in: Separate applet package, removed doc
	* gnomeicu-applet/applet.[ch], gnomeicu-applet/applet_icons.[ch],
	gnomeicu-applet/control.c: Fixed theme changing
	* src/gtkconf.c: Fix bug where theme_name gets corrupted...
	Theme changes are now auto applied.. 
	* src/applet.c: Fix warning, expand in "minor" side

2002-07-01  Jeremy Wise  <jwise@pathwaynet.com>
	* src/v7send.c, src/changeaway.c: AIM status is now changed
		correctly

2002-07-01  Olivier Crete <tester@videotron.ca>
	* gnomeicu-applet/*: Fixed-up the applet to show events and 
	other stuff
	* src/applet.[ch]: why have two timeouts when you can have just one
	* src/applet.c: reorient based on size/orientation of the panel
	* gnomeicu-applet/*: start gnomeicu when going online if its
	not already running
	* src/*: Remove the possibility to hide the main window without
	the applet, remove autohide
	* src/gnomeicu-applet/applet.c: double click required, double click
	will start it too if its not running
	

2002-07-01  Frédéric Riss <frederic.riss@laposte.net>
	* src/msg.c src/rtf-reader.c : added support for underlined and
		striked text. Some other useless control words have been
		added to avoid warnings.

2002-06-30  Jeremy Wise  <jwise@pathwaynet.com>
	* Makefile.am, configure.in, gnomeicu-applet/*: Added the
		applet code here

2002-06-30  Olivier Crete <tester@videotron.ca>
	* src/v7send.[ch]: Added function to change AIM status
	* Makefile.am: Doesnt try to compile doc as it is broken anyway
	* src/*.c: Moved mainconnection out of the v7*.c files into the
	other files where it will need to be replaced next ;))
	* src/gtkfunc.c: Fixed menu positioning function
	* src/v7base.c: replace g_print with printf because we dont do UTF8
	* src/util.[ch]: Pull out old rtf code

2002-06-30  Frédéric Riss <frederic.riss@laposte.net>
	RTF parsing routines for message formatting 
	* src/rtf-reader.[ch] : new files for rtf parsing
	* src/Makefile.am : added the above files
	* src/response.c : supressed the history_add_incoming call.
		This call is made later after the rtf parsing.
	* src/v7recv.c : removed the dertf call
	* src/msg.h : exported gnomeicu_insert_text_with_emoticons (it is
		used in rtf-reader.c)
	* src/msg.c : 
		- Made the GtkTextTagTable global to all conversations
		- Added the rtf parsing call

2002-06-29  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkconf.c, src/gnomecfg.c, ui/prefs.glade,
		emoticons/MSN, emoticons/Yahoo: Added emoticon
		sets from MSN Messenger and Yahoo! Messenger :)

2002-06-28  Jeremy Wise  <jwise@pathwaynet.com>
	* src/emoticons.c: Fixed placement of an #ifdef
	* src/gtkconf.c: And here too...
	* src/gtkfunc.c, src/response.c, src/showlist.c,
		src/v7snac13.c: Fixed on/offline issues

2002-06-28  Olivier Crete <tester@videotron.ca>
	* src/v7snac13.c: disable debug printf
	* emoticons/Default/emoticon-data: remove :/ as it break URLs

2002-06-27  Jeremy Wise  <jwise@pathwaynet.com>
	* src/emoticons.[ch], emoticons/*: Emoticon support :)

2002-06-26  Olivier Crete <tester@videotron.ca>
	* ui/main.glade: Its Add Contact.. not "New"

2002-06-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/util.c, src/gtkfunc.c, src/gnomeicu.[ch], src/showlist.c:
		Modified the group handling on the GtkTreeView to
		eliminate duplicate groups and not use uid/gid ICQ
		IDs
	* src/showlist.[ch], src/gtkfunc.c: Offline contacts are now hidden
		in an offline group so you only have to see what you want
		to see -- people you can talk to

2002-06-26  Gediminas Paulauskas <menesis@delfi.lt>

	* ui/welcome.glade: initial sketch of first-time druid, which ask for
	UIN and password. Not much to see yet.
	* src/Makefile.am: ughhh, newsignup.c is not gnome2 clean yet,
	do not disable deprecated gnome2 stuff.

2002-06-26  Gediminas Paulauskas <menesis@delfi.lt>

	Here comes the pref dialog made in glade! It was made by
	Vincent Untz <vincent.untz@ensimag.imag.fr> and modified by me since
	then. As a bonus you can change password now :)

	Also, this is the last file which makes it possible to compile with
	(G|GDK|GNOME)_DISABLE_DEPRECATED flags set.
	
	* ui/pref.glade: new file which contains preferences dialog.
	* ui/Makefile.am: install it.
	* src/gtkconf.c: use the new preferences dialog. I don't like current
	state of this file that much, but it's hard to maintain such a huge
	patch. I hope to see completely rewritten dialog with gconf soon.

2002-06-26  Gediminas Paulauskas <menesis@delfi.lt>

	* The next part of replacing deprecated stuff, more complex dialogs
	are now GtkDialogs.

	* src/gtkfunc.c: Moved url sending function here from...
	* src/sendurl.c: ...here, and removed this empty file.
	* src/icons.c (make_button_with_pixmap): a new function which creates
	a button with label and pixmap on it. Used for such buttons as "send"
	with "jump" icon.
	* src/util.c: simplify strip_cr, strip_html, add_cr functions: no need
	to use g_utf8_next_char, because we test only for '\r', which cannot
	be inside a multibyte char.

	Thanks to Christophe Fergeau for parts of this patch.

2002-06-25  Gediminas Paulauskas <menesis@delfi.lt>

	* Replace deprecated gnome stuff, mostly dialogs, with nicer gtk2 code.

	* src/awaymsglist.c, src/changeaway.c: redesign away msg dialog, use
	toggle button for away messages.
	* src/gnomeicu.c: exit if glade file of main window was not found.

2002-06-22  Jeremy Wise  <jwise@pathwaynet.com>
	* Committed a cleanup patch from hadess

2002-06-22  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: stop using mainconnection where not required 

2002-06-22  Jeremy Wise  <jwise@pathwaynet.com>
	* src/*.c: Made sure the required headers were still in there to
		avoid compile-time warnings ;)
	* src/gtkfunc.c: Fixed crash bug with Read Next

2002-06-22  Gediminas Paulauskas <menesis@delfi.lt>

	* src/Makefile.am:
	add -rdynamic to gnomeicu_LDFLAGS, because otherwise
	glade_xml_signal_autoconnect does not work for me.
	gnomeicu-client does not need to link to anything.
	* src/common.h: remove all includes which are not needed for this
	header to be correct, except common.h and bonobo-i18n.h which should be
	included in every C file anyway.
	* src/*.c: update includes.
	* src/gtkfunc.c: move app_save_state_cb() to...
	* src/gnomeicu.c: ...here.
	use create_tcp_line instead of inline copy of the same code. Do we
	need that at all?
	* src/v7send.c (v7_modify_password): add this function to change
	password on server.

2002-06-22  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: set and substitute variables for required versions of
	libraries, use them in a check. Require only libglade, libgnomeui,
	gnet and libxml2.
	* gnomeicu.spec.in: update required libraries, their versions now are
	substituted when running configure.
	removed gnorba file, update desktop file locations.

2002-06-22  Bastien Nocera  <hadess@hadess.net>

	* src/gnomeicu.c: (app_init), (main), (about):
	use gnome_program_init, check if the file != NULL before trying to
	make a pixbuf from it.

2002-06-20  Jeremy Wise  <jwise@pathwaynet.com>
	* src/v7recv.c, src/common.h: Made ICU recognize AIM status changes

2002-06-18  Patrick Sung <iam@patricksung.com>

	* src/v7snac13.c: fixed a bug where the string length is not accounted
	for when reading the string form of uin from a packet (which will
	easily lead to buffer overflow problem)

2002-06-17  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.[ch], src/gnomeicu.c, ui/main.glade, src/util.[ch]:
		The switch to the new GtkTreeView is complete!  Now the old
		code will be removed and cleaned up!

2002-06-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.[ch], src/gtkfunc.[ch], src/icons.[ch],
		src/response.c, src/showlist.c, src/v7recv.c: Beginning
		support for groups/GtkTreeView/etc.  Not there yet, tho!
	* src/gnomeicu.c: Added a check for SHOW_GTK_TREE_VIEW so the tree
		won't show up for those who don't want to see it ;)
	* src/msg.c, src/util.c: Strip HTML out of AIM messages
	* src/gtkfunc.c: Fixed a huge bug that i added with my last commit
		:)

2002-06-15  Gediminas Paulauskas <menesis@delfi.lt>

	* Makefile.am: install desktop file in standard GNOME 2 location,
	do not install it for applet as we don't have one.
	* src/gnomeicu.c: use GETTEXT_PACKAGE to be more correct.
	Remove nicks from authors, made about dialog to show only once,
	add logo to it.
	* configure.in: Add checking for libtool as we need it for glade to
	work. define GETTEXT_PACKAGE

2002-06-15  Bastien Nocera  <hadess@hadess.net>

	* src/gnomeicu-client.c: (usage): change the name in the usage to
	gnomeicu-client

2002-06-14  Sam Izzo <izzo@humbug.net>
	* src/util.c: Fix for RTF code (some things werent escaped)

2002-06-15  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: process the doc dir last, who cares about docs ;)
	* src/gnomeicu-spinner.c: (is_throbbing):
	* src/v7send.c: (v7_quit): check if the Object really is what it
	claims it is, fixes a crash-on-exit bug

2002-06-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: prerequire autoconf 2.52 minimum, fixes autogen'ing on
	debian

2002-06-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/many files: Updated UIN_T from guint32 to gchar* and made
		all the required changes.  We are now better set to talk
		OSCAR w/AIM :)
	* src/util.c: Committed patch from Sam Izzo <izzo@humbug.net> to
		fix issues with RTF translation
	* src/showlist.c: Made the contact list show AIM buddies too
	* src/chat*.[ch]: Removed the chat functionality from ICU

2002-06-09  Gediminas Paulauskas <menesis@delfi.lt>

	* src/icuchat.c, src/icuchat.h: remove this old copy gtktext;
	gtktextview is now used instead.
	* configure.in: bump version to 1.89.90 -- to make clear that
	gnomeicu 1.0 will be GNOME 1.x based

2002-06-09  Gediminas Paulauskas <menesis@delfi.lt>

	* ui/addcontact.glade: move Add button to the dialog's action area,
	make list higher to show some entries, add label for list,
	add mnemonics to labels, remove separator.
	* ui/message.glade: make our text area smaller, align buttons to the
	right, make Send default button, remove separator

2002-06-05  Jeremy Wise  <jwise@pathwaynet.com>
	* ui/main.glade: Fixed Nouveau -> New
	* ui/message.glade: Changed Forward -> Read Next

2002-06-05  Gediminas Paulauskas <menesis@delfi.lt>

	Imported GNOME 2 port made by Fred RISS <frederic.riss@laposte.net>
	Too many changes to list them, basically use GtkTextView instead
	of GtkText, converted glade files, and adapted build system.

	GNOME 1 version is on the branch gnome-1

2002-06-05  Fred RISS <frederic.riss@laposte.net>

	* src/gnomeicu-client.c: translate all output strings.

2002-06-03  Patrick Sung <iam@patricksung.com>

	* src/xmlcontact.c: added one more state for "wait_auth" which could
	possibily fix the problem with libxml2's SAX parsing.

2002-06-01  Patrick Sung <iam@patricksung.com>

	* src/changenick.c: support renaming nick that are still on the wait
	for auth list
	* src/common.h: added "wait_auth" flag to Contact_Member to signify
	whether the nick is on the wait for auth list
	* src/v7snac13.c: lots of changes. basically redo some of the hand-
	shaking code when adding and removing users, to make it more state
	machine like so that the code is easier to understand. Also added
	support for the wait_auth flag with add/remove being able to work
	with these kind of user now. Also changed the way gnomeicu interprets
	the server contacts list because the server is sending something a bit
	different than before. (which should make problems that have been
	reported went away)
	* src/xmlcontact.h: new. added headers file for xmlcontact.c
	* src/xmlcontact.c: added support for wait_auth

2002-05-26  Vincent Untz <vincent.untz@ensimag.imag.fr>
	* src/filexfer.c, src/history.c: Fix compile warnings
	* src/msg.c: Comment out unused code

2002-05-25  Patrick Sung <iam@patricksung.com>

	* configure.in: added libxml checks for xml contacts support
	* src/Makefile.am: added xml flags and libs for compilation with libxml
	* src/gnomecfg.c: read/save will be done through the xml contact module
	if no xml contacts file found, will try to read from the icq server
	* src/groups.c: fixed possible dups of group when adding groups
	* src/v7recv.c: removed some unused commented code
	* src/v7snac13.c: fixed a potential problem of buffer overrun
	when renaming
	* src/xmlcontact.c: NEW. xml contacts list support. see file for the
	current format

2002-05-25  Gediminas Paulauskas <menesis@delfi.lt>

	* src/detach.c: make detached contact work the same way as item in
	contact list. Fix bug 75668.
	* src/user_popup.c: re-enable detached contact menu item.
	* src/gtkfunc.c: fix some things with button presses in contact list

2002-05-25  Gediminas Paulauskas <menesis@delfi.lt>

	* src/icons.[ch] (get_pixmap_for_message), (get_bitmap_for_message):
	new functions to get an icon for some message type.
	* src/flash.c, src/applet.c: use them instead of big duplicated switch.

2002-05-12  Vincent Untz <vincent.untz@ensimag.imag.fr>
	* src/search.c: Patch to stop a user from being added more than

2002-05-11  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/v7snac13.c: fixed receiving user info
	* src/changeinfo.c, src/personal_info.c: cleanup
	* src/gnomecfg.c, src/v7recv.c, src/v7login.c: Fixed leaks

2002-05-06  Olivier Crete <tester@videotron.ca>
	* src/changeinfo.[ch], ui/user_info.glade, v7recv.c: Integrated glade
	user info changer dialog
	* src/v7send.[ch], src/common.h, src/v7base.h, src/changenick.c,
	src/gnomeicu.[ch]: Cleaned up stuff

2002-05-03  Olivier Crete <tester@videotron.ca>
	* src/tcp.c: Added support for protocols v4 to v7
	* src/tcp.[ch]: Killed non-standard version request
	* src/filexfer.[ch]: Moved file transfer communication stuff to here
	* src/filexferdlg.[ch]: Moved file transfer dialog code to here
	* src/chat.[ch]: Moved some functions acting on the main tcp
	connection to tcp.[ch]
	* src/filexfer(dlg).c, tcp.[ch]: Fixed receiving from licq

2002-05-02  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: remplace system("rm...") by a proper unlink()
	* src/gnomecfg.[ch]: Remove InitializeRCFile.. moved creation of
	history directories to..
	* src/history.c: here, only create when used
	* src/util.c: Remplace call to Initialize_RC_File by NewUserSignup...
	which is what it did anyways

2002-04-29  Olivier Crete <tester@videotron.ca>
	* src/response.c, src/common.h: Cleanup message_chat variable
	* src/msg.c: Unrealize window when hiding it so that it pops-up
	in the current workspace
	* configure.in: removed doc/eu/Makefile from output because its broken
	* src/gnomeicu.c, ui/main.glade: Fix gnome-help access

2002-04-18  Olivier Crete <tester@videotron.ca>
	* ui/message.glade: Removed GtkViewport

2002-04-11  Olivier Crete <tester@videotron.ca>
	* ui/message.glade, ui/user_info.glade: Make only button focusable,
	making keyboard navigation easier
	* src/msg.c: Message window has right icon

2002-04-07  Olivier Crete <tester@videotron.ca>
	* src/gnomeicu.c: remove unused window_save_size() function
	* src/gnomeicu.c: Disable (comment) setting window position it 
	conflicts with sawfish on my machine

2002-04-01  Olivier Crete <tester@videtron.ca>
	* src/search.c: Fix user adding, fix from Patrick

2002-03-30  Olivier Crete <tester@videotron.ca>
	* ui/addcontact.glade: Replace Ok/Cancel buttons by Close

2002-03-28  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fixed reading rates, prepare to actually act on them

2002-03-21  Olivier Crete <tester@videotron.ca>
	* configure.in: Changed text to reflect clearly the fact that the
	applet is enabled by default
	* src/v7login.c: Add another error message, remove debug printf
	* src/v7base.h: Export isconnecting so that
	* src/v7send.c: I can reset it in the v7_quit() function
	* src/v7newuser.c: Remove debug printfs
	
2002-03-15  Olivier Crete <tester@videotron.ca>
	* src/autoaway.c: Fix autoaway so that it doesnt change the away
	message when already away

2002-03-11  Patrick Sung <phsung@ualberta.ca>
	* src/gtkfunc.c: Changed the miss leading string about publishing your
	online status to the icq web site, so it is not as scary as before ;)
	Thanks to Uwe Hermann (currently the gnomeicu debian package
	maintainer) for the suggestion.

2002-03-11  Olivier Crete <tester@videotron.ca>
	* src/v7newuser.c: Mostafa <mostafah@oeone.com> sent another patch
	fixing new users with long passwords, great work again..

2002-03-04  Jeremy Wise  <jwise@pathwaynet.com>
	* ui/main.glade: Moved the about dialog menu item to where it
		should be :)
	* src/v7snac13.c: Fixed an issue with the nicknames being read
		off the server incorrectly

2002-03-04  Olivier Crete <tester@videotron.ca>
	* src/v7newuser.c: Mostafa <mostafah@oeone.com> sent this patch which
	finally fixes creating new users!!! Great great work from Mostafa!

2002-03-02  Patrick Sung <phsung@ualberta.ca>
	* src/search.c: fixed crashes when users are not selected or when
	  list is empty

2002-03-02  Gediminas Paulauskas <menesis@delfi.lt>

	* src/events.c: patch from Lucio Maciel <abslucio@terra.com.br>
	to prevent zombie process when program run on event exits.
	* src/v7recv.c: fix gcc3 warnings (empty default: label)

2002-03-01 Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fix bug in handling of language bugs
	* src/v7send.[ch], others: Cleanup pre-v8 code

2002-02-26 Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fixed url reception (url/description exchanged)
	* src/v7recv.c: Added rus_conv on url reception
	* src/user_popup.c: commented detached contact menu item
	* src/gnomecfg.c: Its PacketDump, not DumpPacket (I'm dumb)
	* src/v7recv.c: Work around for bizzare packet from Trillian

2002-02-24  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in,doc/eu/: Added Basque help.

2002-02-24 Olivier Crete <tester@videotron.ca>
	* src/gnomeicu-client.c: "connhistory" should not be here anymore.
	
2002-02-24  Peteris Krisjanis <peteris.krisjanis@ttc.lv>

	* configure.in: Added Latvian language translation - lv at ALL_LINGUAS

****************************
* GnomeICU 0.98.2 released *
****************************

2002-02-22  Jeremy Wise  <jwise@pathwaynet.com>
	* configure.in: Fixed issue when compiling without support for the
		applet

2002-02-22  Patrick Sung <phsung@ualberta.ca>
	* src/gnomecfg.c, src/gnomeicu.[ch]: added a new config key
	  ServerCL/sane to check the sanity of the server list
	* src/groups.c: counter change to unsigned integer to safer compare
	* src/v7send.c: fixed the version when sending out status code and
	  some data value for this packet (1,1E)
	* src/v7snac13.c: added sanity check function to try to fix the server
	  list problems if any. Not fully implemented yet.
	  Also changed the behavior of adding/removing users, it should now
	  work properly.

2002-02-22  Olivier Crete <tester@videotron.ca>
	* src/gnomeicu.c: Ignore -a and --noapplet when built w/o applet-libs
	* src/v7login.c: More/better handling of login errors

2002-02-21  Patrick Sung <phsung@ualberta.ca>
	* src/ignore.c, src/invisible.c, src/notify.c, src/listwindow.[ch],
	  src/visible.c: remove button on these wiindows are now working.
	* src/gnomecfg.c: removed the 0 uid entries in [NewContacts]
	* src/v7snac13.c: misc. code clean up

****************************
* GnomeICU 0.98.1 released *
****************************

2002-02-19  Olivier Crete <tester@videotron.ca>
	* src/history.c: Does output the error message in the common case
	that's handled automatically
	* src/v7recv.c: Receive rate change packets and pop warning

2002-02-18  Olivier Crete <tester@videotron.ca>
	* src/gtkconf.c, src/gnomecfg.c, src/v7base.c, src/common.h:
	Removed connection history toggle, replaced by client-server toggle
	* src/v7recv.c, src/listwindow.c: Fixed sending/receiving contacts,
	removed debug
	* src/util.[ch], src/v7send.c: Re-add function to add CR from 0.96.1
	* src/util.c: Finally fix time zones

2002-02-17  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: Fixed (hopefully) the not in list list bug
	* src/listwindow.[ch]: Fixed bug with contact list sending

2002-02-17  Patrick Sung  <phsung@ualberta.ca>
	Added support for adding/removing users to vis/invis/ignore list.
	* src/common.h: added needed fields for each contact
	* src/gnomecfg.c: added support for reading v/i/i list with new tags
	  introduced. we no longer rely on the Svis/Sinv/Sign status code at
	  the end of each contact
	* src/ignore.c, src/invisible.c, src/visible.c, src/listwindow.c:
	  disabled the use of drag and drop to add users to those list window
	  and the ability to remove from the list for now. (disabled due to
	  some complexity in applying the changes and still in sync with the 
	  server
	* src/showlist.c: never show any contacts with uid of 0 because they
	  are not valid in the config file (uid 0 is for contacts that are on
	  your ignore list but you've never added them)
	* src/user_popup.c: the ignore UI is not a toggle button and changes
	  to suppor the new v7snac13 v/i/i functions
	* src/util.c: Find_User_uid need to compare with the uids on v/i/i list
	  or we could in danger of screwing up the server list
	* src/v7snac13.[ch]: added support for add/remove v/i/i list

2002-02-16  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c, src/history.c, src/msg.c: Change hardcoded time/date
	representation to locale dependant version
	 also.. I removed the gettext comments from the source

2002-02-16  Patrick Sung  <phsung@ualberta.ca>
	* src/gnomecfg.c: added key status_uid for server list status saving
	* src/gnomeicu.[ch]: added global variabe status_uid
	* src/v7recv.c: fixed improper use status when going online
	* src/v7send.[ch]: changed how set status work (vis/inv/away etc)
	* src/v7snac13.[ch]: added support for saving status to server list

2002-02-14  Patrick Sung  <phsung@ualberta.ca>
	* src/changenick.c: added back missing include
	* src/groups.c: fixed some special when generating uid
	* src/v7base.[ch]: added add_nontlv_bws() convenience function
	* src/v7snac13.c: fixed breakage on list migration due to some previous
	structural changes.  Also used add_nontlv_bws() in various places to
	simplify coding

2002-02-13  Patrick Sung  <phsung@ualberta.ca>
	* src/changenick.c: rename now sync with the server side contacts list
	* src/v7snac13.[ch]: added support for rename user nick name

2002-02-13  Jeremy Wise  <jwise@pathwaynet.com>
	* src/v7recv.c: Nickname is now updated if it is unknown and
		received
	* src/v7recv.c: Fixed constant updates because of Trillian's
		constant sending of status updates

2002-02-12  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/util.c, src/v7base.h: Fixed anti-spam so that it
	works properly (non-existent uins are only killed if they are added
	automatically, not its its done manually)
	* src/util.c, src/v7login.c: Fix compile warnings
	* src/personal_info.c: Fix bug where info struct of a user doesnt exist
	* src/v7recv.c: Fix leak where requests are not freed
	* src/v7recv.c: Further fix for the year... btw, its 8->16 bits
	not 16->32 .... 
	* src/v7send.c: Will kill half connected connection too...
	* src/v7send.c: Birthday will ALWAYS be 14 and over due to COPPA
	* src/v7recv.c: Fix antispam again, and again

2002-02-12  Patrick Sung <phsung@ualberta.ca>
	* src/v7recv.c: icq server now use 32bits for years from 0 A.D. ;)
	so we don't have to add 1900 after reading this field. Thanks
	to Andrea Gandi <andy80@pegacity.it> for the fix.

2002-02-11  Patrick Sung <phsung@ualberta.ca>
	* ui/auth.glade: updated to add the grant auth dialog
	* src/auth.[ch]: added support for granting authorization request
	* src/v7recv.c: gnomeicu now handle auth requests from other users
	* src/v7snac13.[ch]: added support for receiving auth request and
	granting auth request

2002-02-10  Patrick Sung <phsung@ualberta.ca>
	* src/cl_migrate.c: cosmetic changes account for user using liteicq
	before using GnomeICU or icq2001b
	* src/contacts.c, src/groups.c: fixed the problem if we are running
	out of ids so that it won't go to an infinite loop
	* src/v7snac13.[ch]: fixed the problem where user used liteicq before
	migrating the contacts list using GnomeICU or icq2001b. Thanks to
	Andrea Grandi <andy80@pegacity.it> for filing this report and helps
	for the debugging.

2002-02-09  Olivier Crete <tester@videotron.ca>
	* src/v7login.c: Killed 2nd error window

2002-02-06  Christian Rose  <menthos@menthos.com>
	* src/util.c: Changed GMT to UTC in messages.

2002-02-06  Olivier Crete <tester@videotron.ca>
	* src/common.h, src/util.[ch], src/v7recv.c: Fix time zones
	and work country
	* src/personal_info.c, ui/user_info.glade: Fix user info,
	add refresh button

2002-01-31  Patrick Sung <phsung@ualberta.ca>
	* v7snac13.c: fixed the problem when trying to add user, all contacts
	disappear from the contacts list window. Also removed commented
	printf's
	* gnomecfg.c: removed more commented printf debug message as things
	get stablized

2002-01-30  Olivier Crete <tester@videotron.ca>
	* src/history.c: Fixed error reporting.. only works with gdbm..
	others dont report errors.. Hope I can fix this one day
	* src/history.c: Made hack so that messages are recorded even if
	another message with the exact same date/time already exists
	* src/v7recv.c: Fix time/date in offline messages

2002-01-26  Patrick Sung <phsung@ualberta.ca>
	* v7snac13.c: changed the add user behavior a little so now non-auth
	users are on your offline list upon adding and sending out auth req

2002-01-26  Olivier Crete <tester@videotron.ca>
	* src/v7send.c: Trying to fix v7_quit when quitting when there is an
	event waiting, so that the handler is not called when the data has
	been freed
	* src/v7login.c: Fix the condition when changing status while
	gnomeicu is still connecting

2002-01-26  Olivier Crete <tester@videotron.ca>
	* configure.in: my GNOMEICU_INCLUDES does not include the ORBIT_CFLAGS
	so I'm putting it back in
	* src/v7send.c: Fixing off by one error in the last name of searches
	* src/v7recv.c: Killed finding number of results left.. it never worked
	correctly anyways

2002-01-24  Patrick Sung <phsung@ualberta.ca>
	* configure.in: GNOMEICU_INCLUDES need not include ORBIT_CFLAGS because
	it is included in GNOME_INCLUDEDIR. This cut down the length of cflags.
	* src/showlist.c, src/user_popup.c: Changed the way user is removed
	from the contact list such that no warning is issued when removing
	spam users (because they are not on the server side list).

2002-01-22  Olivier Crete <tester@videotron.ca>
	* src/contacts.c: Added remove many includes, added common.h
	* src/common.h: move the config.h include to the top

2002-01-21  Patrick Sung <phsung@ualberta.ca>
	* cl_migrate.c: changed the dialog to let user cancel the migration so
	they can backup the config file in case something goes wrong with the
	migration
	* contacts.c: changed the way contact adding is done when there is an
	error
	* gnomecfg.c: handle cases when there is on [Groups] tag exists and
	with no groups (rarely can happen tho)
	* gnomecfg.c: removed many debugging printf during testings, hope they
	are no longer needed :)
	* gnomecfg.c: fixed a memory leak when reading groups
	* showlist.c: added an include to silience the warning from gcc
	* util.c: removed the call to the old v7_addcontact(), the only way to
	add contact now is to use the search user dialog
	* v7recv.c: removed the commented code for 2001 (v7) protocol stuff,
	the snac is never send with v8 client
	* v7send.c: marking some functions as deprecated because the new
	snac13 code (add, remove user)
	* v7snac13.c: added code for handling a weird TLV (in reading server
	contacts list) 
	* v7snac13.c: to help debug this special case (rarely can be found,
	but it happens)
	* v7snac13.c: fixed the problem when reading a very long list of
	contacts, only the first batch received is saved.

2002-01-20  Patrick Sung <phsung@ualberta.ca>
	* src/v7snac13.c: confirm has to be true for it to be displayed

2002-01-20  Patrick Sung <phsung@ualberta.ca>
	* auth.[ch]: *new* added authorization support, mainly GUI code
	* auth.glade: *new* glade UI description for authorization GUI.
	* common.h: changed the sequence of header to clean up warnings from 
	<sys/parm.h> and <glib.h> conflict
	* contacts.[ch]: added support for contacts uin-id data structure
	support.
	* gnomecfg.c: added support for saving config file with Groups id (new
	category [Groups] created), also support for uin-id for contacts. 
	Will migrate existing format to new format automatically.
	* gnomeicu.c: added initialization for the groups and contacts data
	strutures.
	* groups.[ch]: added support for group-id and associated data structure
	* idlist.[ch]: fixed bugs and added more functions to support
	IdList structure.
	* search.c: changed to use the new add user V7 function in v7snac13.c
	* showlist.c: changed to use the new remove user V7 function in
	v7snac13.c
	* v7base.h: redefined some of the snac type names; found out some new
	type, renamed the unknowns or change to a better name
	* v7recv.c: added response to more snac13 packets.
	* v7snac13.[ch]: added functions to support add, remove user, also
	partial support user authorization (can send auth req).  Also fixed
	some bugs discovered.
	
2002-01-18  Alexander Shopov <al_shopov@web.bg>
	* configure.in (ALL_LINGUAS): Added bg code for Bulgarian translation

2002-01-18  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fix anti spam code
	
2002-01-17  Jeremy Wise  <jwise@pathwaynet.com>
	* v7base.c, v7recv.c: Fixed a memory leak in the v7 code

2002-01-16  Olivier Crete <tester@videotron.ca>
	* src/history.c: Added forgotten include of icu_db.h fixing db based
	history
	* src/v7base.[ch]: Cosmetic changes
	
2002-01-13  Jeremy Wise  <jwise@pathwaynet.com>
	* src/user_popup.[ch] (new), src/gtkfunc.[ch], misc other src
		files: Moved popup menu code into its own file, and
		fixed a bug with the menu not getting the correct
		contact
	* src/util.c, src/v7recv.c: Added simple spam rejection... If the
		contact does not exist in the ICQ database, the message
		will not be accepted

2002-01-13  Olivier Crete <tester@videotron.ca>
	* src/util.c: Recognize the charset of a received RTF message..

2002-01-11  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c, src/msg.c: Fixed behavior of chat/no chat modes
		and how the read next button works
	* src/chatdlg.c, src/common.h, src/gnomecfg.c, src/gtkconf.c,
		src/rus_conv.c, src/v7send.c:  Added Latin2 character
		support (patch from Petr Hubeny <psh@checkit.cz>)
	* src/rus_conv.c: Removed compile-time warning on pointer issue
	* src/gtkfunc.c: Fixed bug when removing a contact who has waiting
		messages -- applet is now updated properly
	* src/personal_info.[ch], ui/user_info.glade: Dropped the new user
		information dialog into place

2002-01-10  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Remove v7_reqofflinemsg from here..
	* src/v7send.c: Move it to here..
	* src/v7recv.c: MacOS ICQ sends text inside special messages too
	* src/v7recv.c: Free snac data, fixes leak.. hope it doesnt crash
	anything
	* src/gtkfunc.c: Make sending contact lists available to offline users

2002-01-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/msg.[ch], src/gtkfunc.[ch], src/common.h, ui/message.glade:
		Moved the new message dialog into place
	* src/*.[ch], src/detach.[ch], src/headers.h, src/personal_info.[ch]:
		Moved functions around, made some new files, cleaned up
		a ton of code... This is one step beneath a complete
		rewrite =)
	* src/*.[ch], src/headers.h: Removed headers.h, all .c files contain
		only the header files they need.  Unnecessary dependencies
		have been removed :)
	* src/gtkconf.c, src/gnomecfg.c, src/common.h, src/msg.c: Added
		preference for default "message chat mode"
	* src/msg.c, ui/message.glade: Fixed some keybindings
	* src/msg.[ch], ui/message.glade, src/gtkfunc.[ch]: Added support
		for the User menu button

2002-01-09  Jeremy Wise  <jwise@pathwaynet.com>
	* src/Makefile.am, src/gnomeicu.c, src/gtkfunc.c, src/response.c,
		src/sendmsg.c, src/tcp.c, src/userserver.c, src/v7login.c,
		src/v7newuser.c, src/v7recv.c, src/v7send: Removed "Log
		Window" from the project...

2002-01-09  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/gtkfunc.c: menesis just told me that g_free worked
	on a NULL pointer... removed a bunch of ifs.. and fixed a leak

2002-01-09  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/gtkfunc.c: Hopefully fixed/documented a few leaks

2002-01-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c, src/showlist.[ch], src/v7snac13.c: Fixed bug with
		duplication of contacts on GUI

2002-01-08  Olivier Crete <tester@videotron.ca>
	* src/v7send.c: Fix for conversion stuff, by Alexander Nikolaev

2002-01-06  Patrick Sung  <phsung@ualberta.ca>
	* src/contacts.[ch]: *new* support for the contacts list data model
	* src/groups.[ch]:  *new* add groups support (not done, only has group
		id generations)
	* src/idlist.[ch]: *new* helpers and definition for IdList datatype
		(for server list support)
	* src/cl_migrate.[ch]: *new* GUI code for the migration dialog
	* src/v7snac13.[ch]: *new* code for all snac family 0x13
		handling (server list and user management)
	* src/Makefile.am: added new source and header files
	* src/common.h: added uinid and groupid to each contacts
	* src/gnomecfg.c: added preference support for server side contacts
		list
	* src/gnomeicu.[ch]: added global variables to save the preference
		value
	* src/v7base.h: added define TLV_HEADER, the value should be used a
		lot added and renamed type name defines of family 0x13
	* src/v7recv.c: re-shuffled packet respond sequence, make it more
		inline with icq2001b client
	* src/v7send.[ch]: functions are moved from v7recv.c because
		they are sending fucntions more than recv functions


2002-01-06  Olivier Crete <tester@videotron.ca>
	* src/v7recv.[ch]: Move v7_send_often to..
	* src/v7send.[ch]: .. here, where it belongs
	* src/.cvsignore: remove gnomeicu-v7
	* src/v7recv.c: Add handling of offline contact lists

2002-01-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c, src/gnomeicu.[ch], src/gtkfunc.c, ui/main.glade:
		Added the ability to save the main window's position

2002-01-06  Gediminas Paulauskas <menesis@delfi.lt>
	* src/common.h (stored_message): use data pointer to store all
	additional info, and remove xfer and chatcontact members.
	* src/tcp.h: move struct xfer to...
	* src/filexfer.h: ...here and rename to XferInfo.
	* src/v7recv.c, src/response.c, src/response.h, src/sendcontact.c,
	src/sendcontact.h: make contacts list a GSList. 
	* src/response.c (url_received): store url in stored_message->data,
	instead of encoding in the same string. 
	* src/filexfer.c, src/gtkfunc.c, src/tcp.c, src/userserver.c: Update
	to above changes.

2002-01-04  Olivier Crete <tester@videotron.ca>
	* src/gnomeicu.c: Add case insensitive sorting
	* src/v7recv.c: Fix contact reception from other gnomeicu

2002-01-03  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: Do not send 0 length messages
	* src/common.h: Added void* to messages to put non-text data (such as
	contact lists)
	* src/gtkfunc.c, sendcontact.[ch], response.[ch], v7recv.c, src/tcp.c:
	Fixed receiving contacts from ICQ 2001b based on menesis original work
	Tried to abstract contacts handling a little more

2002-01-03  Gediminas Paulauskas <menesis@delfi.lt>
	* src/util.c: Update country list.

2002-01-03  Gediminas Paulauskas <menesis@delfi.lt>
	* src/common.h: added "time" field to stored_message
	* src/response.c: don't print time into message string, set
	new_stored_message->time instead.
	* src/gtkfunc.c: update for time changes. Use strftime to format time.
	Fix received URL displaying.
	* src/listwindow.c: set clist on custom button so that sendcontacts can get
	it and fill in.
	* src/sendcontact.c: display all received contacts.
	* src/v7recv.c: receive contact lists.

2002-01-02  Gediminas Paulauskas <menesis@delfi.lt>
	* src/kanji_conv.c: cleanup.
	* src/sendmsg.c, v7send.c: fix conversion to kanji.

2002-01-02  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c (icq_msgbox): swap description and URL.
	* src/history.c: (history_repeated): removed, should not be needed.
	(history_add_incoming) don't convert from kanji.
	* src/response.c: (Do_Msg): removed
	(contact_list_received): new function.
	(msg_received): do nothing if "No new users" is set, or if contact is
	ignored.
	* src/tcp.h: removed unused contact parameter from TCPAckPacket.
	* src/tcp.c: update.

2002-01-02  Thomas Rast <t.rast@iname.com>
	* src/gnomeicu.c: handle SIGCHLD signal. Should fix "zombie processes
	generated by External commands" problem.
	
2002-01-02  Gediminas Paulauskas <menesis@delfi.lt>
	* src/applet.c: move "Hide/Show main window" menu item before
	preferences.

2002-01-01  Olivier Crete <tester@videotron.ca>
	* src/v7login.c: Bugfix from Patrick Sung for leaks
	* src/v7recv.c: Bugfix from Patrick Sung because we send the wrong
	packet
	* src/v7send.c: Try to fix authorisations without success

2002-01-01  Kenta Yasufuku <anfu@nifty.com>
	* src/gtkfunc.c: kanji_conv fix

2001-12-31  Olivier Crete <tester@videotron.ca>
	* src/sendcontact.[ch], src/v7send.[ch]: Send contact lists	

2001-12-31  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/util.[ch]: Now masquerades as 2001b instead of
	2000b, so we need to deRTF the messages.. Tell me what breaks

2001-12-31  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Get other emails in user info
	* src/v7send.[ch]: Modify other emails
	* src/common.h, src/gnomecfg.c, src/gtkfunc.c, src/changeinfo.c:
	Kill email2 and email3

2001-12-30  Jeremy Wise  <jwise@pathwaynet.com>
	* configure.in: version update
	* ui/addcontact.glade, src/search.c, src/response.c, src/gnomeicu.c,
	  ui/Makefile.am, src/gnomeicu.h, src/common.h: Rebuilt contact
	  search dialog :)
	* src/search.[ch]: Removed old search functions
	* src/search.c: Changed g_error() to more graceful dlg box if
	  addcontact.glade can't be found

2001-12-30  Olivier Crete <tester@videotron.ca>
	* src/history.c: replace window_show -> widget_show
	(The window may have to be created...)

2001-12-30  Olivier Crete <tester@videotron.ca>
	* src/v7send.c: Fix status changing... add unknown bit to make it work

2001-12-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/v7recv.c: Added some comments for info packets
	* src/gtkfunc.c: Nickname updated from username to nickname

2001-12-28  Takuo KITAME  <kitame@debian.org>
	* src/v7send.c (v7_sendmsg): convert kanji string if option is
	enabled, like rus_conv.

2001-12-27  Christian Rose  <menthos@menthos.com>
	* src/gnomeicu.c: Made the copyright sign translateable.

2001-12-28  Olivier Crete <tester@videotron.ca>
	* src/v7login.c: Fix error messages on login
	* src/v7recv.c: Minimal support for forced disconnections

2001-12-28  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fix zip info reception bug causing crash in russian
	conversion

2001-12-27  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Send away message to 2001 through server,
	2000b needs direct connect.. Wont work with 2001b because wont dont
	tell it we can, because otherwise it sends RTF messages
	* src/gtkfunc.c: Server based away messages online for 2001b+
	* src/v7recv.c: Fix advanced message ack again

2001-12-27  Olivier Crete <tester@videotron.ca>
	* src/v7send.c: Fixed requesting away messages
	* src/v7recv.c: Fixed receiving away messages
	* src/dialog.[ch], src/Makefile.am, src/tcp.c: Killing it,
	moving content to response.[ch]
	* src/response.[ch]: Added away message reception...
	* src/reponse.h: Cleanup..
	* src/gtkfunc.c, src/tcp.c: Commented out version querying code..
	Which was only gnomeicu-gnomeicu...
	* src/v7newuser.c: Adding missing header
	
2001-12-26  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/v7login.c: Fix debug code
	* src/v7newuser.c: Fix new user process
	* src/v7login.c: Added error numbers when can't connect,
	thanks again to Massimo Melina
	* src/v7send.c, src/v7recv.c: Trying to fix away messages code
	* src/v7send.c, src/v7recv.c: Fix the invisible code
	* src/v7send.[ch]: Fix warning
	
2001-12-26  Jeremy Wise <jwise@pathwaynet.com>
	* src/gnomeicu.c: Fixed bug with flash timeout

**************************
* GnomeICU 0.98 released *
**************************

2001-12-17  Olivier Crete <tester@videotron.ca>
	* src/v7send.[ch], src/changeinfo.cx: Set auth status
	* ui/user_info.glade: Make changes to make it in line with what
	we have on the wire
	* src/v7send.[ch], src/gtkfunc.c: beginning of some support for away
	messages

2001-12-17  Gediminas Paulauskas <menesis@delfi.lt>
	* ui/user_info.glade: Initial "User Info" dialog design, based on
	current our and other users' info dialogs.

2001-12-17  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gnomecfg.c: new functions save_user_info and save_preferences,
	splitted out from Save_RC.
	(Save_RC): don't save neither user info nor preferences.
	* src/gnomecfg.h: make save_user_info and save_preferences public.
	* src/changeinfo.c: save only user info. 
	* src/gtkconf.c: save only preferences.

	* src/datatype.h: removed unused types & defines.
	* src/showlist.c, src/v7send.c: don't cast uin to S_DWORD on
	comparison -- there's no point in doing that.

	* src/gnomecfg.c: Change initial contact to current Jeremy's UIN ;)

2001-12-16  Olivier Crete <tester@videotron.ca>
	* src/v7send.c: Will popup window on 100% cpu bug

2001-12-16  Gediminas Paulauskas <menesis@delfi.lt>
	* ui/main.glade: fix wrapped tooltips.
	* src/timezone.h: removed, merged contents into...
	* src/util.c: ...this file.
	* src/Makefile.am: remove from build
	* src/menus.h: removed, everything is in main.glade

2001-12-16  Gediminas Paulauskas <menesis@delfi.lt>
	* common.h: remove config.h, gnomeicu.h, gnomecfg.h and util.h
	includes.
	* all c/h files: add necessary includes.
	Move global variables, constants and types from gnomeicu.[ch] and
	common.h into more appriopriate files, remove lots of unused ones.
	* src/Makefile.am: remove menus.h, msg_queue.c and msg_queue.h from
	build -- they are not used.

2001-12-16  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c (icq_sendmessage_window): split a big chunk of code
	into new function user_popup ().
	(clear_i_window): replace with gtk_window_destroyed.

2001-12-07  George Talusan <george@elitedudz.com>
	* src/autoaway.c: Remove #ifdef USE_XPOINTER_CHANGE so autoaway can
	work again.

2001-12-13  Gediminas Paulauskas <menesis@delfi.lt>
	* ui/message.glade: added preliminary send/received/chat message
	dialog. Not used yet.

2001-12-13  Olivier Crete <tester@videotron.ca>
	* src/changeinfo.c, src/v7send.[ch], src/sendmsg.[ch]: 
	Change our user info
	* src/v7send.[ch]: Request our info (client code not there yet)
	* src/v7base.[ch]: Add lnts builder

2001-12-11  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fixed ack for adv msgs to make 2000b happy

2001-12-11  Abel Cheung  <maddog@linux.org.hk>
	* src/response.c (user_added_you): Minor adjustment of strings.

2001-12-10  Gediminas Paulauskas <menesis@delfi.lt>
	* configure.in: moved check whether to build applet to top. Added
	ORBIT_CFLAGS to GNOMEICU_INCLUDES.
	* src/applet.[ch]: move about() to...
	* src/gnomeicu.[ch]: ... main file

2001-12-08  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/v7login.c: Should set offline with client function,
	not by calling v7_quit directly.. Cleaner separation of client/protocol
	code. Thanks to George Talusan for the idea.
	* src/gtkfunc.c: cleaned up code
	
2001-12-07  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: More informative (for me) messages on unhandled packets

2001-12-05  Olivier Crete <tester@videotron.ca>
	* src/v7send.[ch]: Fix web presence
	* src/webpresence.[ch], src/Makefile.am, src/gtkconf.c, src/sendmsg.c:
	Remove old webpresence.[ch] files. Web presence is now part of status
	packet

2001-12-05  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fixed ack for advanced messages

2001-12-05  Olivier Crete <tester@videotron.ca>
	* ui/main.glade, src/gnomeicu.c: moves menus to glade file..
	Help is broken

2001-12-05  Olivier Crete <tester@videotron.ca>
	* ui/main.glade: Set main window to default to invisible so it doesnt
	popup for a brief instant before we hide it and fuck up wm prefs

2001-12-04  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Updated handling of offline messages
	* src/gnomecfg.c: changed default port to correct 5190

2001-12-05  Gediminas Paulauskas <menesis@delfi.lt>
	Use xml-i18n-tools
	
	* src/GnomeICU.soundlist, src/GnomeICU.desktop: removed, they are now
	generated.
	* sounds/GnomeICU.soundlist.in, GnomeICU.desktop.in: add them here.
	* Makefile.am, sounds/Makefile.am, src/Makefile.am: adjust
	accordingly, build, install and dist generates files.
	* configure.in: add macro for xml-i18n-tools.

2001-12-04  Gediminas Paulauskas <menesis@delfi.lt>
	* gnomeicu.spec.in: install glade file in right place.
	* ui/main.glade: remove border around menu.

2001-12-04  Gediminas Paulauskas <menesis@delfi.lt>
	* src/history.c: change entry date format from "%c" to american one,
	and let it translate.
	* src/changeinfo.c: warn that setting info is not implemented.
	* src/response.[ch]: remove Recv_Message.
	* src/sendmsg.[ch], src/webpresence.c: comment out almost everything
	(old stuff).
	* src/common.h: remove some unused variables/types, comment out those
	which still are in response.c and sendmsg.c.
	* src/flash.c, src/gnomecfg.c, src/gtkconf.c, src/gtkfunc.[ch],
	src/tcp.c: remove/change some old stuff.
	* src/showlist.c: don't hide Not in list tab -- it's done while
	creating.

2001-12-04  Trevor Curtis <tcurtis@somaradio.ca>
	* doc/C/gnomeicu.xml: Wasn't actually free of errors. Fixed 
	those errors.
	
2001-12-04  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.[ch]: Removed unused function
	* src/gtkfunc.c: Added sending denied auth packet
	* src/search.c, src/v7recv.c, src/response.[ch]: fix searching

2001-12-04  Gediminas Paulauskas <menesis@delfi.lt>

	Start using LibGlade. Work based on patches by
	Emre Turkay <emre_turkay@yahoo.com>
	
	* configure.in, Makefile.am, src/Makefile.am, ui/Makefile.am: added
	check for libglade, use glade flags and libs, build ui subdirectory.
	* gnomeicu.spec.in: require libglade.
	* src/gnomeicu.c: create main window from glade file.
	* ui/main.glade: Make the same as current interface. Give widgets
	meaningful names.
	* src/gnomeicu.[ch]: removed unused variables.

2001-12-04  Olivier Crete <tester@videotron.ca>
	* src/v7send.c, src/response.c: Fix for rus conversion by
	Alexander V. Nikolaev <avn@lml.ru>
	
2001-12-04  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/response.[ch]: Accept auth requests
	* src/v7send.[ch], src/gtkfunc.c: Grant/deny authorization
	* src/response.[ch], src/sendmsg.[ch]: clean up more old code

2001-12-04  Trevor Curtis <tcurtis@somaradio.ca>
	* doc/C/gnomeicu.xml: initial creation. A bit incoherent, but 
	free of markup errors.

2001-12-03  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c, src/v7send.c: Fix beeping
	* src/v7newuser.c: a bit more work towards adding new users,
	still broken

2001-12-03  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Added support for urls in advanced messages

2001-12-02  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Working support for type-2 messages, only works for
	basic text messages tho and is not very solid, but it does work

2001-12-02  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Very partial, probably broken, support for text
	messages of type 2, that George received

2001-12-02  George Talusan <george@elitedudz.com>
	* src/response.[ch]: Make status change more explicit, remove old stuff

2001-11-30  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: function to have a more informagtive display when
	receiving type 2 messages.. aka advanced messages

2001-11-29  Olivier Crete    <tester@videotron.ca>
	* src/v7recv.c, src/response.[ch]: Support for User has added you
	* src/v7recv.c: Getting direct connect info for other users
	* src/v7login.c: Added missing header
	* src/gtkfunc.c: Replaced old mail display by protocol version
	* src/events.c, src/common.h, src/chat.c, src/gtkfunc.c, src/tcp.c,
	src/util.c, : Added new has_direct_connect info flag
	* src/sendmsg.c: fix compile warning in old code... 
	
2001-11-29  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* gnomeicu.spec.in:  Loads of updates, see included changelog.

2001-11-29  Olivier Crete <tester@videotron.ca>
	* src/v7login.c: Add error watch

2001-11-29  Olivier Crete <tester@videotron.ca>
	* src/v7send.c, src/v7base.[ch], src/v7login.c, src/v7newuser.c,
	src/gtkfunc.c: We can now cancel connect while connecting

2001-11-29  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-11-29  Gediminas Paulauskas <menesis@delfi.lt>

	* src/common.h, src/gnomecfg.c, src/gtkconf.c: removed "Force
	messaging through server" and "Dump UDP Packets" options.
	* packetprint.c: remove UDP packet printing

2001-11-28  Olivier Crete <tester@videotron.ca>
	* gnomeicu.spec.in: fix homepage correctly now
	* src/changeinfo.c, src/common.h, src/gnomecfg.c, src/gtkfunc.[ch]:
	                                           Zip is now a string
	* src/v7send.[ch], src/v7recv.c, src/gtkfunc.[ch], src/response.c,
	src/sendmsg.[ch], src/listwindow.c: Added getting user info
	* src/v7base.[ch], src/v7send.[ch], src/v7recv.[ch]: Added requests
	queue 
	* src/util.c, src/common.h, gnomeicu.[ch]: killed old misc stuff
	* TODO: updated
	* CREDITS, MAINTAINERS: I believe I can be in there ;)
	* HACKING: The mailing list should be there too

2001-11-28  Trevor Curtis <tcurtis@somaradio.ca>
	* doc/sgmldocs.make: a bit of black magic needed to build 
	the documentation
	* doc/C/gnomeicu-C.omf: the omf file for documentation building
	* doc/C/Makefile.am: greatly simplified this file for documentation 
	building

2001-11-28  Jeremy Wise <jwise@pathwaynet.com>
	* src/Makefile.am: Changed gnomeicu-v7 back to gnomeicu

2001-11-27  Olivier Crete <tester@videotron.ca>
	* gnomeicu.spec.in: change homepage in specfile
	* src/v7send.c: Switched user searching from 2000b to 2001b way
	* src/v7send.c, src/v7login.c: Changed popup window to log entry
	* src/v7recv.c: send a packet, we dont know why, but 2001b sends it
	* src/v7newuser.c: fix stuff hoping it will one day work..
	synched to v7login.c

2001-11-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/v7base.c: Fixed packet dumping issues

2001-11-26  Olivier Crete <tester@videotron.ca>
	* src/v7base.[ch], src/v7login.c, src/v7send.c, src/v7newuser.c:
	add little-endian version gof the add_*tlv_*w fonctions
	* src/v7send.c, src/v7recv.c, src/response.c: Got user searching
	to work

2001-11-26  Olivier Crete <tester@videotron.ca>
	* src/v7base.c: ifdef'ed debug g_print
	* src/response.[ch], src/sendmsg.c: Remove v5 stuff
	* src/response.[ch], src/v7recv.c, src/v7send.[ch]: Add search
	                            support (broken)
	* src/login.c, src/v7newuser.c: replace g_print by message  boxes
	* src/v7send.[ch]: Add support for XML messages
	* src/v7recv.c: clean up function names (add v7_)
	* src/v7recv.c: Correct spelling
	
2001-11-25  Jeremy Wise <jwise@pathwaynet.com>
	* src/showlist.c: Fixed a problem with the Not In List list being
		shown when it shouldn't be.

2001-11-24  Gediminas Paulauskas <menesis@delfi.lt>

	* ui/main.glade: main interface file supplied by Emre Turkay
	<emre_turkay@yahoo.com>. Not used yet. Has problems...

2001-11-24  Gediminas Paulauskas <menesis@delfi.lt>

	* src/applet.c: add Olivier to authors.

2001-11-24  Gediminas Paulauskas <menesis@delfi.lt>

	* src/applet.c, src/gnomeicu.c: replace a hack to detect panel process
	with correct gnorba query. Fixes #59897.

2001-11-23  Olivier Crete <tester@videotronca>
	* src/v7send.c: Fix "every day is my birthday" bug

2001-11-23  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: Removed "force through server" question, all messages
	go through the server in v7

2001-11-23  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Fix a case where messages where not received properly

2001-11-23  Olivier Crete <tester@videotron.ca>
	* src/v7newuser.[ch], src/gnomeicu.c, src/util.[ch], src/Makefile.am:
	Adding support for regging new users, not functional yet
	* src/v7send.c: Fixed quitting
	* src/v7base.[ch], src/v7recv.c, src/v7send.c: fix reqid support
	* src/util.c: fixed comment..
	* src/gtkfunc.[ch], src/sendmsg.c: Cleaned up old protocol stuff
	* src/v7login.c, src/v7newuser.c, src/v7recv.c: Gnomeified errors

2001-11-23  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu.c: create applet only if panel is running.

2001-11-23  Gediminas Paulauskas <menesis@delfi.lt>

	* ui/history.glade: Added this file, almost complete copy of current
	dialog.

2001-11-22  Olivier Crete <tester@videotron.ca>
	* src/v7recv.c: Seeing users status

2001-11-22  Olivier Crete <tester@videotron.ca>
	* src/v7login.c, src/v7recv.c: Do not quit if connection failed
	
2001-11-22  Olivier Crete <tester@videotron.ca>
	* src/response.[ch], src/v7recv.c: cleaning up URL interface
	* src/v7send.c: For to type a function, removed unused var

2001-11-21  Olivier Crete <tester@videotron.ca>
	* src/login.c: Changed login string to "GnomeICU $VERSION$ Product of
	the GNOMEICU hackers" from"ICQ corp (tm) (c) (patented)" (or something
	like that)

2001-11-22  Gediminas Paulauskas <menesis@delfi.lt>

	* src/*.c: move applet_update call into ready_set() to reduce
	 places dependent on applet.	

2001-11-21  Gediminas Paulauskas <menesis@delfi.lt>

	* src/applet.c: when clicked on applet, do not try to show it on
	current workspace -- just hide it. This was causing at least 10
	reported bugs, look at #60149. However, the same is in userserver.c

2001-11-21  Olivier Crete <tester@videotron.ca>
	* src/v7send.[ch], src/v7recv.c, src/sendmsg.c: Sending/Receiving urls

2001-11-21  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: Add check for GNet.

	The following two changes should be temporary until v7 works reliaby:
	* src/gnomecfg.c: change Server options to Server_v7 with correct
	defaults, so that both client can be run.
	* src/Makefile.am: rename binary to gnomeicu-v7

2001-11-20  Olivier Crete <tester@videotron.ca>
	* src/*lots of files*: Adding v7 support

2001-11-15  Gediminas Paulauskas <menesis@delfi.lt>

	A fix for #64165

	* src/gnomeicu.c: setup "Not In List" tab the same as others, just
	don't show it.
	* src/showlist.c: hide the tab instead of destroying it.

2001-11-15  Gediminas Paulauskas <menesis@delfi.lt>

	* acconfig.h, configure.in: remove USE_RUSSIAN option, which was not
	respected anyway.

	* src/gtkconf.c: move applet options to "Interface" tab. If applet is
	not built, don't show them. Similarly, don't show "Enable sounds"
	options if ESD is not found.
	Arrange debug options vertically.
	Make spacing consistent.

2001-11-14  Gediminas Paulauskas <menesis@delfi.lt>

	* acconfig.h, configure.in: add gnomeui and iconv libs to
	GNOMEICU_LDADD.
	Replace iconv check with AM_ICONV. Remove NO_SCARY_EYEBALLS option.
	Add USE_XSCREENSAVER to config.h instead of setting CFLAGS.

	* src/gnomeicu.c, src/gtkfunc.c: always show progress animation.

	* src/server.c, src/server.h: fix warning.

2001-11-12  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in, acconfig.h: fix --enable-applet switch, remove
	obsolete things, other cosmetic changes.

2001-11-12  Robert Helgesson <rycee@home.se>

	* configure.in, acconfig.h, src/Makefile.am: allow compiling without
	panel libraries.
	* src/applet.c, src/gnomeicu.c, src/gtkconf.c, src/gtkfunc.c:
	ifdef'ed out a bunch of applet specific code.

2001-11-10  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu.c: don't crash even if only one tcp port is allowed
	(thanks for Sebastian Senge)

2001-11-09  Trevor Curtis <tcurtis@somaradio.ca>

	* src/common.h, src/gnomecfg.c, src/gtkconf.c, src/log.c: new option
	to dump the Connection History (bugzilla bug#61948)

2001-11-02  Olivier Crete <tester@videotron.ca>
	* src/history.[ch], src/response.c: Add function so that it will
	search in history for received messages and not display them 
	if they already have been received. Work-around for the server-side
	problem.

2001-11-01  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gtkconf.c: redesigned Options dialog. No options were added or
	removed, just everything changed their place.

2001-11-01  Gediminas Paulauskas <menesis@delfi.lt>

	* src/newsignup.c: beautify welcome dialog, close it, when any button
	is pressed.

2001-11-01  Gediminas Paulauskas <menesis@delfi.lt>

	* src/sounds/: move this dir to ...
	* sounds/: here
	* configure.in, src/Makefile.am, Makefile.am: reflect the move.

2001-10-28  Olivier Crete <tester@videotron.ca>

	* src/response.c: fix years in received messages' date.

2001-10-26  Gediminas Paulauskas <menesis@delfi.lt>

	* Makefile.am: additionally distribute HACKING, MAINTAINERS, and
	README.SOCKS files.
	* NEWS: add news from 0.96.2 "release" up till now.

2001-10-25  Gediminas Paulauskas <menesis@delfi.lt>

	* src/changeinfo.c: display correct age in our info, a fix from
	andy80@pegacity.it.

2001-10-19  George Talusan <george@elitedudz.com>

	* src/applet.c, src/common.h src/gnomecfg.c src/gtkconf.c:
	added a new option to make the border around the applet
	configurable.

2001-10-15  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu-client.c: integrated patches from
	drJeckyll@hotmail.com, found in icukrell-0.1.6. Can send new commands:
	readmsg, sendmsg, msgcount, getstatus, icuask, onlinelist.
	Shows all commands if no parameters were specified.

2001-10-15  Gediminas Paulauskas <menesis@delfi.lt>

	* src/history.c: Only show the window after all contents were added --
	it is much faster. Create search/save/clear box only when "Functions"
	button is clicked.
	Also fix a crash when showing history, thanks to
	George Talusan.

2001-10-08  Gediminas Paulauskas <menesis@delfi.lt>

	* gnomeicurc: remove this obsolete file
	* autogen.sh: change dependency to src/gtkfunc.c instead
	of removed file

2001-10-08  Gediminas Paulauskas <menesis@delfi.lt>

	* src/userserver.c: integrated patch from icukrell-0.1.6
	<http://icukrell.sourceforge.net>, done by drJeckyll@hotmail.com.
	This fixes some bugs and adds three new commands: onlinelist,
	sendmsgmenu, and sendmsg.

2001-10-07  Chris Heywood <psych@primus.com.au>
	* src/server.[ch], src/gtkconf.c, src/common.h, src/gnomecfg.c:
	Add option to attempt to reconnect to the server on a forced
	disconnection (waits 5 seconds).

2001-10-07  Gediminas Paulauskas <menesis@delfi.lt>

	* src/history.c: fix a crash when window is closed before all
	history entries were displayed.

2001-10-06  Chris Heywood <psych@primus.com.au>

	* src/flash.c: fix the icons not flashing properly

2001-10-04  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu.c: applied patch by Emre Turkay
	<emre.turkay@bilten.metu.edu.tr>, which splits main() into more
	functions.

2001-10-02  Gediminas Paulauskas <menesis@delfi.lt>

	* src/response.c: fix from George Talusan <george@elitedudz.com>
	to fix "messages from UIN's not in the contact list are dropped
	regardless of the no_new_user flag" bug

2001-10-02  Gediminas Paulauskas <menesis@delfi.lt>

	* src/listwindow.c: patch from Nagy Ferenc Laszlo <nfl@nfllab.com>
	to fix #60597

2001-09-17  Gediminas Paulauskas <menesis@delfi.lt>

	* src/icu_db.h: re-enable DBM build.
	* src/history.c: fix a crash on all incomming mesages.

2001-09-17  Fatih Demir <kabalak@gtranslator.org>

	* src/history.c: Fix history crash temporarily like advised by
		Gediminas by removing a "g_free" call.

2001-09-08  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gtkfunc.c, src/history.c, src/icu_db.c: added missing icu_db.h
	include. Now DBM builds can work again.
	* src/icu_db.h: disabled DBM build, because for half the year they were
	impossible. Need to merge text and db histories.
	
	* src/history.c: Insert colored messages, freeze text boxes when
	inserting (avoid flickering). If the window is opened, new messages are
	inserted properly into all textboxes. In history "Sent"/"Received" can
	be translated, date format is "the locale preferred format".

2001-09-08  Gediminas Paulauskas <menesis@delfi.lt>

	* src/histadd.c, src/histadd.h: removed these files, their contents were
	moved to history.c/h.
	* src/Makefile.am: removed histadd.c/h

	* src/gtkfunc.c: bring back Ctrl-N for "Read next".
	* other files: adapt to history function name and location changes.

	* history.c: new structure HistoryWindow which holds all information
	which needs to be passed around (in user_data parameter to callbacks
	etc.). This replaces some of set_data/get_data mess. Moved cut-n-pasted
	creation of 3 searchboxes into create_searchhbox function.

2001-09-05  Abel Cheung  <maddog@linux.org.hk>

	* src/GnomeICU.*: Rename zh_TW.Big5 to zh_TW .

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-14  Kjartan Maraas  <kmaraas@gnome.org>

	* doc/C/gnomeicu.sgml: Fix a missing semi-colon after an entity.
	
2001-08-03  Abel Cheung  <maddog@linux.org.hk>

	* src/GnomeICU.*: Added tradtional Chinese strings.
	* TRANSLATABLE_FILES: New file to notify translators (is this ok???)

2001-08-03  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added sk to ALL_LINGUAS
	* src/GnomeICU.desktop, src/GnomeICU.gnorba, src/GnomeICU.soundlist: Added Slovak messages from Martin Lacko <lacko@host.sk>.

2001-08-01  Gediminas Paulauskas  <menesis@delfi.lt>
	
	* NEWS: news for release.
	* configure.in: bumped version number to 0.96.2

2001-07-30  Gediminas Paulauskas <menesis@delfi.lt>

	* src/listwindow.c/.h: replace Apply button with OK to be more
	convenient. Rename create_list_window to list_window_new.
	* src/ignore.c, src/invisible.c, src/notify.c, src/sendcontact.c,
	src/visible.c: update.

2001-07-27  Abel Cheung <maddog@linux.org.hk>

	* configure.in: Added "zh_TW.Big5" to ALL_LINGUAS.
	
2001-07-24  Gediminas Paulauskas <menesis@delfi.lt>

	* src/chatdlg.c: do not set pixel value for colors.
	* src/common.h: removed unused structures.
	* src/server.c/h: removed unused FD_T aux parameter from
	Connect_Remote()
	* src/gtkfunc.c, src/sendmsg.c, ...: update to above change.

2001-07-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "nn" to ALL_LINGUAS.
	
2001-07-09  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/tcp.c, src/response.c: Enable auto-accepting of file transfers
	* src/gtkconf.c: Add preferences for file transfer auto-accept
	* src/filexfer.c: Implemented working 'ETA' on the file transfer dialog, 
	change the strings a bit

2001-06-29  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gtkfunc.c: do not allow to shrink dialogs, auto-shrink
	non-resizable dialogs. Simplify some dialogs' button creation, remove
	vbox inside vbox (is it OK?). Make "Remove user" non-modal dialog.

2001-06-29  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gnomeicu.c: patch from Kelly Price <tygris@cablespeed.com>:
	Added option --ipaddr=IP to set our_ip, which will send over an
	arbitrary IP set at the command line.  That will allow some of us
	running behind a NAT firewall with port forwarding to get direct file
	transfering.

2001-06-20  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Added ms (Bahasa Melayu) to ALL_LINGUAS.

2001-06-12  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gtkfunc.c: include <sys/time.h>
	* src/gnomeicu.c: revert to use applet_widget_init -- this caused
	problems with panel.

2001-06-11  Gediminas Paulauskas <menesis@delfi.lt>

	* src/icons.c, src/icons.h: new files. They replace three following
	files and contain set_window_icon from gtkfunc.c and
	GetIcon_p/GetIcon_b functions from util.c.
	* src/loadpixmap.h, src/loadpixmap.c, src/pixmaps.h: removed these
	in favour of icons.*.
	* src/Makefile.am: update of renamed files.
	* src/gnomeicu.c: moved icon_*map to icons.c.
	* src/chatdlg.c, src/gtkfunc.c, src/history.c: use set_window_icon
	from new icons.c.

	* src/common.h: remove almost all local includes.
	* src/*.[ch]: update local includes everywhere, remove a lot of
	global includes.

	* src/applet.c: rename callback functions to end with _cb. If applet
	cannot be created, try to continue without applet, not exit (does not
	work yet). set_status menus do not have blank icons.
	* src/applet.h: removed unused variables/functions.
	* src/changeaway.c: get rid of ctrl_enter callback. clean up a bit.
	* src/flash.c: fix color initialization for red.
	* src/gnomeicu.c: never use applet_widget_init (FIXME: is this correct?)
	* src/gtkfunc.c: do not make textboxes default. make Send button default
	instead. use gnome_dialog_editable_enters instead of ctrl_enter
	callback.
	* src/kanji_conv.c/h: made some function arguments const char*.
	
2001-06-11  Gediminas Paulauskas <menesis@delfi.lt>

	* gtkspell.c, gtkspell.h: Updated from gtkspell.sourceforge.net to
	version 0.3.2. This allows to check texts with 8 bit characters among
	other fixes.

2001-06-06  Gediminas Paulauskas <menesis@delfi.lt>

	* src/listwindow.c: Fixed my bug: received contact were not displayed.
	Pass things as user_data parameter rather than set_data.

2001-06-05  Gediminas Paulauskas <menesis@delfi.lt>

	* src/histadd.c: entries are added with their real time, not present.
	* src/tcp.c (TCPTimeout): timeout question now is a question
	messagebox. Simplier handling of answer. Marked strings for translation.

2001-06-05  Gediminas Paulauskas <menesis@delfi.lt>

	* src/history.c, src/gtkfunc.c: forgot to move compare_dates to
	history.c... Thanks kabalak for notice.

2001-05-30  Gediminas Paulauskas <menesis@delfi.lt>

	* TODO: added two tasks for me.
	* src/history.c, src/history.h: new files, contains functions for
	history dialog, taken from gtkfunc.c.
	* src/Makefile.am: added history.c/h to SOURCES.
	* src/gtkfunc.c: do not include unneeded headers. Removed history code,
	moved stripr() to util.c, refer to history files with /home, not
	//home.
	* src/histadd.c (add_to_history): new private function, contains all
	common code, and add_incoming_to_history, add_outgoinging_to_history
	just differences. Strip '\r' from all incoming messages. Needs more
	work :(
	* src/sendmsg.c: add outgoing message to history _before_ converting to
	'\r' delimited text.

2001-05-18  Gediminas Paulauskas <menesis@delfi.lt>

	* src/changenick.c: gnomified this dialog. made cancel really revert
	nickname, simplified by passing contact, not looking up by uin.
	* src/gtkfunc.c: Don't close the dialog on read next.
	* src/listwindow.c: made dialog creation simplier, hide horizontal
	scrollbar.

2001-05-17  Stanislav Brabec  <utx@penguin.cz>

	* src/GnomeICU.desktop, src/GnomeICU.gnorba, src/GnomeICU.soundlist:
	Added Czech from Marek Kriz <mcross@email.cz>.

2001-05-16  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2001-05-14  Gediminas Paulauskas <menesis@delfi.lt>
	Another 1000 lines less. At some time binary size dropped by 300kB ;).

	* src/listwindow.c, src/listwindow.h: new files, contain what was
	common in invisible, notify, send contact list, etc. dialogs.
	* src/Makefile.am: added them to build. removed extra GNOME_INCLUDEDIR.
	* src/ignore.c, src/invisible.c, src/notify.c, src/visible.c,
	src/sendcontact.c: use function from listwindow to create all dialogs,
	moved dialog functionality stuff into listwindow.c. Allow only one copy
	of list dialogs on screen.
	* src/changeaway.c, src/gtkfunc.c: create and connect to dialog signals
	the gnome-dialog way.
	* src/*.c: removed useless stuff which did nothing.

2001-05-13  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gnomeicu.c: remove log window code from here.
	* src/log.c: add simplier version here, even with Clear button :)

2001-05-13  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c: extracted mass contact pane creation from
	icq_msgbox and icq_sendmessage_window. Create a pane only when
	"Multiple" button is clicked -- so reply or send message window
	appears faster.

2001-05-12  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c: random simplification. removed build_mass_list
	from here.
	* src/showlist.c: added it here and simplified, because code and
	online/offline lists can be shared with main list.

2001-05-12  Gediminas Paulauskas <menesis@delfi.lt>
	Removed 1411 lines of code ;).

	* src/*.c: removed lots of gtk_widget_ref/unref nonsense.
	* src/gtkfunc.c: #ifdef GNOME_ICON left only in one place -- easier
	to read. replaced clear_pointer() with gtk_widget_destroyed which
	is identical.
	* configure.in: fixed check for gnome_window_icon.

2001-05-05  Gediminas Paulauskas <menesis@delfi.lt>
	Find pixmaps even when installed in other prefix that gnome.
	
	* src/Makefile.am: define GNOMEICU_DATADIR.
	* src/gnomeicu.c, src/gtkconf.c, src/loadpixmap.c: use GNOMEICU_DATADIR
	instead of gnome_unconditional_datadir_file. 
	* src/search.c (create_image): removed unused function.

2001-03-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/util.c: Changed "N/A" to "Not Available"

2001-03-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/userserver.c: Committed patch from drJeckyll to add a few
		features to gnomeicu-client
	* src/server.c: Committed patch from Lyonel Vincent to keep ICU
		from crashing if the DNS can resolve the ICQ server's host,
		but cannot connect to it.
	* src/server.c: ICU now plays nice when you log onto ICQ from
		another machine.

2001-02-28  Jeremy Wise  <jwise@pathwaynet.com>
	* src/server.c:  Small fix to allow program to run on Solaris

2001-02-28  Gediminas Paulauskas <menesis@delfi.lt>
	Small code fixes, no features.
	
	* src/Makefile.am: build . dir before sounds.
	* applet.c: In applet show icon for first message rather than last.
	applet_update used only boolean parameter.
	* flash.c: use static colors instead of creating new ones.
	* loadpixmap.[hc]: init_pixmaps takes no arguments.
	* util.[ch]: (get_status_str): new function returns status string given
	status.
	* some *.c: Use functions instead of several copy/paste switches. And
	changes for calling above change functions. Simplify... 
	* gnomeicu.c: "--noapplet" are not translatable.

*******************
* Released 0.96.1 *
*******************

2001-02-27  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c: two strings for translation.
	Some comments -- notes about duplicated code...

2001-02-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c: Added feedback when search is finished, actually
		eliminated the crashing (boy i hope, anyway).

2001-02-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/search.c, src/gtkfunc.c, src/response.c: Moved all of the user
		searching functionality to src/search.c, and cleaned up some
		of the issues with it.  Hopefully, when I get done, GnomeICU
		won't crash anymore!  That's the goal anyway :-)

*****************
* Released 0.96 *
*****************

2001-02-24  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/tcp.c: Include uncompleted bytes in a skipped file towards
		the total bytes completed sum.
	* src/gtkfunc.c: Don't crash if the user tries to view a file
		request that the other side timed out on.
	* src/response.c, src/tcp.c: Don't play the chat request sound
		when we receive a file request.
	* src/dirbrowser.c: Title the 'add files' file selector "Send
		File(s)", not "Load File(s)".

2001-02-24  Olivier Crete <tester@videotron.ca>
	* src/chatdlg.c: fix for icon for chat window

2001-02-23  Jeremy Wise  <jwise@pathwaynet.com>
	* gnomeicu.spec.in: Changed the required gnome-libs to 1.2.0, which
		should have been done AGES ago!

2001-02-23  Olivier Crete <tester@videotron.ca>
	* src/chat.c: Error in protocol description...
	* src/chatdlg.c: Icon for Chat Window
	* src/gtkfunc.c: fix for bug... Dont ask me what the bug was...

2001-02-22  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/tcp.c: Fixed one free()'d memory access, and a socket that was
		set to non-blocking when we expected blocking behavior. Should
		make file transfer ever so slightly less flakey.

2001-02-15  Jeremy Wise  <jwise@pathwaynet.com>
	* src/ignore.c: Contacts now reappear when and where they're
		supposed to appear.

2001-02-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c, src/showlist.c: Fixed errors with removing contacts
		Did i reintroduce a memory leak?  This can be looked into
		later, but at least it doesn't appear to be crashing...
	* src/showlist.c: Fixed it again :)

2001-02-12  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c: Fixed the -a command line option that I broke
		yesterday :-/
	* src/applet.c: Got rid of unused variables cx and cfnp

*** RELEASE 0.95.2 2001-02-11 ***

2001-02-11  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: Fixed issue with flashing icons on wrong row.
	* src/gnomeicu.c: Fixed -u command line option so it now works
		again. :-)
	* src/gnomeicu.c, src/applet.c: Now you can sign up new accounts
		again!!  Silly bugs like this are a pain :-)

*** RELEASE 0.95.1 2001-02-11 ***

2001-02-06  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c: Changed the timeout for KEEP_ALIVE packets from
		120 seconds to 60 seconds.  This may increase the
		reliability for connecting through firewalls.

2001-02-06  Marius Andreiana  <mandreiana@yahoo.com>

	* configure.in: Added ro (Romanian) to ALL_LINGUAS.

2001-02-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/events.c: It will no longer beep whenever someone goes
		offline.  I found this kinda annoying and depressing, as did
		other people.  :-)

2001-02-03  Jeremy Wise  <jwise@pathwaynet.com>
	* src/events.c, src/gtkfunc.c: Fixed the section which runs external
		programs.  Now, instead of running whatever's entered, the
		arguments are static:  user's current status, contact's uin,
		and contact's nickname.

2001-02-01  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c, src/gtkfunc.c:  Fixed the issue with
		online/offline events not doing anything (because UIN==0)

2001-01-27  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: Fixed a couple of bugs that were added
		recently, and commented the code so one can read
		it and figure out what's going on :)

2001-01-25  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: If the contact goes offline, they're added to the
		top of the offline list instead of the bottom
	* src/response.c: Fixed the read next button issue that was recently
		introduced :)

2001-01-22  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c, src/responce.c: fixed read_next button sensitivity.
	removed unneeded casts.

2001-01-22  Richard Hult  <rhult@codefactory.se>
	* src/gtkfunc.c (show_info_new): Don't free the static array, and
	it also helps not too free the same string 4 times.

2001-01-22  Gediminas Paulauskas <menesis@delfi.lt>
	* gnomeConf.sh src/.gtkrc src/brazil.h src/english.h, src/russian.h:
	Removed old unused files.
	* po/POTFILES.in src/Makefile.am: removed them from these.

2001-01-22  Gediminas Paulauskas <menesis@delfi.lt>
	* common.h, *.c: added #define kontakt ((CONTACT_PTR)contact->data) to
	make code easier to read. Done similar for other long casts, but local
	to functions. Removed lots of duplicating or unneeded checks, moved a
	lot cut'n'paste code to functions. Or removed. Simplified a lot,
	optimized. Mostly worked on code that works with contacts, did not
	touch any GUI stuff. Added a bunch of FIXME's where I didn't know
	if it is good. Ensure that everywhere uin are of type UIN_T.
	* util.c/h: new function: Find_User( uin ). Replaced lots of cut'n'paste
	code which just searched for a user by uin with a call to this :)
	Add_User now returns pointer to just added contact. And, if name is
	NULL, makes name from uin.
	* common.h: USER_INFO_STRUCT resized from 300 to 280 bytes by allocating
	only needed amount of bits for integers. The same with Contact_Member
	-- from 176 to 136 bytes. Removed true_status from it.
	* events.c: allow beep even if SOUND is not defined. Follow the same
	rules for beep as for sound.
	* *.c: make sure shortcut is always updated. If changes status of one
	user in list, update only it, not all list (call Update_Contact_Style).
	* gtkfunc.c: use get_contact_from_clist() instead of cut'n'paste contact
	get code. Destroy shortcut when user removed.
	* rus_conv.c: make check first thing, to save non-russain user's time...
	* showlist.c/h: removed ContactListMember structure -- fix the leak. Use
	simple list for Offline and Online. Almost completely rewritten ;-) new
	functions: Which_List and Update_Contact_Style.
	* applet.c: translate status in tooltips.
	* response.c, showlist.c/h: correctly handle MAC and 99_A status.

	Result: 50 kilobytes less code, improved speed, memory usage and
	readability. Fixed contact lists.

2001-01-20  Olivier Crete <tester@videotron.ca>
      * src/chatdlg.c: Add scrolledwindow to IRC mode and away functionality
      * src/chat.c, src/chatdlg.c: Tried to fix crash reported by Thomas Rast
      * src/gtkfunc.c: Fix a bug with the reply window and a bug in
      the multiple recipients from the reply window
	
2001-01-19  Jeremy Wise  <jwise@pathwaynet.com>
	* src/server.c:  Patch from Chipzz to fix SOCKS5 support.

2001-01-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Got rid of the icons on the change status menu
		because Gnome doesn't handle them properly, and they weren't
		being installed anymore.  Unless we can find a more dynamic
		way to do this, we'll have to go with blank images :-/

2001-01-16  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gnomecfg.c, gtkfunc.c: use g_list_prepend instead of append.

2001-01-16  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c: (display_mess_history) in plain text constructing, put
	strdup() back (removed it yesterday). check if history entry is Sent or
	received and insert it only into appriopriate textbox.
	
2001-01-16  Gediminas Paulauskas <menesis@delfi.lt>
	* src/applet.*: pass arguments as parameter to make_applet.
	* src/applet.c, src/gnomeicu.c: connect to "delete_event" signal
	instead of "destroy". This fixes crash on logout/remove from panel.
	* src/flash.c: move wintitle into comment :)

2001-01-14  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: Sent focus to textbox in reply window so that keypad
	enter key doesnt cancel the messages

2000-01-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/about.c: Updated the copyright information.

2001-01-14  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gnomecfg.c (sort_compare), src/util.c (get_country_codes): use
	strcoll instead of strcmp for sorting.

2001-01-14  Gediminas Paulauskas <menesis@delfi.lt>
	* src/util.c: sort countries list. prepend to timezone and country lists
	instead of append.

2001-01-14  Gediminas Paulauskas <menesis@delfi.lt>
	Lots of leaks fixed.
	* src/gnomecfg.c, src/gtkconf.c, src/gnomeicu.c, src/gtkfunc.c,
	src/response.c, src/sendmsg.c, src/showlist.c: 
	free some strings or do not alloc them.
	added FIXME's for places I couldn't fix.
	Removed whitespace at end of lines.
	* src/gtkfunc.c: (set_window_icon) new function, which sets the icon on
	window and frees it's path. Use it instead of all
	gnome_window_icon_set_from_file calls.
	(icq_sendmessage) pass dialog to it and destroy it.
	(display_mess_history) listed_history hopefully is freed completely.
	(send_url_window) destroy urlinfo on window close.
	* src/loadpixmap.c: rewritten, but works the same. removed lots of
	variables and copy&paste code: use one function (init_one_pixmap)
	instead.
	(make_file_path_theme) free all strings, simplified to easily check for
	a file.
	
	Do not crash on session logout:
	* src/gnomeicu.c: changed signal from "destroy" to "die" ;-).
	* po/Makefile.in.in: removed autogenerated file.

2001-01-12  Jeremy Wise  <jwise@pathwaynet.com>
	* icons/Default, icons/OldSchool:  Moved the old Default icons to
		OldSchool, and moved Jeff Waugh's Experimental New Default
		to Default.  His icons look better, smell better, and even
		cook steak.  Don't email me to find out how ;)

2001-01-03  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkspell.c: removed orig_mouse from popup_menu and callback, do
	nothing if any button other than right is pressed. Do not check again
	which button in callback. Removed extra whitespace, replaced spaces with
	tabs. Changed button_press_intercept_cb to match prototype.
	* src/kanji_conv.c: #include <locale.h>, move #include <config.h> to
	top.
	* applet.h: moved #define __APPLET_H__ to top.
	
2000-12-14  Takuo KITAME <kitame@debian.org>
	* src/kanji_conv.c: remove compile warnings.

2000-12-04  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c, src/tcp.c: Little bugs in mpchat....

2000-11-22  Olivier Crete <tester@videotron.ca>
	* src/chat.c, src/chat.h, src/chatdlg.c, src/chatdlg.h, src/common.h,
	src/gnomecfg.c, src/gtkfunc.c, src/response.c, src/response.h,
	src/tcp.c, src/tcp.h, src/util.c, src/userserver.c: New and improved
	chat code, with multi-party chat support!

2000-11-21  Gediminas Paulauskas <menesis@delfi.lt>
	* src/applet.[ch]: added applet_remove().
	* src/gnomecfg.c: applied patch from Andrei Zmievski <andrei@ispi.net>
	"the status notification toggle is now saved."
	* src/gnomeicu.c: declare window_save_size.
	* src/gtkfunc.c: remove applet from panel and die with
	applet_widget_gtk_main_quit().

2000-11-20  David Tabachnikov <captain@isdn.net.il>
	* src/gnomeicu.c: Fixed the window-returning-to-previous size on 
	changing status bug.
	* src/chat.c: Fixed the keypad bug.
	
2000-11-15  Jeremy Wise  <jwise@pathwaynet.com>
	* src/sendmsg.c: Fixed problem when sending through another server
		so it doesn't constantly log off and back on :-)

2000-11-09  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/filexfer.[ch], src/tcp.[ch]: Finally merge my old file 
	transfer tree in

2000-11-09  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* A few delayed file transfer fixes ;) 

2000-11-07  David Tabachnikov <captain@isdn.net.il>
	* src/sendmsg.c: Fixed birthday bug
	
2000-11-06  Jarkko Ranta <jjranta@cc.joensuu.fi>

	* added fi to ALL_LINGUAS.

2000-11-01  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Had a = instead of a ==, oops.
	
2000-10-30  David Tabachnikov <captain@isdn.net.il>
	* src/flash.c: Moved the shortcut update into the clist update.
	* src/gtkconf.c: Added a check for filename, so it won't crash
	on broken installs.
	* src/util.c: Fixed a compile warning.

2000-10-28  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c, src/gtkconf.c, src/response.[ch]: Made 
	the shortcut update upon theme switches, fixed a bug with
	having the wrong clist open and selecting History from the
	shortcut, made drag'n'drop to the shortcut work.
	* src/response.c: Opps, a wrong printf.
	* src/gtkconf.c: Fixed a crash.
	* src/flash.c: Made event flashes in the applet work.
	
2000-10-27  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c, src/response.[ch]: Added a shortcut window 
	for contacts
	* src/utils.c: Fixed a bug in the conact finding.

2000-10-27  Chris Heywood <psych@primus.com.au>
        * src/userserver.c, src/gnomeicu-client.c: Added ability to
        make the GUI popup event dialogs from gnomeicu-client

2000-10-26  Takuo Kitame <kitame@northeye.org>
	* src/kanji_conv.[c,h]: rewrote.
	* src/gtkfunc.c, src/histadd.c, src/sendmsg.c, src/tcp.c:
	  kanji_conv -> kanji_conv_to_locale_s,
	  kanji_conv_strdup -> kanji_conv_auto
	* src/gtkconf.c: _("Kanji EUC<->SJIS translation")
          -> _("Kanji Locale<->SJIS translation")
	
2000-10-24  Jeremy Wise <jwise@pathwaynet.com>
	* configure.in: Removed src/xpms/Makefile
	* icons/Default/gnomeicu-[message|file].png: New icons
	* icons/Default/many pngs: Changed the appearance of the set for
		reasons of consistency

2000-10-24  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c, src/filexfer.c: Minor changes.
	* src/gtkconf.c: Made it so you can't open 2 prefs dialogs.
	
2000-10-23  Seth Burgess <sjburges@gimp.org>
 	* icons/Default/gnomeicu-file.png
        * icons/Default/gnomeicu-message.png: Resaved as 8-bit RGBA rather 
	than 2 bit indexed.

2000-10-22  David Tabachnikov <captain@isdn.net.il>
	* src/gnomeicu.c: Added gtk_set_locale()
	
2000-10-21  Jeremy Wise  <jwise@pathwaynet.com>
	* src/xpms/gnomeicu-[message|file].xpm,
		icons/Default/gnomeicu-[message|file].png: Changed the color
		of these icons

2000-10-21  David Tabachnikov <captain@isdn.net.il>
	* src/gtkconf.c: Added a scrolled window to the theme list.
	* src/gnomeicu.c, src/menus.h: Removed the XPMs.
	
2000-10-20  David Tabachnikov <captain@isdn.net.il>
	* src/loadpixmap.[ch], src/gnomeicu.c: Made the animation fall
	back to the default.
	* src/gtkconf.c, src/loadpixmap.c: Made it look in ~/.icq/icons 
	for themes as well.
	* src/gtkconf.c: Changed "(default)" to "Default", and fixed a bug
	where it wouldn't find themes if there is no ~/.icq/icons/, Added 
	a theme info label.
	* icons/*/Makefile.am: Made it install the gnomeicu-info file.
	
2000-10-19  Jeremy Wise  <jwise@pathwaynet.com>
	* src/flash.c: If user is in DnD mode, messages don't flash

2000-10-19  David Tabachnikov <captain@isdn.net.il>
	* src/common.h, src/gnomeicu.[ch], src/gtkconf.c: Made 
	the GnomeAnimator recreate when required.
	* src/loadpixmaps.c: Changed file names, and made "Default" work 
	fine.
	* src/icons/Default/Makefile.am, src/icons/Eyeballs/Makefile.am:
	Changed the names to the standard name.
	* src/dirbrowser.c: Fixed a compile time warning.
	
2000-10-18  David Tabachnikov <captain@isdn.net.il>
	* src/common.h, src/gnomeicu.c, src/gnomecfg.c, src/loadpixmap.c,
	src/gtkconf.c, src/gtkfunc.c, configure.in: Ported part of hte
	code to gdk_pixbuf, and added icon theme support.
	* src/gnomeicu.c: Made the still-scary-eyeballs update.
	
2000-10-17  Jeremy Wise  <jwise@pathwaynet.com>
	* src/chat.c: Changed size of chat buffer from 256 to 512 to avoid
		overrun
	* src/gtkfunc.c: Fixed Ctrl-C bind so it no longer cancels the
		message
	* icons: Added the beginnings of icon sets.  Also created Makefiles
		to properly copy them in during installation
	* src/gtkconf.c, src/loadpixmap.c: Changed the default location to
		gnomeicu/icons instead of gnomeicu so we don't mess up the
		gnomeicu directory too badly

2000-10-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Fixed applet tooltip so it now shows who the next
		message is from if there's one (or more) in the queue

2000-10-15  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkconf.c: Fixed bug with webpresence toggle always being set
	* src/gtkconf.c, src/tcp.c, src/gnomecfg.c: Added option to refuse
		messages from unknown contacts (patch from Chris Heywood)

2000-10-08  Jeremy Wise  <jwise@pathwaynet.com>
	* GnomeICU 0.94.1 Released
	* src/chatdlg.c: Applied patch from Chris Heywood
		<heywo1@ironbark.bandigo.latrobe.edu.au> (ever hear of
		hotmail, Chris? :)) to change scrollbar policies in chat
	* src/gtkfunc.c, src/icu_db.[ch]: Applied another patch to fix
		history (this was from Chris, too)
	* doc/C/Makefile.am: Removed the line that copied book1.html to
		index.html because it wasn't necessary
	* doc/C/gnomeicu.sgml: Commented out the LEGALNOTICE section,
		because it was causing errors... Anyone know how to
		properly do this, or will the new documents fix it anyway?
	* src/sendmsg.c: Fixed the UDP message sending bug!
	* src/gtkfunc.c: Fixed warning with more_button not being set
		as data on button1
	* src/gtkconf.c: Changed tool-tips to Tooltips

2000-10-12  David Tabachnikov <captain@isdn.net.il>
	* src/applet.c: Made it substract 4 only if the panel size is less
	then 36. Changed "Options" to "Preferences".
	* src/gtkfunc.c: Removed the rest of the strsep's.
	* src/gtkconf.c: Changed "Options" to "Prefernces"
	* src/gnomeicu.c, src/gtkfunc.c, src/gtkconf.c, src/gtkspell.[ch]:
	Made ispell start/stop as expected.
	
2000-10-10  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Added a "Lists" submenu.
	* src/util.c: Added get_contact_from_clist();
	
2000-10-09  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Changed "More" to "Multiple" and made it a toggle
	button.
	* src/gtkfunc.c: Switched "Multiple" and "History"
	
2000-10-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/menus.h: Changed "Options" to "Preferences"

2000-10-08  Olivier Crete <tester@videotron.ca>
 	* src/gtkfunc.c, showlist.c: Fixed leaks
 	* src/gtkfunc.c: Added option to delete file once its has been viewed

2000-10-08  David Tabachnikov <captain@isdn.net.il>
	* src/gnomeicu.c: Made ispell not start if spelling is disabled.

2000-10-07 Jeff Waugh <jdub@aphid.net>
	* src/applet.c: Cleaner support for different panel sizes
	
2000-10-06  Olivier Crete <tester@videotron.ca>
	* src/gtkfunc.c: replaced strsep with strtok for added portability
	* src/gtkfunc.c: added support for mice with more than 5 buttons

2000-10-05  David Tabachnikov <captain@isdn.net.il>
	* src/applet.c: Added a "Change Status" menu
	
2000-10-04  David Tabachnikov <captain@isdn.net.il>
	* src/dragdrop.c: Made drag'n'drop not accept files to offline
	users.
	* src/chat.c: Made chat sessions leave a mark in history.
	* src/responce.c: Made all events pop up if auto-popup is
	checked.
	* src/gtkfunc.c: Changed "Reply" to "Send"
	* src/sendcontact.[ch], src/gtkfunc.c: Made the send/recieve
	contact show the nick of the other person.
	* src/histadd.c: Added a check for empty history entries.
	
2000-10-03  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c, src/tcp.c: When recieved files, add an option to
	open the file with the default "Open" action.
	* src/gtkfunc.c: Fixed a segf in that code.
	* src/applet.c: Fixed a spelling mistake in "Occupied", and added
	invisible.
	* src/flash.c: Changed the sprintf to g_strdup_printf.
	* src/search.c: Fixed a segf when adding users.
	* src/tcp.c: Made file transfers leave a mark in history.
	
2000-10-02  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Changed GTK_POLICY_ALWAYS to GTK_POLICY_AUTOMATIC

2000-10-02  David Tabachnikov <captain@isdn.net.il>
	* src/search.c: Made GnomeICU prompt when adding users.
	* src/gtkfunc.c: When dragging a file from GMC to a contact,
	now adds it to the list.
	* src/dragdrop.c, src/gtkfunc.[ch]: Support dragging multiple
	files from GMC.

2000-10-01  GnomeICU DevTeam <gnomeicu-support@lists.sourceforge.net>
	* GnomeICU 0.94 Released
	
2000-09-25  Jeremy Wise <jwise@pathwaynet.com>
	* src/gtkfunc.c: Rewrite config file after a user is added to the
		list (Rune Elvemo)
	* src/tcp.c: Fixed a memory leak in file transfer code (is this
		file xfer code outdated?)

2000-09-10  David Tabachnikov <captain@isdn.net.il>
	* src/gtkspell.c: Fixed an annoying bug.
	* src/gtkconf.c: Fixed a bug with the GtkTable.
	
2000-08-26  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/common.h, src/gnomecfg.c, src/tcp.c, src/util.c:
	Removed some unused members of the contact struct
	* src/tcp.c: Say 'File Transfer Completed'. 
	* src/tcp.[ch], response.c: Fixed three memory leaks and
	Two possible crashes. Changed file transfer refusals to 
	match ICQ protocol.
	* src/common.h, src/msg_queue.c: Fix memory leak in 
	msg_queue_clear() and remove the unused tcp_text_queue
	memeber from the contact struct.

2000-08-25  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/filexfer.[ch]: Removed ETA from dialog
	* src/gtkconf.c: Fixed a crash with the options dialog
	* src/tcp.c: Removed an include of pthread.c
	
2000-08-24  Alastair McKinstry <mckinstry@computer.org>
	* configure.in: ALL_LINGUAS: Added Irish translation (ga).

2000-08-15  Takuo Kitame <kitame@northeye.org>
	* src/tcp.c: kanji_conv() removed (move to other positions)
	* src/sendmsg.c (icq_sendurl): convert URL desc string with kanji_conv.
	 (search_start): nick, first and last convert/free in search_start
	* src/kanji_conv.c (kanji_conv): fix leaks, hopefully stable.
	* src/histadd.c: kanji convert support
	* src/gtkfunc.c: kanji_conv before gtk_text_insert(only needed place).

	kanji_conv breaks no any other languages if toggles->kanji is FALSE.
	
2000-08-10  Olivier Crete <tester@videotron.ca>
	* src/dirbrowser.c: Fixes a crash with adding a file to the 
	send dialog.
	
	<NetHunter> remind me what does it do...
	<Tester> fixes a crash on adding a file to sending...
	<Tester> (uses the wrong variable)
	<Tester> err... previous sentence didnt make sense... blaem the beer
	
2000-08-10  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Fixed some of Ryan's and Olivier's compile
	warnings.
	
2000-08-09  Olivier Crete <tester@videotron.ca>
	* src/histadd.c: improve perf when adding to opened history
	* src/gtkfunc.c: Added a new web message dialog. Compile warnings
	will be removed later.

2000-08-07  Olivier Crete <tester@videotron.ca>
	* src/gtkspell.c: Hopefully fixed the GtkSpell text duplication
	bug. And fixed the prototypes.

2000-08-07 Takuo Kitame  <kitame@northeye.org>
	* src/kanji_conv.[ch]: New function kanji_conv_strdup()
	* src/response.c: Removed all kanji_conv() calling, it's moved into
	  tcp.c (low layer). Cos it's seems more stable.
	* src/sendmsg.c: kanji_conv() related fix.
	* src/tcp.c: call kanji_conv() in TCPAckPacket() and TCPProcessPacket()
          when toggles->kanji is on.
	* src/gtkconf.c: hide Japanese trans checkbox when not defined
	  HAVE_ICONV

2000-07-24  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/dialog.[ch], src/server.c, src/gtkfunc.c: Removed
		OK_Box() and replaced it with gnome_*_dialog() counterparts

2000-07-24  John Conneely <jconneely@figaro.org>
	* src/common.h, src/gnomecfg.c, gtkconf.c, src/responce.c:
	Added online notification of users changing from NA/Away to
	Online.
	
2000-07-24  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/tcp.[ch], src/gtkfunc.c, src/dirbrowser.[ch],
	src/filexfer.[ch], src/response.c: Made the batch transfer 
	work, and lots of file transfer fixes.

2000-07-13  Olivier Crete <tester@videotron.ca>
	* src/gtkconf.c: Made the "auto-away" configuration use
	a GtkTable instead of a GtkVBox.
	
2000-07-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkspell.c:  More work on URL recognition and fixed some
		memory problems with GtkSpell's allocation

2000-07-11  David Tabachnikov <captain@isdn.net.il>
	* src/gtkspell.c: Added the begging of supprot of
	clicking on URLs. This is very much work in progress.
	
2000-07-10  David Tabachnikov <captain@isdn.net.il>
	* src/common.h, src/gtkconf.c, src/gnomecfg.c, src/gtkfunc.c
	src/gnomeicu.c, src/gtkspell.c, src/gtkspell.h, 
	src/Makefile.am: Added spell checking.
	
2000-07-09  David Tabachnikov <captain@isdn.net.il>
	* src/gnomeicu-client.c: Change the help message a bit.
	
2000-07-09  Olivier Crete <tester@videotron.ca>
	* src/search.c: Fixed the "add-too-fast" bug. (#14046)

2000-07-07  David Tabachnikov <captain@isdn.net.il>
	* src/common.h, src/gtkfunc.c, src/gnomecfg.c, src/events.c:
	Added an option to not play soudns when not online.
	
2000-07-06  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c: Made the "cannot send direct" dialog write the
	nick name.
	
2000-06-28  Luke Murray  <squizma@yahoo.com>
 	* src/gtkconf.c: move the connect to server on
 	startup option to the networking tab
	
2000-06-28  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c: A fix to Jones' code to make it compile with the
	latest CVS.
	
2000-06-28  Martin Norbäãk  <d95mback@dtek.chalmers.se>
	* src/gnomeicu.c: Changed "Online" and "Offline" to make it
	  possible to translate correctly.

2000-06-28  Chris Jones <chris@black-sun.co.uk>
        * src/*: added gtk_window_set_wmclass() calls for every dialog.
        Window managers should now be able to differentiate between
	the dialogs so you can remember their positions properly.

2000-06-28  Ryan Cumming <bodnar42@bodnar42.dhs.org>
	* src/gtkfunc.c, src/common.h, src/tcp.[ch], src/gnomecfg.c, 
	src/responce.[ch], src/userserver.c/util.c: Moved file 
	transfer data out of contact struct, Removed multithreading, 
	made file transfer code use GTK+ event model, Prepare for 
	batch file transfers, Lots of other changes to the 
	file transfer code.

2000-06-27  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Fixed a bug with drag'n'drop of files.
	
2000-06-26  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Made GnomeICU warn before 
	sending more then 450 chars, through server.
	
2000-06-26  Luke Murray  <squizma@yahoo.com>
	* src/gtkconf.c, src/gnomecfg.c, src/gnomeicu.c,
	common.h: Added a option to not connect on startup

2000-06-22  Jeremy Wise  <jwise@pathwaynet.com>
	* configure.in: Changed -lpthread to $PTHREAD_LIB for compatibility
		reasons on various platforms

2000-06-15  Luke Murray <squizma@yahoo.com>
	* src/gtkfunc.c: made anyone online be at the top
	of the mass send list, well David practicly did
	it :) thanks heaps

2000-06-10  Luke Murray  <squizma@yahoo.com>
	* src/gtkfunc.c: added more colors and pixmaps for
	away, N/A, invisible etc. in the mass send list

2000-06-09  Jeremy Wise  <jwise@pathwaynet.com>
	* src/dialog.c: Changed OK_Box to use gnome_ok_dialog()

2000-06-09  Christopher R. Gabriel  <cgabriel@mixadlive.com>

	* src/GnomeICU.gnorba: added italian translation

	* src/GnomeICU.desktop: Likewise

	* src/GnomeICU.soundlist: Likewise

2000-06-06  David Tabachnikov <captain@isdn.net.il>
	* src/applet.c: Made the applet's tooltip show
	the status of the contacts. And fixed hiding
	of tooltips.
	
2000-06-02  Jesus Bravo Alvarez  <jba@pobox.com>
	* configure.in: Added pt (Portuguese) to ALL_LINGUAS

2000-05-31  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/gtkfunc.c: Force message through server button
		in send message window now behaves as it should

2000-05-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c, src/response.c: Added AIM style chat ability

2000-05-29  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Fixed file transfer bug
	* src/userserver.c: Fixed status changing problem going from offline
		to an online status
	* src/response.c: Hopefully fixed CPU hog bug in User_Offline

2000-05-28  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/chat.c: Changed a few protocol errors

2000-05-28  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c: Last milisecond fix in the file sending, 
		to prevet some of the canceling crashes.
	* src/gtkfunc.c: Made the mass-send preselect the contact
		that was selected.
	* src/gnomeicu.c, src/gnomecfg.c, src/gtkconf.[ch],
		common.h, autoaway.[ch]: Added configurability to
		Auto away.
		
2000-05-27  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Fixed small bug with pulling up history
	* src/sendmsg.c: Send status change twice
	* src/gtkfunc.c: Few more fixes for history:  give focus to the
		search entry, pressing enter in the search entry starts the
		search
	* src/gtkfunc.c, src/util.c: Support for web messaging instead of
		showing up as UIN 10

2000-05-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Fixed problem with beeping/generating sounds when
		spacebar is pressed while typing a message
	* src/showlist.c: Fixed bug that messed up flashing messages for
		offline users
	* src/histadd.c, src/gtkfunc.c: Messages are now added to the
		user history window if it is open when a message comes
		in or goes out

2000-05-26  David Tabachnikov <captain@isdn.net.il>
	* src/showlist.c: Fixed the contact list sorting
	* src/gnomecfg.c: Changed sort toggle list to default ON because
		it's fixed
	* src/gtkfunc.c: Made the search display a dialog once nothing more
		is found. Also fixed drag'n'drop of URLs. Now it sets the url 
		entry correctly.
	
2000-05-25  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c: Changed sort toggle list to default OFF because
		it's broken
	* src/gnomecfg.c, src/tcp.[ch], src/chat.c: Fixed the TCP bugs for
		real this time.  The TCP handling was completely redone,
		and sending messages through the server now works properly.
	* src/applet.c: Fixed the problem with the vertical applet

2000-05-24  Jeremy Wise  <jwise@pathwaynet.com>
	* acconfig.h, configure.in, src/Makefile.am, src/common.h,
		src/gnomecfg.c, src/gtkconf.c, src/kanji_conv.[ch],
		src/response.c, src/sendmsg.c: Applied patch from
		Takuo Kitame <kitame@northeye.org> to convert to
		japanese characters.

	* src/histadd.c: Messages with future times are changed to the
		current time before being added to the log

	* src/tcp.c: Temporary TCP fix for send through server crash

	* src/tcp.[ch], src/common.h: Beginnings of the real TCP fix

2000-05-24  Martin Norbäãk  <d95mback@dtek.chalmers.se>

	* chat.c: reverted change from int to socklen_t because this
	          breaks compilation on solaris

2000-05-24  Herbert Valerio Riedel  <hvr@gnu.org>
	* src/tcp.c, src/gtkfunc.c, src/chat.c, src/common.h, 
	src/chatdlg.h, src/changenick.h, src/autohide.h:
	a bit of ANSI-C-yfication

2000-05-20  David Tabachnikov <captain@isdn.net.il>
	* src/common.h, src/gtkconf.c, src/gnomecfg.c, gnomeicu.c:
		added support for sorting the online contact list.
		
2000-05-19  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c: Corrected some of the code that was
		lost in the CVS problem.
		
2000-05-17  David Tabachnikov <captain@isdn.net.il>
  * src/tcp.c: Fixed a bug where the file transfer thread would
	  crash if you close the file transfer window.
			
2000-05-16  David Tabachnikov <captain@isdn.net.il>
	* src/tcp.c: Made files send in a separate thread.
	
2000-05-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: After last person on Not In List tab is removed,
	  the focus returns to the Online tab, not the Offline.

2000-05-15  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Added keyboard accelerators to the
		Send Message and Reply dialogs.
	* src/loadpixmap.c, src/gtkfunc.c: Made dialogs icons
		match the action.
	
2000-05-13  David Tabachnikov <captain@isdn.net.il>
	* configure.in, config.h.in, src/gnomeicu.c: Added
		an icon for gnomeicu in the gnome taskbar.
		
2000-05-12  David Tabachnikov <captain@isdn.net.il>
	* src/changeinfo.c: Made the birthday field use
		GNOME Date Edit.
		
2000-05-11  Jeremy Wise <jwise@pathwaynet.com>
	* src/util.c, src/responce.c: Fixed a connection
		bug.
		
2000-05-09  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Made online contacts green in
		mass send.

2000-05-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Modified coding style, in preperation 
		for 0.93.
		
2000-05-07  Andreas Hyden  <a.hyden@cyberpoint.se>

	* src/gtkfunc.c: Marked two strings for translation.

2000-05-07  Gediminas Paulauskas <menesis@delfi.lt>
	* src/gtkfunc.c: Made new and functional Authorization Request 
		dialog
	* src/gtkfunc.c, src/gtkconf.c: marked all neccesarry strings
		for translation

2000-05-05  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Added mass-send to the replay dialog,
		and added some comments.
		
2000-05-04  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Added mass-send aka sending a message to 
		multiple people.
		
2000-05-02  David Tabachnikov <captain@isdn.net.il>
	* src/applet.c, src/autohide.c: Made gnomeicu hide if timeout,
		and not move to current desktop
		
2000-04-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Modified David's change just a tad to move the
		window to the current workspace if it's not there

2000-05-01  David Tabachnikov <captain@isdn.net.il>
       * src/applet.c: Fixed a bug, when sawmill didn't hide the 
               gnomeicu window if it was on another workspace

2000-04-28  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Fixed a bug with the history
		which caused it to find only the first match.
	
2000-04-26  David Tabachnikov <captain@isdn.net.il>
	* src/sendmsg.c: Made urls add better entries in
			 history.
			 
2000-04-25  David Tabachnikov <captain@isdn.net.il>
	* src/gtkfunc.c: Added searching in the history
	* src/gtkfunc.c: Fixed a bug with the quote button that caused
               GnomeICU to crash if the selection was backwards,
               And fixed the cursor position, when quoting.

2000-04-17  David Tabachnikov  <captain@isdn.net.il>
	* src/histadd.c: Added coloring for message history
	* src/gtkfunc.c: Added quote button

2000-04-15  Fatih Demir	<kabalak@gmx.net>

	* src/GnomeICU.soundlist & src/GnomeICU.gnorba :
		Added the Turkish entries .

2000-04-13  David Hepkin  <dahd@lehigh.edu>

	* src/awaymsglist.[ch], src/gnomecfg.c, src/gtkconf.c,
	        src/changeaway.c, src/common.h, src/Makefile.am: Added
	         a list of 10 away messages that the user can save and
	         quickly choose from when changing their away message.

2000-04-10  Kjartan Maraas  <kmaraas@online.no>

	* src/GnomeICU.soundlist: Added Norwegian translation.
	
2000-04-08  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in (ALL_LINGUAS): Added Galician (gl).
	* src/GnomeICU.desktop
	  src/GnomeICU.soundlist: Added Galician entries.
          
2000-04-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c: Fixed problem with drag'n'dropping the first
		contact on the CList
	* src/applet.c: Fixed the panel resizing issues

2000-04-04  Fatih Demir	<kabalak@gmx.net>

	* src/GnomeICU.desktop : Added the Turkish 
		translation .
	
2000-04-03  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Fixed panel sizing issues

2000-04-02  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Catalan language

2000-03-31  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Hopefully fixed the sigsegv problems related to sending
		messages to people behind firewalls

2000-03-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/histadd.[ch], src/response.c: Messages that come through the
		server and were sent while offline now save proper time/date
		in user history.
	* src/gtkfunc.c: Fixed crash problem when searching for a contact

2000-03-20  Pablo Saratxaga <pablo@mandrakesoft.com>
	* configure.in,po/lt.po: added Lithuanian language file

2000-02-15  Martin Norbäãk  <d95mback@dtek.chalmers.se>

	* src/gnomeicu.c: added sigpipe handler to save config
        * src/common.h, src/gnomecfg.c, src/gtkconf.c, src/rus_conv.c:
		added option for russian conversion, instead of _always_
                doing it (this broke all iso8859-1 languages...)

2000-02-15  Timur Bakeyev  <mc@bat.ru>

	* src/Makefile.am: Add @INTLLIBS@ to list of libraries - we need
	it if libintl installed systemwide.
	
	* configure.in: Add "meaningless" messages to options that gave yes/no
	without explanation.
	
2000-01-24  Dmitry S. Sivachenko  <dima@Chg.RU>

	* Added russian translation.

2000-01-18 Jeremy Wise  <jwise@pathwaynet.com>
	* src/search.c: Fixed back/next problems, especially with the
		entries

2000-01-17  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c, src/gtkfunc.c: Fixed the behaviour of the read
		next buttin
	* src/gnomeicu-client.c, src/userserver.c: Redid naming scheme of
		sockets so you can now have multiple gnomeicus running and
		then specify which to connect to
	* src/gnomeicu.c: Fixed dragging segv
	* src/showcontact.c: Dragging everyone off the "Not In List" CList
		now closes the tab

2000-01-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/sendcontact.c: Mihs provided a patch to fix multiple entries
		in the Lists
	* src/tcp.c: Removing a user before a message is sent shouldn't
		crash the program anymore

2000-01-15  Jeremy Wise  <jwise@pathwaynet.com>
	* src/userserver.[ch], src/gnomeicu-client.c: Added along with the
		functionality of gnomeicu-client, a command line program
		for sending commands to a running GnomeICU program :-)

2000-01-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c, src/showlist.c: Main list refreshing
		enhanced/fixed
	* src/gtkfunc.c, src/gnomecfg.c, src/common.h: Added per contact
		option to force messages through server
	* src/rus_conv.[ch]: Back by popular demand!!
	* src/gtkconf.c, src/gnomecfg.c, src/common.h: Auto-popup msgs
	* configure.in, src/gtkfunc.c, src/gnomeicu.c: Added the option for
		--without-scary-eyeballs :-)

2000-01-13  Jeremy Wise  <jwise@pathwaynet.com>
	* src/webpresence.c, src/gtkfunc.c, src/response.c: Fixed Auth
		reporting bug - Setting and retrieving authorization is
		working correctly

2000-01-12  Mark Crichton <crichton@gimp.org>
	* src/autoaway.c: Added call to XScreenSaverQueryExtension before
		we make all the Ext calls.

2000-01-12  Jeremy Wise  <jwise@pathwaynet.com>
	* src/xpms/gnomeicu-[nomess|chat2].xpm: Removed
	* src/gtkconf.c, src/gnomecfg.c, src/gtkfunc.c: Added option to make
		reply window always "full"

2000-01-11  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/gtkfunc.c: Fixed 100% CPU usage bug with g_io_*
		problem
	* src/showlist.c, src/gnomeicu.c, src/gtkfunc.c: Added "Not In List"
		list so users don't automatically get added to your list
	* src/visible.c, src/invisible.c, src/notify.c: Fixed Apply button
		functionality

2000-01-11  Martin Norbäãk  <d95mback@dtek.chalmers.se>
        * src/gtkfunc.c: Made adding message reflect sex, and fixed spelling
	* src/GnomeICU.desktop, src/GnomeICU.gnorba, src/GnomeICU.soundlist: 
		Added Swedish translation

2000-01-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Added functionality to reply window
	* src/sendmsg.c: Now sends sex like it should... GnomeICU can now be
		used by females!
	* src/gtkfunc.c: Fixed \r problems
	* src/tcp.c, src/gtkfunc.c: Added a way to grab the latest version
	* src/gnomecfg.c: Added version saving functionality
	* src/gtkfunc.c: Reply button not shown until reply window opens

2000-01-09  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c, src/gnomeicu.c: Redid main interface
		window
	* src/gnomeicu.c: Redid connection history window
	* src/search.[ch], src/xpms/watermark.png: Added these for search
		function
	* src/gtkfunc.c, src/gnomeicu.c, src/server.c, src/response.c:
		Changed to add new search method
	* src/gtkfunc.c: Added gnomeified Got URL dialog
	* src/server.c: Fixed bad password bug
	* src/gtkconf.c: Entries now make Apply button sensitive like they
		should
	* src/tcp.c, src/chat.c: Applied an endian patch

2000-01-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: New dialogs for received chat and received
		file transfer
	* src/dialog.c: Changed OKBox() to be gnomeified
	* src/dialog.c: Redid AMessage() as well :)
	* src/newsignup.c, src/gtkfunc.c: Changed GTK_BUTTONBOX_SPREAD
		to GTK_BUTTONBOX_END for consistency
	* src/many files: Changed GTK_STOCK_BUTTON_CANCEL to
		GTK_STOCK_BUTTON_CLOSE for consistency
	* src/gtkfunc.c: Gnomeified the send chat request dialog
	* src/applet.[ch], src/gnomecfg.c: Fixed a new signup bug
	* src/showwait.[ch]: Removed - no longer used
	* src/tcp.c: Could not send directly dialog should no longer crash
		gnomeicu

2000-01-06  Jeremy Wise  <jwise@pathwaynet.com>
	* src/changenick.c: Redid the dialog to be gnome compliant
	* src/tcp.c: More bug fixes, I hope
	* src/gtkfunc.c: Gnome-ified the Received message dialog
	* src/gtkfunc.c: Gnome-ified the Send URL dialog
	* src/tcp.c: File transfer WORKS... next step is to speed it up
	* src/util.c: Minor fix to Add_User()
	* src/showlist.c: Fixed a bug with ignore list stuff

2000-01-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/ignore.[ch]: Added ignore list support
	* src/gnomecfg.c, src/response.c: Also affected
	* src/[in]visible.[ch]: Added these files to make the visible and
		invisible lists work like the ignore list - More
		user-friendly
	* src/rus_conv.[ch]: Removed - they were no longer being used
	* src/gnomeicu.[ch]: Cleaned up the file a little
	* src/changeaway.[ch]: Redid the change away message dialog
	* src/tcp.c: Fixed a few minor bugs

2000-01-05  Yuri Syrota  <rasta@renome.rovno.ua>

	* configure.in: Added "uk" to ALL_LINGUAS

2000-01-04  Jeremy Wise  <jwise@pathwaynet.com>
	* Makefile.am, configure.in: Added intl intl/Makefile to fix a few
		NLS problems

2000-01-02  Jeremy Wise  <jwise@pathwaynet.com>
	* src/chat.[ch]: New files... I'm isolating the chat functions in
		case I get the ambition to attack multi-party chat
	* src/gnomecfg.c: Moves password into ~/.gnome_private
	* src/response.c, src/log.c, src/tcp.c: GnomeICU is now Y2K
		compliant!

1999-12-30  Martin Norbäãk  <d95mback@dtek.chalmers.se>

	* src/timezone.h: Marked strings for translation
	* src/util.c: Added call to _() for timezone strings

1999-12-24  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c, src/sendcontact.c: DnD support was added between
		main window and send contact list window, sending contact
		lists is now complete
	* src/gtkfunc.c: Now asks to ensure you want to remove a user, also
		includes a checkbutton with which you can remove a contact's
		history at the same time

1999-12-23  Jeremy Wise  <jwise@pathwaynet.com>
	* src/sendcontact.[ch], src/gtkfunc.c: Added Contact List receiving
		support, and will soon be adding the ability to send them

1999-12-21  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkconf.c, src/gnomecfg.c, src/gnomeicu.c: Added support for
		specified TCP Port ranges, helpful for those behind
		firewalls
	* src/gtkfunc.c: Totally redid the message history function... it's
		FAST!!!
	* src/gtkfunc.c: User Info windows no longer come up unless you
		request one... e.g. when a user not on your list sends you
		a message, you don't get a user info window popping up :)
	* src/gtkfunc.c: Added two new functions:
		In Send Message dialog, press CTRL+C to cancel message
		In Read/Reply dialog, also press CTRL+C to cancel message
		In Read/Reply dialog, press CTRL+N to read next message
	* src/gtkfunc.c: Redid send message dialog, so there is a drop down
		list to allow you to select the user you wish to send a
		message to
	* src/gnomeicu.c: Main window is resized, THEN shown.  This gives
		the window manager a correct size, so it doesn't create it
		behind other windows
	* src/gtkfunc.c: Added history buttons to send message and display
		message dialogs to view message history easily

1999-12-20  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkconf.c: Changed entire configuration window's appearance

1999-12-17  Jeremy Wise  <jwise@pathwaynet.com>
	* src/many files: Updated the contact->message, contact->messages
		method to use a GSList instead of a homemade way of
		reallocing and storing the messages sloppily...  To enable
		this, run configure with --with-newstorage and rebuild. 
		Once this code is thouroughly tested, I will remove the old
		code :)
	* src/gtkfunc.c: "User has authorized you" is implemented properly
	* src/chatdlg.c: Chat colors default to 0s instead of wacky numbers
	* src/many files: Stripped old code away, leaving only the new
		storage... it went quicker and smoother than expected :)

1999-12-12  Jeremy Wise  <jwise@pathwaynet.com>
	* configure.in, acconfig.h, config.h.in: Added support for compiling
		with TRACE_FUNCTION

Sat Dec 11 12:04:54 PST 1999 Mandrake <mandrake@mandrake.net>
	* src/gtkfunc.c: Right.  This didn't want to compile on my system.
		(missing a paren)

1999-12-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c: Should grab an IP and port even if the user isn't
		online yet
	* src/<many files>: Eliminated a lot of #if 0'd code to clean stuff
		up a little
	* src/util.c, src/gnomeicu.c, src/server.c: Creating a new account
		works again

1999-12-08  Dave Camp  <campd@oit.edu>

	* configure.in: s/AM_GNU_GETTEXT/AM_GNOME_GETTEXT/

1999-12-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c: Fixed configuration defaults so sane values appear
		if there isn't any config file (eg a new user)
	* src/applet.c: Made it so Save_RC() is not called unless the user
		is logged on; this fixes problems when signing up new users

1999-12-06  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Fixed functions that remove messages from TCP queues
	* src/printpacket.c: Changed TCP recieve color for better contrast

1999-12-05  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* src/common.h:
	* src/gnomecfg.c:
	* src/gnomeicu.c:
	* src/gtkconf.c:  add a setting for showing the main window
	by default

1999-12-06  Jeremy Wise  <jwise@pathwaynet.com>
	* Applied patch from Martin Norbäck to fix big-endian problems
	* src/gnomeicu.c: Removed gtk_rc_parse( "~/.gtkrc" );

1999-12-04  Sung-Hyun Nam  <namsh@lgic.co.kr>

	* configure.in: Added ko to ALL_LINGUAS

1999-12-02  Jeremy Wise <jwise@pathwaynet.com>
	* Changed the Chat dialog around - looks better, works better
	* Fixed "Send Thru Server" crash :)
	* Got "Send/Don't send "User is away" messages working
	* Fixed -u <UIN> bug so it doesn't crash anymore

1999-11-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/changeinfo.c (change_info_window): changed some g_list_append()
	to g_list_prepend() (more efficient)
	(change_info_window): bugfix: toggle button's didn't emit "changed" message

1999-11-20  Jeremy Wise <jwise@pathwaynet.com>
	* Released GnomeICU 0.67
	* Have implemented proper control of TCP/send thru server
	* src/gtkfunc.c, src/response.c: Added time stamping for messages

1999-11-12  Yukihiro Nakai <nakai@gnome.gr.jp>

	* configure.in: Added ja to ALL_LINGUAS.

1999-11-06  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: Fixed a couple issues with the tooltip on the applet
	* src/tcp.c: Fixed up the "Send through server" functionality
	* src/gtkfunc.c: Removed seg fault from "User has added you to
		his/her list"

1999-10-24  Jeremy Wise  <jwise@pathwaynet.com>
	* Fixed a rename issue
	* Fixed TCP messages
	* Fixed eyes problem
	* No longer asks if you wish to save after removing a user
	* No longer takes up 99% CPU usage
	* Got rid of the glib warning that shows up upon connection

1999-09-27  Rodrigo Stulzer Lopes <rodrigo@conectiva.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS.

1999-09-17  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added "da" to ALL_LINGUAS.
	
1999-09-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* gnomeicu.spec.in: SMP support added
	* src/xpms/Makefile.am: *.xpm files weren't put into dist
	* src/sendmsg.c, src/msg_queue.c, src/util.c, src/gtkfunc.c:
	memory alloc cleanups, fixed some mem leaks

1999-09-09  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/gnomecfg.c (Save_RC): g_strdup_printf() instead of g_malloc()-stuff
	* src/filexfer.c, src/chatdlg.c: g_malloc()'s replaced by g_new()'s 

1999-08-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomeicu.c, src/gtkfunc.c, src/xpms/eye_na.xpm,
		src/xpms/animeyes.png: Changed the animation stuff on the
		main window to use rotating eyes instead of a progress bar

1999-08-26  Kjartan Maraas  <kmaraas@online.no>
	* configure.in: Added no to ALL_LINGUAS.

1999-08-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Fixed bug so incoming messages are accepted

1999-08-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: BYTE buffer[1024] --> BYTE *buffer throughout the file,
		in preparation for non-blocking socket stuff
	* src/tcp.c: Messaging functions now operate on non-blocking methods

1999-08-13  Daniel Serodio  <lobo@rorschach.lobo.org>

	* src/applet.c (applet_clicked_cb): call applet_hide_main() instead of
		trying to hide it
	* src/applet.c (applet_hide_main): changed return type to gboolean,
		return TRUE so GTK won't emit the "destroy" signal when this
 		function is connected to delete_event (the correct event
 		for closing the window). Also, if the autohide timeout is
 		running, stop it.
	* src/autohide.c (start_autohide_timeout_cb): check if the app is
		visible before starting timeout
	* src/autohide.c (autohide_timeout_cb): no longer exists
	* src/gnomeicu.c (main): connect delete_event instead of destroy (see
  		applet.c above), and call applet_hide_main()
	* src/gtkconf.c (activate_changes): connect delete_event too
	* src/gtkfunc.c (hide_dont_kill): no longer exists, we use
 		applet_hide_main() instead
	* src/timezone.c: added Brazil TZ (GMT-3)
	
1999-08-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/server.c: Fixed up ack'ing methods, hopefully made the
		"reconnecting" more reliable
	* src/packetprint.c: Added color to packet dumping for quick
		differentiating between packet types
	* src/packetprint.c: Made the packet dumping more informative and
		easier to read
	* src/tcp.c: Fixed away message return bug, so away message isn't
		sent when user is online, n/a or invisible

1999-08-09  Jeremy Wise  <jwise@pathwaynet.com>
	* src/sendmsg.c, src/packetprint.c, src/response.c, src/tcp.c: Added
		some debugging hints to the packets as they're dumped
	* HACKING: Added file

1999-08-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/changenick.c: Updated change_nick to also change the Alias
		field in the User Info window
	* src/gtkfunc.c: Made menu separators inactive

1999-08-07  Anders Carlsson  <anders.carlsson@tordata.se>

	* src/xpms/Makefile.am: Removed pixmaps from installation since
	they are compiled in.

1999-08-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/changeaway.c: Changed GtkEntry to GtkText in change away
		window
	* src/webpresence.c, src/gtkconf.c, src/gnomeicu.c: Fixed
		webpresence so you can now toggle it in the configuration
	* src/autoaway.c: Fixed auto_away() so it works ... and it even
		works correctly :)
	* src/gnomecfg.c: Contacts are now sorted alphabetically while
		they're loaded from the config file
	* src/gtkconf.c, src/gnomecfg.c, src/showlist.c: Added option to
		enable/disable the Online/Offline headers
	* most src/ files: Changed name_toggle to toggles->name to tidy up
		code a little
	* src/gtkconf.c: Changed Disable/Enable, Add/Remove to check buttons
	* src/gtkfunc.c: Moved IP, Status, Port to User Info window instead
		of popup menu

1999-08-06  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c, src/common.h, src/sendmsg.c: Modified user info
		related functions to grab more info from the server, and
		made the User Info window look a little nicer

1999-08-02  Zbigniew Chyla  <chyla@alice.ci.pwr.wroc.pl>
	* src/flash.c, src/gnomeicu.c, src/gtkfunc.c, src/response.c,
	src/sendmsg.c, src/server.c, src/showlist.c, src/tcp.c src/util.c:
	More internationalized strings.

1999-08-02  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c, src/gtkfunc.c: Added online notification windows
	* src/server.c, src/gnomeicu.c: Fixed startup bug - applet starts
		with offline icon, not current status
	* src/response.c: Fixed online notification events - they won't
		occur during initial login, but will occur afterward

1999-08-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in (ALL_LINGUAS): added pl, removed ru

1999-08-02  Zbigniew Chyla  <chyla@alice.ci.pwr.wroc.pl>
	* src/gtkconf.c, src/gtkfunc.c, src/menus.h: Marked strings for
	translation.

1999-07-31  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c: Fixed bug - keep alive wasn't being sent!

1999-07-28  Daniel Serodio <dserodio@email.com>
	* Added autohide feature
	* src/Makefile.am: added autohide.c
	* src/autohide.c: new file
	* src/autohide.h: new file
	* src/gnomecfg.c (Read_RC_File): added autohide_toggle and autohide_time
	* src/gnomeicu.c (main): connect autohide related events
	* src/gnomeicu.h: new vars autohide_toggle and autohide_time
	* src/gtkconf.c	(configure_window): new Misc tab, connect Save button to activate_changes too
	(save_changes): added autohide_toggle and autohide_time
	(activate_changes): new function
	(set_sensitive): new function
	(spin_button_changed_cb): new function
	
1999-07-28  Jeremy Wise  <jwise@pathwaynet.com>
	* src/showlist.c: Complete rewrite of Show_Quick_Status()

1999-07-26  Jeremy Wise  <jwise@pathwaynet.com>
	* src/common.h: Removed #undef USE_AUTOAWAY, added
		#define USE_AUTOAWAY
	* src/tcp.c: Removed a debugging statement
	* src/packetprint.c: Removed the #ifdef DEBUG around
		if( !toggle_print)

1999-07-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* po/it.po: added some translations...
	* src/log.c (log_window_add): removed unused 'stamped' arg
	* src/response.c (Display_Search_Reply): replaced static buffers
	* po/es.po: tried to add some translations...
	* po/de.po: added some translations...
	* src/datatype.h: defined UIN_T, removed BOOL 
	* src/*.c: declared local functions static, 
	made sure config.h gets included first

1999-07-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* po/de.po: added some german translation
	* gnomeicu.spec.in: added locale files
	* src/*.[ch]: gettext()yfied strings
	* src/gnomecfg.c (Initialize_RC_File): use mkdir() instead of system()
	(Read_RC_File): fixed bug preventing to create new accounts
	* src/gnomeicu.c (main): gettext() initialization
	* po/*: added po files
	* src/tcp.c: removed 'ptr != NULL' checks before g_free(ptr)
	* src/Makefile.am (gnomeicu_SOURCES): missing gtkconf.h
	* doc/C/gnomeicu.sgml: beginning of a manual/user guide started

1999-07-24  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/*.[ch]: fixed memleaks and potential buffer overruns
	* src/applet.c (applet_update), src/histadd.c (add_incoming_to_history):
	(add_outgoing_to_history): 
	use g_strdup_print() instead of malloc()/sprintf(), removed unused vars
	
1999-07-19  Jeremy Wise  <jwise@pathwaynet.com>
	* All files: Major recoding, functions moved around, code tidied up,
		new header files created to make things easier to find

1999-07-14  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/Makefile.am (gnomeicu_SOURCES): fixed gnomeicu.h missing
	* gnomeicu.spec.in: fixed a mistake of mine

1999-07-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/response.c: Fixed problem with adding new users upon incoming
		message

1999-07-12  Jeremy Wise  <jwise@pathwaynet.com>
	* All source files: Changed Contacts to a dynamic list
	* All source files: eliminated passing around "data", replaced with
		global (flames to /dev/null, please) MainData

1999-07-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/gnomeicu.h: Fixed chat logging bug

1999-07-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/util.c (Add_User): fixed 'assignment' to 'comparision'
	* src/gnomecfg.c (Read_RC_File): fixed sscanf format from '%04hx'
 	to '%04x' due to the non-short guint args

1999-07-05  Jeremy Wise  <jwise@pathwaynet.com>
	* Fixed bugs

1999-07-03  Jeremy Wise  <jwise@pathwaynet.com>
	* Added new widget in icuchat.[ch] - a modified GtkText fashioned
		only for the chat windows

1999-07-03  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/gtkfunc.c (icq_sendmessage), src/changeinfo.c (apply_changes):
 	gtk_editable_get_chars()-memory leak fixed
	* src/brazil.h: Revised by Sandro Henrique <sandro@conectiva.com.br>

1999-07-03  Jeremy Wise  <jwise@pathwaynet.com>
	* Cleaned up code - removed #if 0 sections, some comments, put
		applet.c back into the distribution (it was out b/c of the
		non-gnome version, which is no longer supported)

1999-07-02  Jeremy Wise  <jwise@pathwaynet.com>
	* src/chatdlg.c, src/tcp.c: Fixed chat bug, so requests work going
		both ways
	* Added SOCKS5 support, from Ashok Narayanan <ashokn@cisco.com>

1999-07-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/changeinfo.c (apply_changes, apply_changes), src/newsignup.c
 	(NewUser2): fixed direct query of gtk_toggle_button->active
	(change_info_window): fixed unsafe sprintf()'s and memory leak
	(apply_changes): g_malloc()/strcpy() pairs replaced by g_strdup()'s
	* src/datatype.h: fixed 'long'standing 64bit issue (DWORD now is
 	really a 32bit DWORD on all platforms supporting 32bit types)
	* src/*.[ch]: several fixes due to change in datatype.h

1999-06-30  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c: Redid the Contacts storage (much nicer now)

1999-06-29  Herbert Valerio Riedel  <hvr@gnu.org>

	* spec file integrated into gnomeicu distribution
	* configure.in (xss_ldflags): added src/sounds/Makefile output
	* src/Makefile.am (SUBDIRS): added sounds subdir
	* src/sounds/Makefile.am: new Makefile.am skeleton
	* src/response.c (Do_Msg): started handling of AUTH_MESS
	* src/gtkfunc.c: added 'authorize user' action

1999-06-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* various source level fixes (make more use of glib & gnome functions)
	* src/autoaway.c (auto_away): fixed unitialized idle_time!!
	* sound rewrite

1999-06-27  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c, src/chatdlg.c, src/flash.c: Added chat "User is Away"
		to title of chat windows
	* src/autoaway.c: Fixed something as sent in a patch from
		Vlad Seryakov <vlad@unifx.com>

1999-06-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/tcp.c (TCPProcessPacket),
	src/dragdrop.c (contact_list_dnd_drop, contact_list_dnd_drop):
	'fixed' c++ style comments

1999-06-11  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Updated remove user to bring up a dialog asking
		if the user wishes to save changes to config file

1999-05-20  Jeremy Wise  <jwise@pathwaynet.com>
	* Making official release of 0.64

1999-05-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/changeinfo.c: Sex defaults to "Not specified" instead of
		Female ( patch from Michael Baumer <baumi@vis.ethz.ch> )

1999-05-09  Jeremy Wise  <jwise@pathwaynet.com>
	* src/newsignup.c, src/util.c: Major modification to new user
		process
	* src/gnomeicu.c: Fixed some protocol errors
	* src/tcp.c: Removed bug that caused lag during file sending

1999-05-08  Jeremy Wise  <jwise@pathwaynet.com>
	* src/util.c: Fixed add user bug that caused seg fault
	* src/gnomecfg.c, src/changeinfo.c: Added more fields for user info
	* src/sendmsg.c: Now about info and homepage are updated on server
	* src/tcp.c: Got File transfer (receiving) working :)

1999-04-27  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Fixed buffer overrun for long messages (no max length
		now)
	* src/gtkfunc.c: Updated "get user info" storage methods
	* src/gtkfunc.c: Fixed bug with two windows for "User has added you"
		message box
	* src/playsound.c: No longer tries to play sounds that don't exist

1999-04-26  Jacob Berkman <jberk+@cmu.edu>

	* src/.xvpics: removed directory

1999-04-26  Jacob Berkman  <jberk+@cmu.edu>

	* src/applet.c (applet_change_orient, applet_update): fixed
	vertical orientation drawing bugs

1999-04-26  Jeremy Wise  <jwise@pathwaynet.com>
	* Most files: changed UIN to our_info->uin
	* gtkfunc.c, gnomecfg.c, gnomeicu.h: Added dialogs to change
		personal info on server
	* src/gnomeicu.c, src/sendmsg.c: Fixed logoff/logon bugs
	* src/ui.c: Fixed online/offline sounds
	* src/tcp.c: Fixed chat bug (I think it's really gone!)

1999-04-24  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Redid user info window
	* src/changename.c: changed index reference to UIN reference
	* src/xpms/gnomeicu-info.xpm, src/gnomeicu.c: Added user info icon
	* src/sendmsg.c, src/tcp.c: Changed OK_Box's to gnome_message_box's
	* src/ui.c: Got rid of color forces

1999-04-19  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c, src/dialog.[ch]: Added a "Show again" toggle button
		to the Away message dialog box :)
	* src/gtkfunc.c, src/gnomeicu.h, src/response.c, util.c: Changed
		user information dialog - it's broken right now, but it'll
		be fixed before the next release
	* src/tcp.c, src/gtkfunc.[ch]: Added dialog box for chat reason

1999-04-18  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.c: Redid message history section to show new messages
		first
	* src/gtkfunc.c: Got rid of black color force on message history
		window
	* tcp.c, filexfer.h: More work with file transfer - it's now in beta
		mode - you SHOULD be able to send and receive (see the
		SHOULD??)

1999-04-16  Jeremy Wise  <jwise@pathwaynet.com>
	* src/dialog.c: Added safety check to prevent seg fault
	* src/gnomeicu.c: Modified serv_mess code to prevent overrun
	* src/gnomeicu.c: Removed old Handle_Server_Response, V5 is working
	* src/gtkfunc.c: Updated incoming file transfer dialog
	* src/gtkfunc.c: Took out icq_sysmessage_window - unneeded
	* src/sendmsg.c, src/gnomeicu.h: Added icq_reverse_tcp - not working
		yet :/
	* src/tcp.c: Changed TCP packet_prints to not print sizeof(packet)
	* src/filexfer.h, src/tcp.c: More work with file transfer

1999-04-15  Jeremy Wise  <jwise@pathwaynet.com>
	* src/filexfer.h: Added for file transfer packet definitions
	* src/tcp.c: File transfer now works to SEND files

1999-04-14  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c, src/response.c: Type of next message in cue has
		appropriate icon in applet
	* src/applet.c, src/flash.c, src/gnomecfg.c, src/gtkfunc.c,
		src/response.c, src/tcp.c, src/util.c, src/gnomeicu.h,
		src/tcp.h: Added partial file transfer code
	* src/chatdlg.c: Added frames around chat windows to look better
	* src/gnomeicu.c: Changed copyright date from 1998 to 1999
	* src/newsignup.c: Fixed a couple grammatical errors
	* src/sendmsg.c: Changed/Added new user info updating routines for
		V5
	* src/tcp.c: Fixed up the TCP protocol some, especially SEQ handling

1999-04-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gtkfunc.[ch], src/ui.c: Fixed duplicate nickname bugs
	* src/gnomeicu.c: Starts up offline if it can't connect to server
	* src/gtkfunc.c: Added CTRL+ENTER key trap to send a message
	* src/sendmsg.c: Added function declarations to get rid of warnings

1999-04-05  Jeremy Wise  <jwise@pathwaynet.com>
	* src/util.c, src/ui.c, src/gnomeicu.h: Fixed Add_User() bug, so
		adding users no longer screws up the CList or the user infos

1999-04-04  Jeremy Wise  <jwise@pathwaynet.com>
	* most source files: Updated to the V5 protocol and fixed a number
		of protocol errors

1999-04-03  Jeremy Wise  <jwise@pathwaynet.com>
	* most source files: changed malloc to g_malloc, free to g_free

1999-04-02  Jeremy Wise  <jwise@pathwaynet.com>
	* most source files:  Many bugs have been removed, including but not
		limited to: memory leak that caused crashing after lengthy
		time online, error saving contacts with no nicks, and many
		features added, such as drag and drop support (for files and
		URLs), double clicking applet to pull up waiting messages,
		and closing main window does not kill the applet
	* Much thanks to Daniel Burrows <Daniel_Burrows@brown.edu> for his
		major contributions (most of the above additions/fixes)
	* src/gnomeicu.c: Applet doesn't show main window on startup
	* src/applet.c, src/response.c: Applet ToolTips now shows correct
		number of users online
	* src/tcp.c: Chat logging should now work properly

1999-03-25  Jeremy Wise  <jwise@pathwaynet.com>
	* src/applet.c: --config option changed to --uin (-c becomes -u)
	* src/applet.c, src/gnomecfg.c, src/gnomeicu.c, src/util.c: now
		supports multiple UIN usage with -u option
	* src/chatdlg.c, src/tcp.[ch]: started support for saving chat
		sessions upon closing (not fully implemented)
	* src/gtkfunc.c: removed unnecessary Force Thru Server buttons
	* src/tcp.c, src/gnomeicu.h: added ability to detect whether to force
		thru server or not
	* many files: Fixed bug that caused seg fault after running for a
		long time!!  Also, huge sized windows, bad server names and
		bad window titles should no longer plague your desktop

		* Thanks to: Brian J. Murrell for finding this bug! *

1999-03-20  Jeremy Wise  <jwise@pathwaynet.com>
	* src/util.c: Configuration saved after user list modified

1999-03-11  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Fixed font bugs...and windows clients will see the font
		you choose
	* src/gnomecfg.c: Fixed ChatFont saving problem

1999-03-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/tcp.c: Incoming message sound is no longer played twice
	* src/applet.c, src/gnomeicu.c, src/gtkfunc.c, src/gtkfunc.h:
		Changed icq_quit_object to icq_quit - stops seg faults
		Contributed by: Edward Pilatowicz <epilato1@san.rr.com>

1999-03-10  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>
	* src/applet.c: center the label horizontally. it looks nicer ;)
	
1999-03-10  Jeremy Wise  <jwise@pathwaynet.com>
	* src/autoaway.c: Fixed seg fault from patch applied yesterday
	* src/applet.c: added mode changing ability to panel applet
	* src/gtkconf.c: fixed bug with Enable Beep button
	* src/gnomeicu.c: changed 120 sec timeout to 100 sec
	* src/sendmsg.c: Added detection of unstable connections
	* src/gnomeicu.h: Added some definitions for message types

1999-03-09  Jeremy Wise  <jwise@pathwaynet.com>
	* multiple files: fixed English<->Russian tranlastions
		contributed by Leonid Lisovsky <lly@aha.ru>
	* src/tcp.c: Fixed style/color bugs in Chat window - settings now
		remain as they should
	* src/autoaway.c: Applied a patch to allow running on alternate
		X servers, contributed by Ryan Murray <rmurray@cyberhqz.com>

1999-03-07  Jeremy Wise  <jwise@pathwaynet.com>
	* src/gnomecfg.c: Michael Smith <michael@csuite.ns.ca> contributed
		a patch to fix an over-read that caused a seg-fault

1999-03-06  Jeremy Wise  <jwise@pathwaynet.com>
	* Changed default icons to those contributed by:
		Andy Kwong <iserlohn@gamebox.net>

1999-02-28  Jeremy Wise  <jwise@pathwaynet.com>
	* src/rcfile.c: No longer exists
	* src/gnomecfg.c: Replaces rcfile.c, and uses gnome_config style
		methods to save configuration information
	* src/applet.c: Changed NULL to MainData on the configure_window
		callback so it doesn't segfault when you save changes

1999-02-21  Jeremy Wise  <jwise@pathwaynet.com>
	* Most files: GtkICQ has been changed to GnomeICU
	* src/loadpixmap.c: Added gdk_imlib support
	* src/gnomeicu.h: Changed LOGIN_X2_DEF to 0x04
	* src/applet.c: More changes to the applet code
	* src/tcp.c, src/util.c: More (int) -> GPOINTER_TO_INT conversions
	* src/gtkfunc.c: Redid offline/online code - now works properly
	* src/changeaway.c: Changed autoaway function to not send packets
		every minute
	* src/msg_queue.c: Added function to clear message queue
	* WARNING: Gtk-only support will NOT be supported after 0.61

1999-02-17  Gary Friedman  <chrisqeld@yahoo.com>
	* src/gtkconf.c, src/gtkicq.c, src/gtkicq.h, rcfile.c, tcp.c:
		Added beep option for those of us without sound :)
	* src/applet.c:
		Fixed applet so it displays, added options and about
		to right click.

1998-02-15  Jeremy Wise  <jwise@pathwaynet.com>
	* Patch from Ian Campbell <ijc25@cam.ac.uk> applied, which should
		allow GtkICQ to save its session

1998-02-14  Jeremy Wise  <jwise@pathwaynet.com>
	* More updates to applet - merged the two icons, and made it so it
		will handle vertical and horizontal panels well

1999-02-12  Tomas Ogren  <stric@ing.umu.se>

	* src/rcfile.c, src/gtkicq.h: Don't include gnome.h unless we're using
	GNOME... Added a helper-function to read the colors from gtkicqrc
	to get rid of Bus errors on some systems (%04x == int, not short).

1999-02-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* src/gtkfunc.c, src/chatdlg.c: even more 64bit cast fixes

1998-02-11  Jeremy Wise  <jwise@pathwaynet.com>
	* Fixed bug with applet.c including gnome.h for gtk-only compile

Mon Feb  8 01:17:00 1999  Timur Bakeyev <mc@bat.ru>

	* acinclude.m4: New file. If system lacks of ESD support, then 
	AM_PATH_ESD is undefined and autogen.sh fails. Hope, warning about
	double defenition of the macro more acceptable.

1999-02-04  Jeff Garzik  <jgarzik@pobox.com>

	* src/gtkfunc.c, src/response.c, src/sendmsg.c:
	Include config.h as needed.  Reported by Daniel Burrows
	<Daniel_Burrows@brown.edu>.

	* src/chatdlg.c:
	More 64-bitness casts.

1999-01-24  Jeff Garzik  <jgarzik@pobox.com>

	* src/tcp.c, src/gtkicq.c:
	Include config.h the correct way, and not only when GNOME is
	defined.
	
1999-01-23  Jeremy Wise  <jwise@pathwaynet.com>

	src/GtkICQ.gnorba, src/Makefile.am: Added GtkICQ.gnorba

	src/applet.c: Slight modifications to applet code to make double
		clicking work correctly.  Also bugs with applet were fixed.

	src/chatdlg.c, src/gtkicq.c, src/rcfile.c, src/tcp.c: Added dynamic
		fonts - can be specified now in config file.  Still needs
		some work.

	src/chatdlg.c: Chats can be logged by defining CHAT_LOG_FILE at
		compile time.  Needs a file dialog set up.

	src/gtkfunc.c: Port and IP now displayed in individual submenu

	src/rcfile.c: PacketDump option now stored in config file.

	src/response.c, src/sendmsg.c: Switched placement of last_cmd
		statements so they came before the packet is crypted.

	src/respose.c: Fixed bug so correct user is added with "Add User"
		button after a search.

	src/sendmsg.c: Packets are not sent if client is not connected to
		the server (UDP only).

	src/gtkicq.h, src/gtkicq.c, src/response.c, src/sendmsg.c,
		src/util.c: Removed compatibility with protocol v2.

1998-12-02  Jeremy Wise  <jwise@pathwaynet.com>

	src/gtkicq.h, src/response.c: Added masking for 0x80xx messages
		(mass sending)

1999-12-01  Jeremy Wise  <jwise@pathwaynet.com>

	src/rcfile.c: Fixed security issue with world-readable config files

1998-12-31  Jeremy Wise  <jwise@pathwaynet.com>

	src/gtkfunc.c, src/gtkicq.c, src/response.c, src/sendmsg.c: Fixed
		bugs with user searching and new user addition

1998-12-30  Jeremy Wise  <jwise@pathwaynet.com>

	src/gtkicq.[ch], src/sendmsg.c, src/msg_queue.[ch], src/gtkfunc.c,
	flash.c: Added resend ability - resend packets that aren't ACK'd

	tcp.c: Fixed ^G -> beep bug - too much was #ifdef'd out w/SOUND

	flash.c, gtkfunc.[ch], gtkicq.[ch], rcfile.c, response.c: Proper
		support of invisible and visible list added

	src/applet.h: Removed argp.h requirement

1998-12-29  Jeremy Wise  <jwise@pathwaynet.com>

	src/gtkfunc.c: Message window gives focus to respond widget by
		default

1998-12-27  Jeremy Wise  <jwise@pathwaynet.com>

	* src/tcp.c: Removed warning produced by getting away message

1998-12-23  Jeremy Wise  <jwise@pathwaynet.com>

	* src/applet.c: added (though commented) eventbox to fix applet
		double clicking.  The refresh isn't working right yet.

	* src/flash.c, src/gtkfunc.[ch], src/gtkicq.[ch]: '#if 0'd out the
		system message code - it's an unnecessary nuisance

	* src/gtkicq.c: Got rid of horizontal scrollbar (Finally!)

	* src/gtkicq.c: Fixed Connection History window size problems

	* src/gtkicq.[ch], src/util.c: Eliminated Get_Config_Info()

	* src/gtkconf.c: Added temporary values so values are saved ONLY
		if the user presses the "Save" button

	* src/gtkfunc.c: Status can now be changed to its current value
		(e.g. If you're online, you can set it to online)

1998-12-22  Jeff Garzik  <jgarzik@pobox.com>

	* configure.in, src/Makefile.am, src/xpms/Makefile.am:
	Fixed all bugs, temporarily disabled sound detection.

	* src/applet.h: don't include applet-lib.h

	* src/histadd.c: re-arranges includes, added string.h
	
	* src/changename.c, src/response.c, src/gtkfunc.c, src/gtkicq.c,
	src/showwait.c, src/tcp.c:
	Corrected 64-bitness warnings.  Some issues remain in gtkfunc.c.
	
	* src/ui.c:  added necessary #ifdef SOUND

1998-12-13  Kjartan Maraas  <kmaraas@fib.hl.no>

	* applet.[ch]: remove #include <applet-lib.h>
	
1998-12-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* tcp.c, showwait.c, gtkicq.c, gtkfunc.c, chatdlg.c, changename.c:
	added casting macros

-- 12/02/98 -- Eric Mitchell <ericmit@ix.netcom.com>

	* acconfig.h, configure.in, playsound.c: Added esound support.
	Configure checks for esound, and compiles in support if found.

-- 12/01/98 -- Jeff Garzik <jgarzik@pobox.com>

	* BUGS: 
	Added some.  Doesn't cover any of the UI bugs :)

	* INSTALL:
	Updated to reflect reality.

	* src/Makefile.no_gnome: removed, not needed anymore

	* src/applet.c:
	Updated for latest gnome-core.

	* src/gtkfunc.c, src/tcp.c:
	Using bzero() is not kosher.

	* configure.in, src/Makefile.am:
	Fully supports "" for GNOME compile or "--without-gnome" for
	straight Gtk+ compile.

	Removed libtool call. Thank you jamesh for autogen update!

-- 11/31/98 -- Geoff Harrison <mandrake@mandrake.net>

	* gtkicq.c - apparently someone decided that gtk_clist_set_policy
	didn't need to exist - so I took it out.

-- 11/30/98 -- Jeff Garzik <jgarzik@pobox.com>

	* configure.in, src/Makefile.am:
	Much rearrangement of configure stuff.
	Now supports --without-gnome to compile a GTK-only version.

-- 11/26/98 -- Jeff Garzik <jgarzik@pobox.com>

	* autogen.sh: Better toplevel srcdir test.
	* Remoted automake- and build-generated files COPYING,
	  mkinstalldirs, missing, install-sh, Makefile.in, libtool,
	  config.*, etc.

-- 11/26/98 -- Arturo Espinosa <arturo@nuclecu.unam.mx>

	* Changed gtk_clist_set_policy for the scrolled_window API. (GTK
          1.1.5 now required).
	* Removed a couple of warnings.

-- 11/22/98 --
	- Version 0.56 -
	* More Bug fixes
	* Added -c <config-file> command line option
	* Working GNOME applet
	* Added -a command line option (run without applet)
	* Size of window can now be changed, either smaller or bigger
	* Fixed remove user bug
	* Removed support/ directory, and no longer installing libs
	* Cannot send 0 length message
	* Added configuration window (Paul Laufer <PELaufer@CSUPomona.edu>)
	* Upgraded to V4 of the protocol (for some reason, only for Gnome)

-- 10/01/98 --
	- Version 0.55 -
	* Fixed bug with new signup routine (for new user AND existing user)
	* Fixed config.h problem for no_gnome compiling
	* Added auto-away feature (uses XScreenSaver functions)
	* Changed icon set - no longer will use Mirabilis-like icons
	* Invisible list now represents those you DO NOT want to see you
	  ( as Mirabilis clients do )

-- 09/24/98 --
	- Version 0.54 -
	* Chat beeping works
	* StatusBar and Progress indicator moved to main window
	* Moved Connection History to ICQ Menu
	* Moved status selection to the menubar
	* Changed default window size
	* Read Next button grayed out unless pending messages
	* Windows users should no longer get "Other user is using an old
	  version of ICQ" messages
	* Away messages reported in textbox instead of label
	* Retains statuses correctly when program is restarted
	* Prompts for new user signup if gtkicqrc not found
	* Offline messages are now received properly
	* URLs supported (both send and receive)
	* Shows other users your away message upon request
	* Allow other users to add your name to their list if you require
	  authorization
	* Notifies you when another user adds you to their list
	* Fixed "Add User" bug from uin search window
	* Realtime changing of invisible list
	* Window Size and Title changed on exit
	* Sorts UIN list alphabetically on exit
	* Saves sound status, so you don't have to set it every time you
	  start GtkICQ
	* Supports both hostname and n.n.n.n notation for server address

-- 09/12/98 --
	- Version 0.53 -
	* Cleaned up unnecessary defines in Makefiles
	* Chat protocol redone - works properly now
	* Away Messages now work properly
	* Closing chat works properly
	* Status windows implemented for:
		- sending TCP message
		- searching for users
		- connecting to server

-- 09/08/98 --
	- Version 0.52 -
	* Chat windows now have scrollbars
	* Add User interface works properly, Add User button added
	* Progress bar windows indicate connecting to server, sending
          messages, etc.
	* New users' UIN automatically switched to nickname in list
	* gtkicqrc file automatically saved upon close
	* Remove User works properly

-- 09/07/98 --
	- Version 0.51 -
	* Message History Cleaned up a bit
	* Cleaned up Add Contact Window, and added 'Add User' button
	* Cleaned up Rename user Window
	* Settings are now saved upon exit

	* Chat and TCP messages work
	* Colors in chat window working
	* Gnome compliant

-- 08/18/98 --
	- Version 0.50 -
	* Partial implementation of TCP code (send message works)
	* Message history works

-- 08/07/98 --
	* Icons replaced text statuses (ONLN), (AWAY), etc.

-- 07/31/98 --
	* Menu bar added, buttons removed in main window
	* Sound toggleable in the Options menu
	* Sound now plays in background (w/-DFORK_SOUND) instead of halting
	  the program

-- 07/30/98 --
	* The status string now flashes when messages are in the queue
	* Fixed seg fault bug in sound routine

-- 07/28/98 --
	* Added "Read Next" button

-- 07/27/98 --
	* Cleaned the code more
	* Fixed the problem with closing the log window
	* Added "Search / Add Users" Button to main window

-- 07/26/98 --
	* Cleaned up the code some

-- 07/25/98 --
	* Jordan Nelson (jordan@pathwaynet.com) joins the devel team
	* Users not on list are added if they send you a message
	* Changed color scheme on main user list
	* Changed ICQ Log Window to ICQ Connection History
	* Changed wording in Connection History
	* Completly dumped logging to micq_log

-- 07/23/98 --
	* Rearranged layout of log window
	* User Info works properly
	* User Information saved on exit
	* Change User works properly

-- 07/20/98 --
	* Fixed yet another segv bug in the 071998 version
	* Added ability for invisible list (thanks Matt)

-- 07/19/98 --
	* Separate log window
	* Partial code written for personal history section

-- 07/15/98 --
	* Fixed very annoying bug that caused constant SIGSEGVs

-- 07/14/98 --
	* Added the log window which shows events as they occur

-- 07/11/98 --
	* Now works fine in < 24bpp X displays
	* Right clicking brings up a menu (not very functional, yet)

-- 07/10/98 --
	* Removed bug from "incoming message" that caused the segv :-)

-- 07/09/98 --
	* Added buffering of messages (using -DQUEUE_MESSAGES in Makefile)

-- 07/08/98 --
	* Allowed the optional compiling of colors (using -DUSE_COLOR
	  in Makefile)

-- 07/05/98 --
	* Added colored names for the list
	* Bug fixes
	* Changed GtkList to GtkCList
